Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

Published: July 16, 2012

Summary: Explore these links to find out more about how to implement Duet Enterprise 2.0.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

Duet Enterprise logo

Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 is a jointly developed product from SAP and Microsoft that enables interoperability between SAP applications and SharePoint Server 2013 Enterprise Edition. Duet Enterprise 2.0 empowers employees to consume and extend SAP processes and information from within SharePoint Server 2013 and Outlook 2013.

Microsoft administrators and SAP administrators collaborate to deploy and configure Duet Enterprise 2.0.

Microsoft documentation

Documentation for Microsoft administrators of Duet Enterprise 2.0 is available on TechNet. Documentation for developers of Duet Enterprise 2.0 is available in the Duet Enterprise for SharePoint and SAP Developer Reference on MSDN. Documentation for consumers is available on Office.com. Documentation for SAP administrators is available on SAP Service Marketplace.

Alert icon - exclamation point

Recently Published Content

Refer to this article for a list of new and updated content.

Recently published content for Duet Enterprise for SharePoint and SAP Server 2.0

Stack of books

Documentation

The TechNet library contains articles that describe how to plan for, deploy, and use the features of Duet Enterprise 2.0.

  • Downloadable content for Duet Enterprise for SharePoint and SAP Server 2.0

  • Explore Duet Enterprise for SharePoint and SAP Server 2.0

  • Plan for Duet Enterprise for SharePoint and SAP Server 2.0

  • Install and configure Duet Enterprise for SharePoint and SAP Server 2.0

  • Operate and maintain Duet Enterprise for SharePoint and SAP Server 2.0

Downloads

Downloads

  • Downloadable eBook: Deployment guide for Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

  • Model: Authentication flow in Duet Enterprise 2.0

Chat icon

Blogs

Check out the latest posts from the SharePoint Products documentation teams.

  • Duet posts on the SharePoint blog

    Blog that discusses issues for administrators of Duet Enterprise.

  • Get the Point

    Blog that discusses issue for users of SharePoint Server 2013.

Stay Connected

Keep connected with the latest happenings with Duet Enterprise 2.0.

  • Follow us on Twitter

  • Follow us on Facebook

Chat icon

Provide Feedback

Provide feedback about the documentation for Duet Enterprise 2.0 as follows:

  • At the bottom of the page, in the Did you find this helpful? section, click Yes or No to provide feedback directly to the documentation team.

  • To suggest content or to report an error, contact us at ITSPDOCS@microsoft.com.

SAP documentation

SAP documentation is available on the SAP Support Portal. This includes the SAP Master Guide. (Enter your user name and password. In the left-hand pane, click SAP Business Suite Applications, click Duet Enterprise, and then select Duet Enterprise 2.0.)


Recently published content for Duet Enterprise for SharePoint and SAP Server 2.0

Published: May 7, 2013

Summary: Find new and updated articles in the Duet Enterprise 2.0 TechNet library by release date.

Applies to: Duet Enterprise 2.0

Writers create new content and update published content regularly.

May 6, 2013

Published the week of May 6, 2013

New article

Changes from Duet Enterprise 1.0 to Duet Enterprise 2.0 Learn about the features and functionality in Duet Enterprise 1.0 that have been deprecated or removed from Duet Enterprise 2.0.

Explore Duet Enterprise for SharePoint and SAP Server 2.0 Use these articles in this section to develop a business case for choosing Duet Enterprise 2.0.


Downloadable content for Duet Enterprise for SharePoint and SAP Server 2.0

Published: August 15, 2012

Summary: You can download content in the Duet Enterprise 2.0 TechNet library for offline viewing.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

Download the following content for information about how to plan for, install, and manage Duet Enterprise for Microsoft SharePoint and SAP Server 2.0.

 | Content | Description
Downloads | Technical library in compiled Help format | View the entire technical library for Duet Enterprise 2.0 in a compiled Help (CHM) version.
Stack of books | Downloadable eBook: Deployment guide for Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 | Download or print content about how to deploy Duet Enterprise 2.0. Available in several file formats.
Architecture icon | Model: Authentication flow in Duet Enterprise 2.0 Model: Authentication flow in Duet Enterprise 2.0 Visio version PDF version Zoom into the model in full detail with Zoom.it from Microsoft | Demonstrates the authentication flow of an end user of a Duet Enterprise 2.0-enabled site that pulls data from SAP over an OData connection.

Build and download your own book

You can build your own custom download of TechNet topics from across the network. Click Print Multiple Topics in the upper right corner of the screen to begin.

Screen shot of Print Multiple Topics command

If you don't see Print Multiple Topics, see the blog post Export your own TechNet book for information about the view settings to use.


Explore Duet Enterprise for SharePoint and SAP Server 2.0
See also

Published: May 7, 2013

Summary: Use these articles to develop a business case for choosing Duet Enterprise 2.0.

Applies to: Duet Enterprise 2.0

This content describes what is new in Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 since the previous release and the features that have been deprecated or removed.

TechNet articles about evaluating Duet Enterprise 2.0

The following articles about evaluating Duet Enterprise 2.0 are available to view online. Writers update articles on a continuing basis as new information becomes available and as users provide feedback.

 | Content | Description
Building blocks | Explore what's new in Duet Enterprise for SharePoint and SAP Server 2.0 | Learn about the capabilities of Duet Enterprise 2.0, including support for SAP NetWeaver Gateway and the OData protocol.
Building blocks | Changes from Duet Enterprise 1.0 to Duet Enterprise 2.0 | Learn about the features and functionality in Duet Enterprise 1.0 that have been deprecated or removed from Duet Enterprise 2.0.

Additional resources about Duet Enterprise 2.0

The following resources about Duet Enterprise 2.0 are available from other subject matter experts.

 | Content
Content on MSDN | Duet Enterprise for SharePoint and SAP Developer Reference

See also

Plan for Duet Enterprise for SharePoint and SAP Server 2.0


Explore what's new in Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn about the capabilities of Duet Enterprise 2.0, including support for SAP NetWeaver Gateway and the OData protocol.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

In this article:

  • About Duet Enterprise 2.0

  • SAP NetWeaver Gateway

  • Feature Pack 1 for Duet Enterprise 1.0

  • Duet Enterprise Client

About Duet Enterprise 2.0

Organizations that want to restrict access of SAP data to their intranet can use Duet Enterprise 2.0, which is installed on a SharePoint Server 2013 farm within the corporate intranet. By using Duet Enterprise 2.0, the SAP data is surfaced on websites on the SharePoint Server farm. Those who are familiar with the first version of Duet Enterprise will be familiar with this architecture.

The following figure shows a high-level view of a Duet Enterprise 2.0 deployment.

Figure: Duet Enterprise 2.0 on-premises deployment

Duet Enterprise 2.0 deployment diagram

SAP NetWeaver Gateway

SAP NetWeaver Gateway 2.0 is a component of SAP NetWeaver that enables Duet Enterprise 2.0 to connect to SAP systems by using OData endpoints. The primary benefit of this is that you can connect SharePoint Server to an SAP system by using the Open Data (OData) protocol. For more information about SAP NetWeaver Gateway 2.0, see SAP NetWeaver Gateway help in the SAP Documentation Library.

OData support

Open Data (OData) is an industry standard web protocol that is used to access data from external systems. For information about OData, see Introducing OData: Data Access for the Web, the cloud, mobile devices, and more in the MSDN Library.

For years, SharePoint has been an OData provider, which means developers can consume a SharePoint list as an OData source. SharePoint Server 2013 introduces the ability to connect to OData sources. Because Duet Enterprise 2.0 is built on Business Connectivity Services in SharePoint Server 2013, it can take advantage of this OData support to connect to the OData feeds from SAP NetWeaver Gateway.

For examples of OData providers and more information about OData support, see Using OData sources with Business Connectivity Services in SharePoint 2013 in the MSDN Library.

Feature Pack 1 for Duet Enterprise 1.0

All solutions in Feature Pack 1 for Duet Enterprise 1.0 are built into Duet Enterprise 2.0. The Feature Pack 1 solutions are completely customizable. For example, developers can customize the Aggregated Business Calendar Web Part and the User Profile-based List Web Part to suit their needs. For more information about these solutions, see Feature Pack 1 for Duet Enterprise 1.0 in the Duet Enterprise 1.0 Technical Library.

Duet Enterprise Client

You can also choose to install the Duet Enterprise Client for Microsoft SharePoint and SAP 2.0 on users' workstations. Doing so enables users to take SAP data offline. The Duet Enterprise Client 2.0 can be downloaded from the SAP Service Portal (http://service.sap.com/swdc). (Enter your user name and password. In the left-hand pane, expand Installations and Upgrades and then click Browse our Download Catalog. Under BROWSE OUR DOWNLOAD CATALOG, click SAP Application Components to expand the list. Under SAP Application Components, click Duet Enterprise. Under DUET ENTERPRISE, click DUET ENTERPRISE 2.0. Under DUET ENTERPRISE 2.0 click Installation to display the download files for the Duet Enterprise Client.)

Note:

After installing the Duet Enterprise Client, you must either reboot the workstation computer or restart the BCSSync.exe service on the workstation computer.


Changes from Duet Enterprise 1.0 to Duet Enterprise 2.0

Published: May 7, 2013

Summary: Learn about the features and functionality in Duet Enterprise 1.0 that have been deprecated or removed from Duet Enterprise 2.0.

Applies to: Duet Enterprise 2.0

This article describes the features and functionality in Duet Enterprise 1.0 that have been deprecated or removed from Duet Enterprise 2.0. Deprecated features are included for compatibility with the previous product version. These features will be removed in the next major release of Duet Enterprise.

The following features and functionality have been deprecated or removed in Duet Enterprise 2.0.

Feature Comments Status

Starter Services

Description: The site collection templates and solutions that enable Duet Enterprise users to quickly start working with the product. Starter Services included three site collection templates — Duet Enterprise Customers, Duet Enterprise Products, and Duet Enterprise Sites — together with a set of solutions. The solutions primarily provide the external content types and Web Parts for interacting with the SAP system by using the sites created from the templates.

Note:

The site collection templates were removed from Duet Enterprise 2.0, but the external content types and Web Parts are included but deprecated in Duet Enterprise 2.0.

Reason for change: Deprecated in favor of Visual Studio integration that developers can use to create BDC models and external content types for use with Duet Enterprise.

Deprecated

Collaborate On

Description: Collaborate On is a framework that enables end users to create sites, collaborate, and share documents with other users for each external data record based on a site template defined by a developer of the external content type.

Reason for change: A developer can easily build this functionality by using the new SharePoint 2013 app model without having to create multiple sites (one for each external content type item), which causes manageability issues. This feature is deprecated in favor of the more scalable app model.

Deprecated

App Tooling and Packaging Service

Description: App tooling and packaging are a set of tools included with Duet Enterprise to enable easy creation of Outlook add-ins (VSTO packages).

Reason for change: Removed in favor of the newer Office 2013 app model.

Removed

See also

Explore what's new in Duet Enterprise for SharePoint and SAP Server 2.0


Plan for Duet Enterprise for SharePoint and SAP Server 2.0

Summary: IT pros use planning and architecture content to develop conceptual, logical, and physical designs for configuring Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 features, servers, and topologies.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

The following content provides recommendations for how to plan for Duet Enterprise 2.0 based on customer scenarios and includes information to help IT pros design a highly reliable, consistently available, and scalable system.

IT pros can use planning and architecture articles to develop a conceptual understanding of Duet Enterprise 2.0 before deployment.

TechNet articles about planning for Duet Enterprise 2.0

The following articles about how to plan for Duet Enterprise 2.0 are available to view online. Writers update articles on a continuing basis as new information becomes available and as users provide feedback.

 | Content | Description
Building blocks | Overview of Duet Enterprise for SharePoint and SAP Server 2.0 | Learn about the architecture of Duet Enterprise 2.0, its ready-to-use capabilities, how SAP information is surfaced in Duet Enterprise 2.0 and Office applications, and how authentication works. A high-level overview of monitoring and troubleshooting is also included.
Security icon | Plan security for Duet Enterprise for SharePoint and SAP Server 2.0 | Learn how to plan for a secure deployment and operation of Duet Enterprise 2.0. Includes the Duet Enterprise 2.0 security architecture, describes security configuration strategies for common Duet Enterprise 2.0 scenarios, describes how to configure permissions in Duet Enterprise 2.0 based on SAP roles, describes how to help implement security for various elements of the Duet Enterprise 2.0 environment, and describes the roles and accounts that you must have to manage Duet Enterprise 2.0 securely.
Settings icon | Plan SAP workflow tasks for Duet Enterprise for SharePoint and SAP Server 2.0 | Learn how to plan for the workflow feature of Duet Enterprise 2.0, including its architecture and options for customizing the workflows.
Settings icon | Capacity planning for Duet Enterprise for SharePoint and SAP Server 2.0 | Find links to information to help you plan capacity for Duet Enterprise 2.0. The capacity limits and recommended practices for Duet Enterprise 2.0 are the same as they are for SharePoint Server 2013.

Additional resources about planning for Duet Enterprise 2.0

The following resources about how to plan for Duet Enterprise 2.0 are available from other subject matter experts.

Content Description

House icon

  • TechCenter: Duet Enterprise for Microsoft SharePoint and SAP

Visit the Duet Enterprise TechCenter to access videos, community sites, documentation, and more.

See also

Explore what's new in Duet Enterprise for SharePoint and SAP Server 2.0


Overview of Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn how to plan for a deployment of Duet Enterprise 2.0, including the architecture, how SAP information is surfaced, monitoring, troubleshooting, and security.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 is a jointly developed product from SAP and Microsoft that enables interoperability between SAP applications and SharePoint Server 2013 Enterprise Edition. Duet Enterprise 2.0 empowers employees to consume and extend SAP processes and information from within SharePoint Server 2013 and Outlook 2013. Information that is stored in SAP applications is not moved into SharePoint. Instead the information stays in the SAP applications and is surfaced in SharePoint. That is, based on an individual user's permissions, the user can view and change information that is stored in an SAP application from within SharePoint sites.

This article helps SharePoint administrators, SAP administrators, and system architects understand Duet Enterprise 2.0 architecture, the ready-to-use capabilities in Duet Enterprise 2.0, and how SAP information is surfaced in SharePoint Server 2013 and Outlook 2013. A high-level overview of monitoring, troubleshooting, and authentication is also included.

In this article:

  • How SAP information is surfaced in SharePoint Server and Office 2013

  • Physical architecture

  • Logical architecture

  • Ready-to-use capabilities

  • Monitoring and troubleshooting

  • Security

How SAP information is surfaced in SharePoint Server and Office 2013

Duet Enterprise 2.0 enables users to access and interact with business processes and information in SAP applications by using SharePoint Server 2013 Enterprise Edition and Outlook 2013.

Some examples of tasks that users can perform include the following:

  • Revise SAP data that exists in a SharePoint list and write these changes back to the SAP system.

  • Update information about a customer or create a new sales contact from within Outlook 2013.

  • Surface SAP information, which is integrated as external content types in SharePoint Server 2013, and in Outlook 2013 as contacts, tasks, calendars, and posts.

SharePoint sites can use several alternatives to surface information from SAP applications, including the following:

  • A set of specialized Web Parts that are provided with Duet Enterprise 2.0.

  • External lists (which are connected to SAP information in SAP applications).

  • Document libraries.

System architects can use these components to design a solution or use a combination of these ready-to-use capabilities.

When deploying Duet Enterprise 2.0, SharePoint administrators can choose to do any combination of the following in a Duet Enterprise 2.0-enabled web application:

  • Enable the Reporting feature on one or more sites.

  • Enable the Workflow feature on one or more sites.

  • Add Duet Enterprise 2.0 Web Parts to any SharePoint site.

  • Bring SAP human resources (HR) data into the SharePoint user profile store.

  • Create external lists that surface SAP data in SharePoint Server 2013.

Duet Enterprise 2.0 enables SharePoint administrators to enable the Reporting feature on one or more SharePoint sites. This enables users to run SAP reports from within a SharePoint site. A site that has the Reporting feature enabled provides a list of all SAP reports that can be run from within the SharePoint site.

Duet Enterprise 2.0 enables SharePoint administrators to enable the Workflow feature on one or more SharePoint sites. This feature enables SharePoint users to interact with SAP workflows. Sites in which the Workflow feature has been enabled can receive workflow approval requests from SAP workflows that are running in the SAP environment and workflow requests can be sent to Outlook. Users can approve requests from the email object or the SharePoint tasks folder. The approval object provided with Duet Enterprise 2.0 provides rich contextual information to help users make decisions to complete the approval process. For more information about workflows, see Workflows in Duet Enterprise 2.0 later in this article.

Duet Enterprise 2.0 provides the ability to enhance SharePoint My Site websites, by surfacing SAP personal data on the SharePoint My Site profile page.

Developers can create an app for SharePoint that contains Duet Enterprise 2.0 Web Parts, SharePoint lists, and site templates. The SharePoint administrator must create a Business Data Connectivity (BDC) connection for the app for SharePoint to use and will be prompted to select that BDC connection when installing the app for SharePoint.

Extensibility of Duet Enterprise 2.0

In addition to the features and specialized Web Parts that are provided, Duet Enterprise 2.0 can be extended in many ways. For example:

  • SAP NetWeaver ABAP developers can create new services, adapt existing ones, and also develop custom logic on SAP NetWeaver.

  • Business expert users can create declarative solutions without writing code, create external lists and document libraries, and design views and forms.

  • Microsoft .NET developers can:

    • Modify solutions that were created by using Visual Studio 2012.

    • Develop new Duet Enterprise 2.0 solutions that provide a custom user experience.

    • Create a custom user experience by integrating data in different ways, and create and edit building blocks, such as Web Parts and BDC models, to surface SAP information in SharePoint sites.

  • Microsoft Silverlight developers can take advantage of Duet Enterprise 2.0 to create unique user experiences in SharePoint sites around SAP data.

Working with SAP data in Outlook 2013

Information workers can consume SAP data in Outlook 2013. They can consume SAP data in Outlook by creating external content types in SharePoint Server 2013 that are based on the native Outlook data types, contacts, tasks, calendars, and posts.

Developers can also create an app for Office and SharePoint to consume SAP data outside of SharePoint Server 2013.

Physical architecture

Duet Enterprise 2.0 is installed on a SharePoint Server 2013 farm within the corporate intranet. By using Duet Enterprise 2.0, the SAP data is surfaced on websites on the SharePoint Server farm. Those who are familiar with the first version of Duet Enterprise will be familiar with this architecture.

The following figure shows a high-level view of a Duet Enterprise 2.0 deployment.

Figure: Duet Enterprise 2.0 on-premises deployment

Duet Enterprise 2.0 deployment diagram

Logical architecture

Duet Enterprise 2.0 provides two sets of add-on components. The Duet Enterprise 2.0 SharePoint Add-on is installed on servers that run SharePoint Server 2013 Enterprise Edition. The Duet Enterprise 2.0 SAP Add-on runs on top of SAP NetWeaver ABAP 7.02 SP08 running the SAP NetWeaver Gateway 2.0 SP4 component. For more information about the SAP environment, see the SAP Master Guide on SAP Service Marketplace on the web. (Enter your user name and password. In the left-hand pane, click SAP Business Suite Applications, click Duet Enterprise, and then select Duet Enterprise 2.0.)

In this section:

  • Components that support Duet Enterprise 2.0

  • Components provided with Duet Enterprise 2.0

  • Heterogeneous system support

Components that support Duet Enterprise 2.0

The following figure shows the components of SharePoint Server 2013 on which Duet Enterprise 2.0 is built. The SAP system components that are shown support Duet Enterprise 2.0.

Figure: Components that support Duet Enterprise 2.0

Components that support Duet Enterprise

The following list describes the key components on the SharePoint system (shown in the preceding figure). These are the key Duet Enterprise 2.0 components that are installed on SharePoint Server 2013 and the key components provided by the SAP environment that support Duet Enterprise 2.0.

  1. SharePoint Workflow functionality supports interactions between SharePoint users and SAP workflows.

  2. The Enterprise Content Manager component is used to manage the life cycle of documents, such as SAP reports.

  3. Duet Enterprise 2.0 uses the Secure Store Service to interact with the claims-based authentication provider that is provided by SharePoint Server 2013 to authenticate users who use user certificates over OData connections.

  4. Business Connectivity Services provides a connector for communication between SharePoint Server and the SAP environment together with other features that are used to connect to and interact with SAP information.

  5. The Reporting modules that run on SAP Business Intelligence (BI) or SAP NetWeaver Gateway provide reporting functionality around SAP data.

  6. The SAP NetWeaver Gateway Workflow module surfaces workflow tasks in Duet Enterprise 2.0.

  7. Business Content is the representation of a set of prepackaged SAP NetWeaver Gateway objects.

  8. SAP Enterprise Services and Business Events are used to interact with the SAP Business Suite and retrieve SAP information and content.

  9. SAP Solution Manager and SAP Computing Center Management System (CCMS) are used to monitor SAP systems, Duet Enterprise 2.0 components in the SAP environment, and SharePoint Business Connectivity Services components in SharePoint Server 2013. SAP supportability tools are described in more detail in Monitoring and troubleshooting later in this article.

Components provided with Duet Enterprise 2.0

The following figure shows the components that are provided with the Duet Enterprise 2.0 SharePoint Add-on and the Duet Enterprise 2.0 SAP Add-on.

Figure: Components that are installed with the Duet Enterprise 2.0 Add-ons

Installed and supported components

The following list describes the components of the Duet Enterprise 2.0 SharePoint Add-on (shown in the preceding figure).

  1. The Duet Enterprise Web Parts provided with Duet Enterprise 2.0 enable users to interact with SAP data, such as SAP workflows and SAP reports, within SharePoint sites.

  2. The Duet Enterprise Workflow feature enables SharePoint users to participate in SAP workflows, for example, to approve an expense report.

  3. The Duet Enterprise Reporting feature enables SAP reports from SAP BI or SAP Enterprise Resource Planning (ERP) to be retrieved directly from and viewed in SharePoint Server 2013.

  4. Duet Enterprise Role Sync enables SAP roles and SAP profiles to be used in SharePoint Server 2013.

  5. The Duet Enterprise Client component, provided with Duet Enterprise Client for Microsoft SharePoint and SAP 2.0, supports monitoring transactions to the client computers. This component must be installed on all client computers that will be used to access SAP data through Duet Enterprise 2.0 that you want to monitor.

  6. The Monitoring & Supportability Components support troubleshooting of both Microsoft and SAP components.

The following list describes the components of the Duet Enterprise 2.0 SAP Add-on (shown in the preceding figure).

A. Duet Enterprise 2.0 Reporting enables SharePoint users to retrieve reports from SAP. Reporting also enables the configuration of report catalogs, which are then made available on a reporting site in SharePoint Server.

B. Duet Enterprise 2.0 Workflow enables SharePoint users to take relevant action on SAP workflows.

C. Content Formatter provides the capability by which SAP data is converted to a format that SharePoint understands.

D. Role Sync enables SAP roles and SAP profiles to be used in SharePoint Server 2013.

In the SAP environment, the Duet Enterprise 2.0 SAP Add-on provides the services, described in the preceding list, for enabling the interoperability between SAP business applications, such as the SAP Business Suite, and end-user platforms, such as Outlook 2013 and SharePoint sites.

Heterogeneous system support

Duet Enterprise 2.0 provides heterogeneous support of SAP systems. Typically, a Duet Enterprise 2.0 landscape will be of one of the following two types:

  • One SharePoint Server farm connected to multiple SAP systems.

  • Multiple SharePoint Server farms connected to a single SAP system.

The following figure shows a high-level example of an organization that has one SharePoint Server farm connected to multiple SAP systems.

Figure: Heterogeneous system with one SharePoint farm and multiple SAP systems

Example of a hetergenous system

The preceding figure shows an organization that has multiple installations of SAP NetWeaver Gateway that are spread across different geographical locations. Each SAP NetWeaver Gateway is connected to one or more SAP back-end systems, such as SAP CRM, ERP, and BI.

The Duet Enterprise 2.0 SharePoint Add-on is installed on a SharePoint Server 2013 farm. Similarly, the Duet Enterprise 2.0 SAP Add-on is installed on each SAP NetWeaver Gateway. These add-ons enable SAP data to be surfaced in SharePoint. SAP NetWeaver Gateway enables the SharePoint and SAP systems to communicate over an OData connection.

The following figure shows a high-level example of an organization that has multiple SharePoint Server 2013 farms connected to a single SAP NetWeaver Gateway. Note that in this scenario, we recommend that you use separate OData connections for each SharePoint Server farm.

Figure: Heterogeneous system with multiple SharePoint farms and one SAP system

Diagram of Duet heterogeneous system many to one

The preceding figure shows an organization that has multiple SharePoint Server farms that are spread across different geographical locations and each of them are connected to the same SAP NetWeaver Gateway. The SAP NetWeaver Gateway system in turn is connected to multiple SAP back-end systems. In this case, SAP ERP, BI, and CRM. Duet Enterprise 2.0 enables the exchange of data between the SAP back-end systems and SharePoint Server by using SAP NetWeaver Gateway.

For example, a SharePoint user in North America accesses a Duet Enterprise-enabled site. The add-on components of Duet Enterprise 2.0, described previously, enable communication between the SharePoint Server farm in North America and the SAP NetWeaver Gateway system, so that the information on the SAP back-end is surfaced in SharePoint.

Ready-to-use capabilities

This section describes the ready-to-use capabilities that are provided by Duet Enterprise 2.0. These capabilities include enabling SharePoint users to perform the following:

  • Run SAP reports within a SharePoint site.

  • Interact with SAP workflows from within SharePoint sites and Outlook 2013.

  • Collaborate on and interact with SAP information within SharePoint sites.

  • Get access to HR information in SharePoint profiles.

SAP reports in SharePoint Server

Duet Enterprise 2.0 enables employees to retrieve SAP reports (from SAP ERP SP22 or SAP Business Intelligence systems) in a SharePoint document library. SAP reports can be run by an information worker from within a SharePoint site. By running a report, we mean that a SharePoint user who has the required permissions in the SAP system can use the user interface provided by Duet Enterprise 2.0 to send a request to the SAP system to run a specific report. The SAP system runs the report and sends it to a document library in the SharePoint site.

Duet Enterprise 2.0 Reporting is implemented as a SharePoint feature and can be enabled at the site collection and site levels of web applications that have been enabled for Duet Enterprise 2.0. After this feature is enabled for a particular site collection, a site owner can enable the feature on any site in the site collection to create a list of reports on the site. The reports are based on a report catalog that is maintained in the SAP environment, but SharePoint users can modify the report settings to change or add to parameters of a report. Note that SAP administrators determine which reports are available for SharePoint users to run.

You can schedule an SAP report or run it on demand. Reports can be created in any file format that the SAP system supports. Users can view the historical summary of reports and reports can be shared with other SharePoint users. After a report is shared, users can subscribe to a report to receive notification in email messages when a report is run. When running a report, a SharePoint user can specify whether the report will be an individual report or shared. Individual reports can only be viewed by the person who requested the report. Shared reports are delivered at one time by the SAP system and can be viewed by multiple people.

Note:

The ability to subscribe to and run reports is subject to having the necessary level of permissions in the SAP environment.

As with other SharePoint lists, the Reports list can be filtered and sorted. For example, you can filter by the Category column to view only certain categories of reports, such as sales reports.

Reporting extensibility

Customers can customize reporting in Duet Enterprise 2.0 in the following ways:

  • Add the Related Reports Web Part to various SharePoint sites. For example, you can add an "Employees Compliance Report" to the "Leave Approval" workflow work items, so that the approver of the Leave Approval workflow can run the Employees Compliance Report within the workflow task form of the Leave Approval workflow. Another example is a customer service manager who approves or rejects a customer return request and then uses the Related Reports Web Part to generate additional conversations or collaborations on the report.

  • Enable a new report from the Duet Enterprise 2.0 Reports Catalog in the Reports Center. For example, you can add "Stock Overview" reports to the "Material Reports List" in a reporting site.

  • Enable new SAP system reports in SharePoint Server. For example, you can add a new Business Intelligence (BI) report named "General Quotation Information at Sales Area" as part of the Customer Quotation workspace.

  • Create one or more dedicated reporting sites in SharePoint Server that are based on new SAP system reports. For example, you can build a "Product Life Cycle Management Report" site that collects lists of reports from different aspects, such as Project Management, Quality Management, Profitability Analysis, and so on.

Workflows in Duet Enterprise 2.0

SAP workflows run on the SAP system, but Duet Enterprise 2.0 enables SAP workflow approval steps to be surfaced through SharePoint Server. By doing so, the tasks, which require user interaction, can be completed on SharePoint sites or in Outlook 2013. SAP workflow steps that are imported into SharePoint as SharePoint workflows can be customized by using the SharePoint Server 2013 workflow capabilities.

An SAP administrator uses SAP Workflow Builder to create and configure SAP workflows for an intended business scenario. After that, an administrator must configure settings in the SAP back-end and SAP NetWeaver Gateway system. These settings enable workflow items to be received by the SharePoint Server environment. Steps that are modeled as either a User Decision step or an Activity Dialog step that require a SharePoint user to take action on the workflow can be targeted by using this approach. For more information about the configuration steps required on the SAP system, see the "Workflow Configuration" section of the SAP Configuration Guide on SAP Service Marketplace on the web. (Enter your user name and password. In the left-hand pane, click SAP Business Suite Applications, click Duet Enterprise, and then select Duet Enterprise 2.0.)

An SAP workflow that has been modeled by this approach can start a SharePoint workflow and wait for the SharePoint workflow to complete before continuing to the next step of the SAP workflow. The SharePoint user's action is synchronized with SAP instantaneously. This provides tight integration of workflow processes across the SAP and SharePoint applications.

While interacting with a workflow, a SharePoint user, in this case the approver of the workflow, can use related reports and related links that will help the user make a decision. For example, before approving a discount for a customer, the approver can run an SAP report to see the average sales volume for this customer or open the discount policy of the organization. Another example is a manager who approves an employee's leave request. The manager can review the employee's leave history or any such background information that will lend the approver more context with regards to the actions that can be taken on the workflow.

In addition to the workflows provided with Duet Enterprise 2.0, you can use SAP Workflow Builder to create custom SAP workflows and you can use Visual Studio 2012 to customize the tasks that run in the SharePoint environment. You can also create additional rules and finely control how you want the solution to behave.

Monitoring and troubleshooting

End-to-end monitoring of components that are on servers that run both SAP and SharePoint Server is critical to the trouble-free operation of Duet Enterprise 2.0. This monitoring is done by using both SAP standard tools and Microsoft standard tools, as shown in the following figure.

Figure: Standard tools used to monitor SharePoint and SAP environments

Standard tools to monitor SharePoint and SAP

SAP administrators can monitor critical components on servers that run both SAP and SharePoint Server by using SAP Computing Center Management System (CCMS). CCMS provides administrators with email alerts or SMS alerts for failed Duet Enterprise 2.0 components and provides administrators the option to schedule reports for monitoring purposes. Drilling down to the Service consumption layer node in CCMS enables SAP administrators to see exactly what failed and how to fix it. SAP administrators can also monitor system performance and view system configuration changes in SAP Solution Manager Diagnostics (SMD).

SharePoint administrators can use Microsoft System Center Operations Manager 2010 (SCOM) to monitor client computers and servers that run SharePoint Server. Note that monitoring client computers requires that Duet Enterprise Client 2.0 be installed on the client computers to be monitored. SharePoint administrators can also maintain and execute health rules, and view detailed results of Microsoft Operations Monitor (MoM) alerts. Because Duet Enterprise 2.0 uses a Business Connectivity Services connector, you can use the Business Connectivity Services node in SCOM to monitor Duet Enterprise 2.0. For more information about SCOM, see the Microsoft System Center 2012 Datacenter site.

Duet Enterprise 2.0 also provides the tools to help administrators troubleshoot components that are critical to the health of Duet Enterprise 2.0. For example, SAP administrators can perform the following:

  • Troubleshoot SAP errors and malfunctions from within the SAP ABAP environment.

  • Browse through the log messages, identify the exact step that failed, and determine how the problem can be fixed.

  • Run end-to-end tracing and see the trace results in SAP SMD.

SharePoint administrators can use a unique ID, which is known as a correlation ID, to trace a specific problem in SharePoint trace logs, use the Microsoft Management Console to troubleshoot deployment issues, and remotely view errors on client computers. They can also use the Health Status pages in the SharePoint Central Administration website to view the health of SharePoint components.

Security

SharePoint user accounts cannot be used to directly access information in SAP. To provide authentication and authorization across both the Microsoft and SAP platforms, Duet Enterprise 2.0 provides a single sign-on experience for users. At a very high level, the end-to-end authentication process looks as follows:

  • A user logs on to SharePoint by using the user's SharePoint identity. The SharePoint identity is associated with credentials that are typically stored in Active Directory Domain Services (AD DS), also known as Windows credentials.

  • The SAP environment cannot authenticate a SharePoint user by using Windows credentials. Instead, a Duet Enterprise component installed on the SharePoint Server farm swaps the Windows credentials of the user with a client certificate that SAP NetWeaver can use to authenticate the user.

  • Information in an SAP environment cannot be secured by using Windows credentials. SAP helps secure information in the SAP system by using SAP user accounts. When deploying Duet Enterprise 2.0, an SAP administrator creates a user mapping table in the SAP environment. This table maps each user's Windows account to a corresponding SAP user account that identifies that particular user.

  • The SAP system verifies whether the SAP user (that corresponds to the client certificate) has access to the information being requested, and if so, sends the information to SharePoint.

For a more detailed description of this authentication process, see Plan security for Duet Enterprise for SharePoint and SAP Server 2.0.

SAP environments can map SAP user accounts to SAP roles. If you are familiar with SharePoint groups, this is a similar concept. For example, the SAP user accounts of all the managers in an organization might be added to the SAP Sales Managers group and this group is used to grant access to information that only sales managers are authorized to view.

Duet Enterprise 2.0 enables the system to use SAP roles as claims-based security principals in SharePoint Server. This enables SharePoint users and administrators to grant SAP users access to SharePoint securable objects, such as sites, lists, and items, by using SAP roles to help secure those securable objects. SAP roles are defined and the SAP user-to-role assignment is managed in the SAP environment. The ability to use SAP roles to help secure SharePoint objects saves the administrative overhead of redefining those same roles in SharePoint Server.

After the SharePoint users are mapped to SAP users, a SharePoint farm administrator can synchronize the user profile properties from SAP with the SharePoint user profile store. Duet Enterprise 2.0 enables a custom Business Data Connectivity service connection that SharePoint farm administrators can use for this synchronization process. The process populates a custom property in the SharePoint user profile store. The custom property contains a list of SAP roles for each SharePoint user who has been mapped to an SAP user in the SAP environment. This synchronization does not copy anything from the SharePoint user profile store to the SAP environment. Because profile synchronization is costly in terms of performance and resources, and because role assignments do not typically change frequently, we recommend that SharePoint farm administrators resynchronize the profiles only when needed.

The ability to map SharePoint users to SAP users and synchronize user profiles provides the benefits of ensuring secure communications across the SharePoint and SAP environments, enables single sign-on, and facilitates awareness and compliance with existing SAP authorization settings.

For more information about SAP roles in Duet Enterprise 2.0, see Using SAP roles to access SharePoint objects in Plan security for Duet Enterprise for SharePoint and SAP Server 2.0.

See also

Duet Enterprise Client

Explore what's new in Duet Enterprise for SharePoint and SAP Server 2.0


Plan security for Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn how to plan for a secure deployment of Duet Enterprise 2.0.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

This article discusses how to plan for the secure deployment and operation of Duet Enterprise for Microsoft SharePoint and SAP Server 2.0.

Important:

This article discusses Duet Enterprise 2.0 security planning within the context of a SharePoint Server server farm. For a related discussion of Duet Enterprise security from inside the SAP environment, see the SAP Duet Enterprise Security Guide on the SAP Support Marketplace. (In the left pane of the SAP Support Portal, expand SAP Business Suite Applications, expand Duet Enterprise, expand Duet Enterprise 2.0, and then download the appropriate guide.)

Duet Enterprise security in SharePoint Server is built on the security capabilities of SharePoint Server 2013. Along with this article, we recommend that you review content that describes how to plan and implement general SharePoint Server security. For more information, see the security and authentication planning articles in Plan for SharePoint 2013 Preview.

In this article:

  • How authentication works in Duet Enterprise 2.0

  • Using SAP roles to access SharePoint objects

How authentication works in Duet Enterprise 2.0

In Duet Enterprise 2.0, business processes and data that are stored in the SAP system are surfaced in SharePoint Server 2013 websites and Outlook 2013. However, the user accounts that are used to access SharePoint Server 2013 and Outlook cannot be used to access the information in SAP directly. The Duet Enterprise 2.0 security architecture solves this issue by providing a single sign-on experience for users. The goal of this implementation is to map user identities in SharePoint Server 2013 to user accounts in the SAP system so that a user who logs on to the SharePoint Server 2013 website can have access to the external data that is stored in the SAP system without having to log on again in the SAP system.

The following information is helpful to understand before you look at the overall authentication process.

  • A user logs on to SharePoint by using the user's SharePoint user identity. This can be either forms-based authentication or credentials stored in Active Directory Domain Services (AD DS), but is typically associated with a user account stored in AD DS.

  • The SAP environment cannot authenticate a user's SharePoint identity. Therefore, a Duet Enterprise component installed on the SharePoint Server 2013 farm swaps the user's Windows credentials for a user certificate that SAP NetWeaver can use to authenticate the user. This requires that when Duet Enterprise 2.0 was installed, the SAP administrator created a trust relationship with the DuetRoot Certificate (an X.509 certificate), which is stored in the SharePoint Secure Store Service.

  • Information in an SAP environment cannot be secured by using Windows credentials or SharePoint credentials (which in this case would be the user's SharePoint identity). Information is secured in SAP by using SAP user accounts. When deploying Duet Enterprise 2.0, an SAP administrator creates a user mapping table in the SAP environment that maps each user's Windows account to an SAP user account that identifies a particular user.

The following figure shows a high-level view of how authentication works in a Duet Enterprise 2.0 environment to provide users with a single sign-on experience. It shows the steps that occur when a SharePoint user accesses SAP information from a Duet Enterprise 2.0 site in SharePoint Server.

Figure: Duet Enterprise 2.0 authentication

Secure objects in SharePoint by using SAP roles

The following list describes the steps shown in the preceding figure. This figure assumes that a SharePoint user has attempted to access SAP information that is surfaced in SharePoint Server.

A. A user logs on to a Duet Enterprise 2.0-enabled SharePoint website by using the user's SharePoint user identity. Because the website contains an external list or Web Part that surfaces SAP data, the request is sent to the Business Connectivity Services runtime in the SharePoint farm.

B. The Business Connectivity Services runtime invokes the Duet Enterprise 2.0 OData Extension Provider.

C. The Duet Enterprise 2.0 OData Extension Provider gets the DuetRoot Certificate from the Secure Store.

D. The Duet Enterprise 2.0 OData Extension Provider uses the DuetRoot Certificate to create an X.500 user certificate and sends the certificate to the Business Connectivity Services runtime.

E. The Business Connectivity Services runtime sends the request with the user certificate to the SAP NetWeaver Gateway component of SAP NetWeaver in a request packet.

Tip:

SAP NetWeaver with the SAP NetWeaver Gateway component installed is also known as SAP NetWeaver Gateway.

F. Because SAP NetWeaver trusts the DuetRoot Certificate that was used to create the user certificate, SAP NetWeaver can authenticate the user and look up the SAP user who is mapped to the SharePoint user who is identified by the certificate.

G. The SAP user account that is mapped to the SharePoint user is returned to SAP NetWeaver.

H. SAP NetWeaver uses the SAP user account to request access to the requested information in the SAP system and, if the user is authorized to access the information, the requested information is sent to SAP NetWeaver Gateway.

I. SAP NetWeaver Gateway sends the reply as a response packet to the Business Connectivity Services runtime on the on-premises SharePoint farm.

J. The Business Connectivity Services runtime passes the information to the SharePoint user. In this case, to the website on which the user has accessed.

Note:

The two-way connection between the SharePoint Server farm and SAP NetWeaver is secured by using two Secure Sockets Layer (SSL) certificates. One certificate is bound to a SharePoint web application and trusted by the SAP administrator. The other certificate is bound to SAP NetWeaver and trusted by the SharePoint administrator.

Using SAP roles to access SharePoint objects

In the enterprise, the tasks that a user performs usually are related to that user's role. Because of this, the determining factor on whether a user should have some level of permissions to an object often is that user's role itself. Therefore, roles are a useful way to assign permissions to objects such as list items, websites, and documents.

In SAP NetWeaver, users are assigned one or more roles, such as Sales Representative, Project Manager, Executive, and Human Resources Specialist. SAP roles can be broad, such as All Sales Managers, or narrow, such as Sales Managers Eastern Region. In Duet Enterprise 2.0, these SAP roles can be used to access objects in SharePoint Server. Any object to which permissions can be applied in SharePoint Server can be assigned permissions by using SAP roles. This includes objects directly related to Duet Enterprise 2.0, such as reports, external lists, and actions on external content types, and any general and securable SharePoint Server objects, such as websites or document libraries. Once a role is granted permissions to an object, any user who is assigned that role will then have permissions to use that object.

Users can only be assigned their roles in SAP NetWeaver. Duet Enterprise 2.0 uses the Duet Enterprise Profile Synchronization Timer Job feature to bring the user role assignments from the SAP system into the SharePoint user profile store. Duet Enterprise 2.0 also uses the Duet Enterprise Claims Provider to help manage the role-based permissions to securable objects in SharePoint Server.

Note:

You can think of role synchronization as a one-way street. Users' roles that are defined in the SAP system are brought into the SharePoint user profile store. No properties in the SharePoint user profiles are sent from SharePoint back to SAP.

During role synchronization, the set of SAP users is imported into the SharePoint user profile store by using Business Connectivity Services. For each SAP user who has a related user profile in SharePoint, all of the SAP roles assigned to that user are listed in the user profile store. Role synchronization connects from SharePoint Server to an external system on the SAP side named the "SAPUsersService." This external system sends the user-to-roles mappings to the SharePoint user profile store. Role synchronization is typically done as a post-deployment step at set intervals by using the Duet Enterprise Profile Synchronization Timer Job. You can specify how often to synchronize roles and how many users to import at a time.

After roles are synchronized with the SharePoint user profile store, users and administrators can grant access to SharePoint securable objects based on SAP roles. However, before this capability is available, a SharePoint farm administrator must activate the Duet Enterprise SAP Roles Claims Provider feature at the farm level which makes the claims provider available.

Note:

When a user's role is changed in the SAP system, the change can take some time (up to 10 hours) to be propagated to the SharePoint system. This might temporarily prevent users from being authorized based on their new roles.

See also

Plan for Duet Enterprise for SharePoint and SAP Server 2.0


Plan SAP workflow tasks for Duet Enterprise for SharePoint and SAP Server 2.0

Published: February 5, 2013

Summary: Learn about the Duet Enterprise 2.0 workflow feature, including its architecture and options for customizing the workflows.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

The Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 workflow feature enables an SAP business process to delegate tasks to users who use familiar SharePoint Server 2013 features such as Web Parts, lists, and SharePoint sites. Users can use SharePoint sites or Outlook 2013 to complete their assigned tasks.

Note:

This article does not discuss how to upgrade from Duet Enterprise 1.0. For more information about how to upgrade, see Upgrade to Duet Enterprise 2.0 on SharePoint Server 2013.

In this article:

  • What are workflows in Duet Enterprise 2.0?

  • About the ProcessTask OData service

  • Customize the workflow task workspace

  • Duet Enterprise 2.0 and SharePoint 2013 workflows

  • Duet Enterprise workflow tasks by user role

What are workflows in Duet Enterprise 2.0?

The Duet Enterprise 2.0 workflows feature combines SAP workflows with SharePoint Server 2013 declarative workflows. An SAP workflow is planned, designed, and executed in the SAP system. Steps in the SAP workflow that require user decisions or dialog activities are surfaced in SharePoint Server 2013 as SharePoint Server declarative workflows.

Note:

An SAP administrator must configure settings in the SAP back-end and SAP NetWeaver Gateway system to enable workflow items to be surfaced in the SharePoint Server environment. For more information about the configuration steps required on the SAP system, see the "Configuring Workflow" section of the SAP Configuration Guide on SAP Service Marketplace on the web. (Enter your user name and password. In the left-hand pane, click SAP Business Suite Applications, click Duet Enterprise, and then select Duet Enterprise 2.0.)

Each unique task in an SAP workflow is implemented as a separate SharePoint Server 2013 declarative workflow, called an SAP workflow task in this article. The following diagram illustrates the relationship between an SAP workflow and a set of SAP workflow tasks in SharePoint Server. In the SAP workflow, two user-decision tasks must be completed in sequence. Each task is started from the SAP system and is completed as an SAP workflow task in SharePoint Server.

Figure: SAP workflow tasks in SharePoint Server

Relation between SAP workflows and workflow tasks

Each type of SAP workflow task requires a unique workflow task workspace. The workflow task workspace is a SharePoint site that hosts all the tasks for a workflow task type.

A workflow task workspace includes the following elements:

  1. Metadata These are properties from each task, which are displayed as columns of the task workspace's document library. These properties are available to the SharePoint Server 2013 declarative workflow that implements the SAP workflow task.

  2. Items This is the list of tasks of the particular task type. The tasks are stored in the task workspace's document library.

  3. SharePoint Server Workflow Each workspace contains a declarative workflow that implements the SAP workflow task.

  4. Email The email message that contains the task notification is a key user experience element. This message provides the user with information that is needed to evaluate and complete the SAP workflow task. The message includes a link to the task details page which the user can open to access information about the workflow.

  5. Task details page Similar to the email message, the task details page provides users with information that is needed to evaluate and complete the SAP workflow task, task forms, and other relevant details, such as links to online resources and related reports and documents.

  6. Web Parts SharePoint Server Web Parts provide contextual information that is related to the SAP workflow task.

Figure: Elements of a workflow task workspace

Elements in a task workspace

Each SAP workflow task requires a unique workflow task workspace. Workflow task workspaces can be created in the following ways:

  • The SAP system can interact with the ProcessTask OData service. The metadata that the SAP system sends the ProcessTask OData service is used to create the workflow task workspace.

    For more information, see About the ProcessTask OData service.

  • A user who has sufficient permissions can use the SharePoint interface to manually create a new SAP workflow task workspace. When you create the SAP workflow task type, the task name that you specify must match the name of the Workflow step in SAP Workflow Builder.

    For more information, see the "Step 3 - Configure a new SAP workflow task type" section of Create an SAP workflow on a Duet Enterprise site.

After a task workspace site has been created for a type of SAP workflow task, each task of that type that is assigned to a user is listed in the workspace site. An SAP workflow task can be configured so that a particular user or role must complete it, or it can be configured so that any member of a group of users can claim the task. SAP workflow tasks can also be delegated from one user to another. Along with being able to access the tasks assigned to them by going to a task workspace, users can access their tasks from other locations, such as their My Sites, and from email messages in Outlook 2013.

Note:

Do not create a workflow task workspace for the same SAP workflow task type and same language on multiple root workflow sites. This is not supported in Duet Enterprise.

You can use SharePoint Designer 2013 or Visual Studio 2012 to customize the workflow task workspace. Any element of the site can be customized, including the forms, the pages, and even the workflow task logic. For more information, see Customize the workflow task workspace.

About the ProcessTask OData service

Duet Enterprise 2.0 includes an OData service, named ProcessTask, that is used to send workflow notifications from the SAP system to SharePoint Server 2013. The ProcessTask OData service performs the following functions:

  • Creates tasks.

  • Routes tasks to workflow task workspaces.

  • Terminates tasks.

The following diagram illustrates the end-to-end process enabled by the ProcessTask OData service. It starts when an SAP workflow task is started and ends with the completion of the task:

Figure: Process flow of an SAP workflow task

Duet Enterprise task workflow process

  1. The SAP Workflow Backend, which manages the SAP workflow, starts a user decision task as part of an SAP workflow. The SAP task information is listed in an XML document.

  2. The Item Selection Report, which is included in the Duet Enterprise 2.0 SAP Add-on, sends the SAP task request and related information to the ProcessTask OData service.

  3. The ProcessTask Odata service uses a lookup list to create the task and related artifacts in the relevant workflow task workspace.

  4. The user interacts with the task workspace and completes the SAP workflow task.

  5. When the user completes the task, the Business Data Connectivity service sends the task completion notification to the SAP system. Note that this is possible because SAP workflow tasks are implemented as external content types.

  6. The Business Data Connectivity service communicates the task results to the SAP Web services that are included in the Duet Enterprise 2.0 SAP Add-on.

  7. The SAP Web services send the task completion notification to the SAP Workflow backend.

Customize the workflow task workspace

You can customize a workflow task workspace to help make it more useful and relevant to the information workers who will use it. The SharePoint Server interface enables basic customizations, and you can use SharePoint Designer 2013 and Visual Studio 2012 for more advanced customizations. For example, each workflow task workspace contains an ASP.NET site page that contains the forms and Web Parts that the workspace uses. Using this site page, you can customize any of these site elements.

Because SAP workflow tasks are implemented as SharePoint Server 2013 declarative workflows, SharePoint Designer 2013 is the recommended tool for customizing a workflow task workspace that does not require custom code.

Note:

SAP workflow tasks are implemented in SharePoint Designer 2013 as list workflows.

The following list describes some typical workflow task workspace customizations:

  • Adding links to supporting web pages and documents that are related to the task.

  • Customizing the task notification email body by adding variables to present dynamic, task-specific information.

  • Using InfoPath to modify task-related forms.

    Note:

    If the SAP workflow includes extended business properties, you must edit the form if you want the extended business property to appear in the form. For more information, see Customize a task details page.

  • Adding Web Parts to the task details page to provide additional information or context.

After all customizations are completed, you can save the task workspace as a template and deploy it to other environments. For example, you may have separate environments for development and production. In this case, you can create a workflow task workspace in the development environment. After all customizations and testing are completed, you can save the workflow task workspace as a template and deploy it in the production environment. For more information, see Import a pre-configured SAP workflow template.

Many resources are available to help you learn about how to use SharePoint Designer 2013 to customize workflows and related artifacts. For more information, see SharePoint Designer Help and How-to - Microsoft Office and Workflow development in SharePoint Designer 2013 and Visio 2013.

Duet Enterprise 2.0 and SharePoint 2013 workflows

SharePoint Server 2013 includes two SharePoint workflow platforms. Duet Enterprise 2.0 supports only the SharePoint 2010 Workflow platform. The SharePoint 2013 Workflow platform and Workflow Manager capabilities are not currently supported in Duet Enterprise 2.0.

Duet Enterprise workflow tasks by user role

The following tables describe some of the tasks required to deploy an SAP workflow, customize the workflow task workspaces, or to interact with the workflow task. The tasks are grouped by user role.

Table: Tasks for administrators

Task | Description | Performed by | Related articles
Create a root workflow site | The root workflow site is a SharePoint site that hosts all workflow tasks. We recommend that you have only one root workflow site in a site collection. This makes it easier to manage your workflow tasks. To create a root workflow site, you activate the Duet Enterprise - SAP Workflow feature. | Site collection administrator | Create an SAP workflow on a Duet Enterprise site
Create a workflow task workspace | The workflow task workspace is a SharePoint site that hosts all the tasks for a workflow task type. From the root workflow site, use the SAP Workflow Site template to create the workflow task workspace. | Site owner | Step 3 - Configure a new SAP workflow task type
Grant users access to a SAP workflow task type | Specify the users who will receive the tasks from the site. | Site owner | Step 4 - Grant users access
Troubleshoot or monitor an SAP workflow | Check for configuration problems in an SAP workflow in a root workflow site. | Site owner | Diagnose an SAP workflow for configuration issues
Move a workflow task workspace from a test or development environment to a production environment. | Many organizations have separate environments for development and production. In this case, you can create a workflow task workspace in the development environment. After all customizations and testing are completed, you can save the workflow task workspace as a template and deploy it in the production environment. | SharePoint administrator | Import a pre-configured SAP workflow template

Table: Tasks for designers

Task Description Related articles

Customize a task details page

You can customize the layout of the task details page, and customize the form that displays on the page.

Note:

If the SAP workflow includes extended business properties, you must edit the form if you want the extended business property to appear in the form.

Customize a task details page

Customize an email notification for an SAP workflow task

When someone is assigned an SAP workflow task, automatically sends an email with a task notification to the person or group who was assigned. You can customize the contents of the email notification message that Duet Enterprise sends.

Customize an email notification for an SAP workflow task

Configure a Related Actions Web Part on a task details page

You can add Web Parts to a task details page that help task decision makers request and receive reports that provide related information.

Configure a Related Actions Web Part on a Duet site

Table: Tasks for users

Task | Description | Related articles
Manage their workflow tasks. | Users can manage their tasks directly from Outlook 2013, or from the SharePoint workflow task workspace. Users can view their assigned workflow tasks and take action on their workflow tasks (Approve, Reject, and so on). | Getting started with workflows and tasks in Duet Enterprise 2.0
Add the URL of the host name of each web application that contains a workflow to the Intranet zone in Internet explorer. | Users may encounter an error message in Outlook 2013 when they open a workflow task if the URL in the email message (workflow task URL) is not trusted by Internet Explorer. Users can add the URL of the host name of each web application that contains a workflow site with which the end user will interact to the Intranet zone in Internet Explorer. | Accessing Duet Enterprise for Microsoft SharePoint and SAP using Microsoft Office 2010 Premium applications

See also

Overview of Duet Enterprise for SharePoint and SAP Server 2.0


Capacity planning for Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn about planning for capacity limits and recommended practices for Duet Enterprise 2.0.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

This article contains capacity planning guidance for Duet Enterprise for Microsoft SharePoint and SAP Server 2.0. It describes software boundaries and limits of Duet Enterprise 2.0, recommendations based on performance test results, and provides links to information that help you plan capacity for Duet Enterprise 2.0.

In this article:

  • Plan capacity

  • Plan capacity for collaboration sites

  • Plan for boundaries and limits

  • Plan for reporting and workflow features

Plan capacity

The capacity limits and recommended practices for Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 are the same as they are for SharePoint Server 2013. To plan capacity for Duet Enterprise 2.0, you can review the information in the Test results and recommendations section later in this article, and use the capacity planning documentation that is available for SharePoint Server 2013. For more information, see Capacity planning for SharePoint Server 2013 and Performance and capacity management (SharePoint Server 2013).

Plan capacity for collaboration sites

When you create site collections and subsites used as collaboration workspaces, performance can degrade if the number of site collections that are created in a single site collection is too great. The recommended maximum number of site collections per web application for SharePoint Server 2013 is 250,000. The recommended maximum number of collaboration sites that can be created in a site collection with Duet Enterprise 2.0 is 25,000.

The earlier version of Duet Enterprise provided the Duet Enterprise Customers site template and Duet Enterprise Products site template for creating collaboration workspaces. These site templates are still provided with Duet Enterprise 2.0. However, you can use them with Duet Enterprise 2.0 only if you are connected to SAP by using SAP SOAP Services. These templates do not work with OData services, which is the recommended way to connect to SAP NetWeaver. If you want to use collaboration workspaces with OData services, you must create custom collaboration workspaces.

Plan for boundaries and limits

This section describes software boundaries and limits of Duet Enterprise 2.0. These include the following:

  • Boundaries: Static limits that cannot be exceeded by design.

  • Thresholds: Configurable limits that can be exceeded to accommodate specific requirements.

  • Supported limits: Configurable limits that have been set by default to a tested value.

For more information about boundaries and limits, see Software boundaries and limits for SharePoint 2013.

The following table lists the recommended guidelines for Duet Enterprise 2.0.

Limit | Maximum value | Limit type | Notes
Number of attachments in a workflow task | 10 | Boundary |
Size for an attachment in a workflow task | 14 MB | Boundary |
Size of a report | 50 MB | Supported | The maximum size of a report that can be delivered from SAP.

Plan for reporting and workflow features

This section describes how the Duet Enterprise 2.0 reporting and workflow features were tested, and provides the test results and recommendations.

Test results and recommendations

The tests outlined in this section measures performance under recommended user load and maximum user load on a Duet Enterprise 2.0 deployment.

With this information, you can better scale deployments based on latency and throughput requirements. It is important to be aware that the specific capacity and performance figures that are presented in this article differ from the figures in real-world environments. The figures presented are intended to provide a starting point for the design of an appropriately scaled environment. After you complete the initial system design, test the configuration to determine whether the system supports the factors in your environment.

Test farm characteristics

This section describes the definitions that the test team used to describe the recommended and maximum capacity loads that were tested and the lab hardware that was used to run the tests.

Green and red zone definitions

For each topology configuration a green zone and red zone user load was determined before throughput tests were run. These configurations are defined in the following table.

Configuration Definition

Recommended (green zone)

The user load at which the test being run consumes approximately half of the bottlenecking resource.

You should expect the green zone throughput to be sustained for long periods of time in real-world deployments.

Maximum (red zone)

The user load at which maximum throughput was reached for a topology while latency was at minimum. After this point, throughput typically remained stable and latency increased.

You should expect the red zone throughput to be tolerated for a short time on a farm, but it should be avoided whenever possible.

Lab hardware

The following table lists the specific hardware that was used for the testing.

 | Database server | Application server | Front-end web server
RAM | 32 GB | 12 GB | 12 GB
CPU | 8 Cores (3 GHz) | 4 Cores (3 GHz) | 4 Cores (3 GHz)

Reporting throughput

The following chart shows the throughput for reporting operations. Throughput is measured by the number of reports processed per second.

Figure Throughput for reporting operations

Chart of reporting throughput test results

The following list describes the reports that were used in testing:

  • 30% of the reports are 30 KB.

  • 60% of the reports are 1 MB.

  • 10% of the reports are 10 MB.

The following table summarizes the recommendations of how many front-end web servers that you will need based on the customer size. The recommendations are derived from the reporting throughput test results. The definitions for customer size and usage per user per day are consistent with the definitions used in the SAP capacity planning guide which is available on the SAP Support Portal.

Customer size | Report characterized by the number of report executions per hour and the report size | Number of WFEs (green zone) | Number of WFEs (red zone)
Small | 625 reports (for 1,000 users, 5 report executions per user per day) | 1 | NA
Medium | 6,250 reports (for 5,000 users, 10 report executions per user per day) | 1 | NA
Large | 93,750 reports (for 50,000 users, 15 report executions per user per day) | 4 | 2
Extra large | 187,500 reports (for 100,000 users, 15 report executions per user per day) | 8 | 4

Workflow throughput

The following chart shows the throughput for workflow operations. Throughput is measured by the number of workflow tasks pushed per second.

Figure Throughput for workflow operations

Chart of workflow throughput test results

The following list describes the work items that were used in testing:

  • 15% of the workflow tasks have 150 KB attachments.

  • 33% of the workflow tasks have three approvers.

  • The remaining workflow tasks are single-user tasks that have no attachments.

The following table summarizes the recommendations of how many front-end web servers that you will need based on the customer size. The recommendations are derived from the workflow throughput test results. The customer size and usage definitions are consistent with the definitions used in the SAP capacity planning guide which is available on the SAP Support Portal.

Customer size | Total number of work items to be approved per day | Number of WFEs (green zone) | Number of WFEs (red zone)
Small | 1,750 work items (1,000 employees) | 1 | NA
Medium | 8,750 work items (5,000 employees) | 1 | NA
Large | 87,500 work items (50,000 employees) | 1 | NA
Extra large | 175,500 work items (100,000 employees) | 1 | NA

See also

Overview of Duet Enterprise for SharePoint and SAP Server 2.0


Install and configure Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Deployment articles to help you prepare to install and configure Duet Enterprise 2.0.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

Articles include information about deployment scenarios, step-by-step installation instructions, post-installation configuration steps, and upgrade information.

Before you install Duet Enterprise for Microsoft SharePoint and SAP Server 2.0, review the information in Plan for Duet Enterprise for SharePoint and SAP Server 2.0.

The following downloadable resources, articles on TechNet, video recordings, and related resources provide information about how to install and configure Duet Enterprise 2.0.

Downloadable resources about Duet Enterprise 2.0 installation and configuration

Download the following content for information about how to install and configure Duet Enterprise 2.0.

 | Content | Description
Stack of books | Downloadable eBook: Deployment guide for Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 | Download or print content about how to deploy Duet Enterprise 2.0. Available in several file formats.

TechNet articles about Duet Enterprise 2.0 installation and configuration

The following articles about how to install and configure Duet Enterprise 2.0 are available to view online. Writers update articles on a continuing basis as new information becomes available and as users provide feedback.

 | Content | Description
Building blocks | Plan to deploy Duet Enterprise for SharePoint and SAP Server 2.0 | Describes the planning you should do before you begin an installation of Duet Enterprise 2.0.
 | Hardware and software requirements for Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 | Describes hardware, software, user account, service account, services, and specific requirements for installing Duet Enterprise 2.0.
 | Prepare the environment for Duet Enterprise for SharePoint and SAP Server 2.0 | Describes how to prepare a SharePoint Server 2013 environment to host Duet Enterprise for Microsoft SharePoint and SAP Server 2.0, and includes all the necessary procedures provided in the order in which they must be performed.
 | Install Duet Enterprise for SharePoint and SAP Server 2.0 | Describes the five stages required to install and configure Duet Enterprise 2.0 on Windows servers running SharePoint Server 2013.
 | Import models in Duet Enterprise for SharePoint and SAP Server 2.0 | Describes how to import BDC models in a deployment of Duet Enterprise 2.0 in a SharePoint Server 2013 environment.
 | Configuration check for Duet Enterprise for SharePoint and SAP Server 2.0 | Describes how to perform a Duet Enterprise Configuration Check to verify the security configuration between SharePoint and SAP and the status of imported models and features.
 | Configure solutions in Duet Enterprise for SharePoint and SAP Server 2.0 | Describes how to configure Duet Enterprise 2.0 solutions of Reporting, Workflow, and RoleSync at the site and subsite collection levels.
 | Uninstall Duet Enterprise for SharePoint and SAP Server 2.0 | Describes how to remove an installation of Duet Enterprise 2.0, including removing all Duet Enterprise 2.0 solutions and all traces of Duet Enterprise components from the SharePoint Server 2013 farm.
 | Upgrade Duet Enterprise | Describes how to upgrade from Duet Enterprise 1.0 to Duet Enterprise 2.0.

See also

Plan for Duet Enterprise for SharePoint and SAP Server 2.0


Plan to deploy Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn how to plan a deployment of Duet Enterprise 2.0 in a SharePoint Server 2013 environment.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

This article describes the planning that you should do before you begin an installation of Duet Enterprise for Microsoft SharePoint and SAP Server 2.0. The procedures and information presented in this article are listed in the order in which they must be used. All hardware and software must comply with the information found in Hardware and software requirements for Duet Enterprise for Microsoft SharePoint and SAP Server 2.0.

The installation and configuration process will require several hours to complete. You will need to work with your SAP administrator who will provide you with a SAPSSL.cer certificate and the endpoint URLs. You will provide the SAP administrator with two certificates: SharePointSSL.cer and DuetRoot.cer and the publishing URL of your extended SharePoint site. We recommend that you schedule time when both the SharePoint administrator and the SAP administrator are available. In addition to the items listed in this article, you need to review all hardware and software requirements for Duet Enterprise 2.0 and also for all Windows, SQL Server, and SharePoint Server computers that are used for this deployment.

The overall installation and configuration process will proceed in the following order:

  1. Hardware and software requirements for Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

  2. Prepare the environment for Duet Enterprise for SharePoint and SAP Server 2.0

  3. Install Duet Enterprise for SharePoint and SAP Server 2.0

  4. Import models in Duet Enterprise for SharePoint and SAP Server 2.0

  5. Configuration check for Duet Enterprise for SharePoint and SAP Server 2.0

We recommend that you obtain and record this information before you begin your deployment. We have provided the following deployment reference table that lists the names of the accounts and service applications described in the Duet Enterprise 2.0 install and configure process.

The Name as documented column in this table contains the names of the items you are tracking while deploying Duet Enterprise. These are the names that are referred to throughout this guide. The Name used column is for your use to record the names of these items.

Table: Deployment reference for Duet Enterprise 2.0

Name as documented | Name used
Secure Store Service Application |
EndPoint URL: MetadataURL |
EndPoint URL: LsiUrl |
Business Data Connectivity Service Application |
User Profile Service Application |
Certificate: SharePoint SSL |
Certificate : SAP SSL |
Certificate : Duet Root |
Security Account: Duet Admin |
Security Account: DuetPublisher |
Web Application Name |
Web Application URL |
Web Application (Extended) URL |
Web Application (Extended) Zone |
Site Collection: sites/DuetEnterprise2 |
Site Collection: Team site Template |
Site: DuetReportingandWorkflow |
Site: Team site Template |

In this article:

  • Endpoint URL requirements

  • Certificate requirements

  • Active Directory account requirements

Endpoint URL requirements

Endpoint URLs are URL links that point the SharePoint Server system to specific endpoints in the SAP system and are bound to each imported Business Data Connectivity (BDC) model. These URLs must be obtained from the SAP administrator for each BDC model that you import. There are two URLs for each model:

  • LsiUrl This is the service URL with which SAP exposes data for a particular feature.

  • MetadataURL This will be automatically be picked up by the LsiUrl when the command is run.

Certificate requirements

You need three certificates to help secure Duet Enterprise 2.0 communications between clients and the server and between the servers running SharePoint and SAP. These certificates are created during the Duet Enterprise 2.0 installation process on both the SharePoint and SAP systems.

  • DuetRoot.pfx Created when you configure a root certificate by using the DuetConfig.exe -createselfsignedcertificate command. This certificate is used to create user certificates that are sent to SAP along with end-user requests. The process for creating this certificate must be completed in the following order:

    1. Create the certificate as a .pfx file.

    2. Configure the certificate. This includes storing it in the Secure Store Service Application.

    3. Export the certificate as a .cer file. This is necessary because the SAP system needs the certificate with the public key only.

    4. Share the .cer file with the SAP administrator. The SAP administrator will create a trust relationship for this certificate.

  • SharePointSSL.cer Secures server requests for calls from SAP to SharePoint. This certificate is created on the SharePoint system by using Internet Information Services (IIS) Manager, exported by using the Microsoft Management Console, and shared with the SAP administrator to be trusted in the SAP system.

  • SAPSSL.cer Secures server requests for calls from SharePoint to SAP. This certificate is created on the SAP system and shared with the SharePoint administrator to be trusted in the SharePoint system.

Active Directory account requirements

Two Active Directory Domain Services (AD DS) accounts are required to install Duet Enterprise 2.0, as shown in the following table.

Table: Domain accounts required to install Duet Enterprise 2.0

Account Purpose Requirements

DuetAdmin

  • Runs Setup.exe

  • Runs DuetConfig.exe commands

  • A member of the Windows Administrators group on the computer that is running SharePoint Server 2013.

  • A member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise 2.0.

  • Full Control permissions on the User Profile service application is required to configure RoleSync by using the DuetConfig.exe -configurerolesync command.

DuetPublisher

Used by the SAP system to connect to the SharePoint system for pushing reports and workflow notifications.

No permissions need to be set on the SharePoint Server 2013 farm for this account.

You must give the name of the account you are using as the DuetPublisher account to the SAP administrator. We recommend that you use an account in AD DS named DuetPublisher. The SAP administrator will map this user account to one or more SAP roles in SAP NetWeaver Gateway that have access to SAP reports.

Important:

This account cannot be the same as the SharePoint farm account or the Managed account assigned to the application pool of the web application using by Duet Enterprise.

See also

Install and configure Duet Enterprise for SharePoint and SAP Server 2.0
Hardware and software requirements for Duet Enterprise for Microsoft SharePoint and SAP Server 2.0


Hardware and software requirements for Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

Summary: Learn about the hardware and software required for a deployment of Duet Enterprise 2.0 in a SharePoint Server 2013 environment.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

This article describes hardware, software, user account, service account, services, and Duet Enterprise for Microsoft SharePoint and SAP Server 2.0-specific requirements.

In this article:

  • Basic hardware and software requirements

  • Topology requirements

  • Browser requirements

  • Service application requirements

Basic hardware and software requirements

Duet Enterprise 2.0 requires SharePoint Server 2013. All other hardware and software requirements are the same as for SharePoint Server 2013. For more information, see Hardware and software requirements (SharePoint 2013 Preview).

Topology requirements

All SharePoint farm topologies and architectures that are supported in SharePoint Server 2013 are supported by Duet Enterprise 2.0. These deployment procedures describe only the processes required to install Duet Enterprise 2.0 on a single computer. For more information, see Design server farms and topologies (SharePoint 2013 Preview).

Browser requirements

Duet Enterprise 2.0 supports the same browsers as SharePoint Server 2013. For more information, see Plan browser support (SharePoint 2013 Preview).

Office client application requirements

Office client integration with Duet Enterprise 2.0 requires Office Professional Plus 2013. The installation of Office 2013 must not be a click-to-install version because Microsoft Business Connectivity Services does not support Click-to-Run.

Service application requirements

The following SharePoint service applications must be configured and active in SharePoint Server 2013 before you install Duet Enterprise 2.0.

  • Business Data Connectivity service application This service application lets you connect SharePoint Server 2013 solutions to sources of external data and to define external content types that are based on that external data.

  • State Service This service application is used for the Duet Enterprise 2.0 Workflow solution.

  • Security Token Service Application This service application is used for internal claims security.

  • Secure Store Service Application This service application stores end-user's credentials in a client certificate used to authenticate the user on the SAP NetWeaver Gateway 2.0.

  • User Profile Service Application This service application is required for the role synchronization feature of Duet Enterprise 2.0.

See also

Install and configure Duet Enterprise for SharePoint and SAP Server 2.0


Prepare the environment for Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn how to prepare SharePoint Server 2013 to host Duet Enterprise 2.0 by creating a new Duet Enterprise web application, site collection, and host websites.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

This article describes how to prepare a SharePoint Server 2013 environment to host Duet Enterprise for Microsoft SharePoint and SAP Server 2.0. It includes all the necessary procedures provided in the order in which they must be performed. Where necessary, Duet Enterprise 2.0 specific steps are included. In all other cases, the procedures are the same as those for SharePoint Server 2013.

In this article:

  • Before you begin

  • Create a new web application for Duet Enterprise 2.0

  • Extend the web application in Duet Enterprise 2.0

  • Create and manage the SharePoint SSL certificate

  • Create the SharePointSSL certificate

  • Bind the SharePointSSL certificate to the extended web application

  • Export the SharePointSSL.cer certificate

  • Share the SharePointSSL.cer certificate with the SAP administrator

Before you begin

Before you perform any of the following procedures, read the following Duet Enterprise 2.0 installation and configuration articles in the order listed. We recommend that you do not continue until you read these articles.

  • Deployment overview of Duet Enterprise for SharePoint and SAP Server 2.0

  • Plan to deploy Duet Enterprise for SharePoint and SAP Server 2.0

  • Hardware and software requirements for Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

Note:

Because SharePoint 2013 runs websites in Internet Information Services (IIS), administrators and users depend on the accessibility features that browsers provide. SharePoint 2013 supports the accessibility features of supported browsers. For more information, see the following resources:

  • Plan browser support

  • Accessibility for SharePoint Products

  • Accessibility features in SharePoint 2013 Products

  • Keyboard shortcuts

  • Touch

Create a new web application for Duet Enterprise 2.0

Duet Enterprise 2.0 requires at least one web application. This web application is used to host one or more sites that surface information from SAP. Use the following procedure to create a new web application for Duet Enterprise 2.0.

To create a new web application for Duet Enterprise 2.0

  1. Verify that you have the following administrative credentials: Farm Administrators SharePoint group.

  2. On the SharePoint Central Administration website, in the Application Management section, click Manage Web applications.

  3. On the Web Applications Management page, on the ribbon, click New. The Create new Web Application window opens.

  4. In the Create New Web Application window, in the IIS Web Site section, select the following:

    • Select Create a new IIS website.

    • Optionally type the name of the web site in the Name box or accept the default name. Record this name. You will need it later when create the alternate access mapping for this web application.

    • Leave Port default, and record the port number.

    • Leave Host Header default (blank).

    • Leave Path default.

  5. In the Security Configuration section, select the following:

    • Leave Allow Anonymous default (No).

    • Leave Use Secure Sockets Layer (SSL) default (No).

  6. In the Public URL section, record the URL in the URL box. You will need to know this URL when you create an alternate access mapping later.

  7. In all other sections, leave all selections as the default.

  8. Click OK to create the new web application. A progress window is displayed. When complete, the progress window closes and the Application Created page appears. Click OK to close the Application Created page. The web application that you created appears on the Web Applications page.

Extend the web application in Duet Enterprise 2.0

Use this procedure to extend the web application to create a SSL-enabled web application that will be used for secure transactions between the SharePoint system and the SAP system.

To extend the web application in Duet Enterprise 2.0

  1. Verify that you have the following administrative credentials: Farm Administrators SharePoint group.

  2. In Central Administration, in the Application Management section, click Manage Web applications.

  3. On the Web Applications Management page, select the new web application that you created. In the Ribbon, click Extend. The Extend Web Application to Another IIS Web Site window opens.

  4. In the IIS Web Site section, leave all settings as the default.

  5. In the Security Configuration section, for Use Secure Sockets Layer (SSL), select YES.

  6. In the Claims Authentication Types section, select Basic authentication (credentials are sent in clear text).

  7. In the Public URL section, the URL for this web application is shown in the URL box. Do the following:

    1. Change the URL to the fully qualified domain name. This full URL should be in this format: https:// servername.domain.com:portnumber

    2. Record this URL and send it to the SAP administrator.

    3. The SAP administrator will need this full URL when the configuring an RFC Destination to send workflows and reports from SAP to SharePoint.

    4. In the Zone list, select the zone that you want to use for this port. You can choose any available zone, but we recommend that you choose the Custom zone because the name best describes the purpose of this zone.

  8. Leave all other settings as the default, and then click OK to extend the web application.

  9. The Extend Web Application to Another IIS Web Site window closes and the new web application is extended. No visual confirmation is provided.

Create and manage the SharePoint SSL certificate

After extending the new web application that you created, you must create an SSL certificate and bind that certificate to the extended web application. This certificate is named the SharePointSSL.cer certificate. Once created and bound in to the extended web application in SharePoint, you will export it and share it with the SAP administrator who imports it into the SAP system. The procedures for this are as follows:

  1. Create the SharePointSSL certificate.

  2. Bind the SharePointSSL certificate to the extended web application.

  3. Export the SharePointSSL.cer certificate.

  4. Share the SharePointSSL.cer certificate with the SAP administrator.

Create the SharePointSSL certificate

This is the first of four SharePointSSL certificate management procedures. The SharePointSSL certificate is created by using IIS Manager (inetmgr). This certificate will be bound to the extended web application that you just created and used to help secure communications between the SharePoint and SAP systems.

To create the SharePointSSL certificate

  1. Verify that you have the following administrative credentials: Farm Administrators SharePoint group and a member of the Windows Administrators group on the server where this procedure is run.

  2. Click Start, and then click Run.

  3. In the Run text box, type: inetmgr, and then click OK. Internet Information Services (IIS) Manager opens.

  4. Under Connections, expand the tree node next to the host computer.

  5. Expand the Sites node and confirm that the new web application and the SSL-enabled extended web application are displayed under the Sites node.

  6. In the Connections section, select the host computer. The ASP.Net, IIS, and Management sections display for this computer.

  7. Double-click Server Certificates. The Server Certificates section is displayed.

  8. In the Actions section, click Create Self Signed Certificate.

  9. The Create Self Signed Certificate wizard opens.

  10. In the Specify a friendly name for the certificate field, type SharePointSSL, and then click OK. The SharePointSSL.cer certificate is created and the Create Self Signed Certificate Wizard closes.

  11. The SharePointSSL certificate is displayed in the Server Certificates section.

Bind the SharePointSSL certificate to the extended web application

This is the second of four SharePointSSL certificate management procedures. The SharePointSSL certificate is bound to the extended web application that you created by using IIS Manager (inetmgr).

To bind the SharePointSSL certificate to the extended web application

  1. Verify that you have the following administrative credentials: Farm Administrators SharePoint group and a member of the Windows Administrators group on the server where this procedure is run.

  2. In IIS Manager, in the Connections section, select the extended web application that you created, and then in the Actions section, click Bindings.

  3. The Site Bindings window opens. Select the https row, and then click Edit.

  4. In the Edit Site Binding window, in the SSL certificate section, in the drop-down list, select SharePointSSL, click OK, and then click Close.

  5. The SharePointSSL certificate is now bound to the extended web application.

Export the SharePointSSL.cer certificate

This is the third of four SharePointSSL certificate management procedures. The SharePointSSL.cer certificate is exported so that it can be shared with the SAP administrator. This process is completed by using IIS Manager.

To export the SharePointSSL.cer certificate

  1. Verify that you have the following administrative credentials: Farm Administrators SharePoint group and a member of the Windows Administrators group on the server where this procedure is run.

  2. Open the Microsoft Management Console (MMC) by clicking Start, select Run, and then type MMC in the Run box.

  3. The MMC opens as Console 1.

  4. Select File, and then click Add/Remove Snap-in. The Add or Remove Snap-ins window opens.

  5. In the Add or Remove Snap-ins window, select Certificates, and then click Add.

  6. In the Certificates Snap-in window, select Computer account, and then click Next.

  7. In the Select Computer window, leave all settings default, and then click Finish. The Certificates Snap-in window closes and certificates are displayed in the Add or remove Snap-ins window in the Selected Snap-ins section.

  8. Click OK. The Add or Remove Snap-ins window closes and Certificates (Local Computer) are displayed in the MMC tree.

  9. In the MMC tree, expand Certificates (Local Computer).

  10. Expand the Personal node, and then select Certificates. The SharePointSSL certificate will be displayed as a self-signed certificate where the Issued To and Issued By fields are the same and both display the name of the host computer as seen in IIS Manager. Also, the name in the Friendly name column will be SharePointSSL, which is the name you assigned to this certificate when you created it.

  11. Right-click the SharePointSSL certificate that displays the same Issued To and Issued By information, point to All Tasks, and then click Export.

  12. The Certificate Export Wizard opens.

  13. Click Next. The Export Private Key page is displayed. Leave all settings as the default.

  14. Click Next. The Export File Format page is displayed. Leave all settings as the default.

  15. Click Next. The File to Export page is displayed. Select Browse to select a location to export the file. The Save As dialog opens. Choose somewhere easy to access and remember.

  16. In the Save As dialog after you have selected a location, in the File name field, type SharePoint SSL, and then click Save. The Save As dialog closes and the Certificate Export Wizard, File to Export page is displayed with the path and name of the certificate populated in the File name field.

  17. Click Next. The Completing the Certificate Export Wizard displays and lists all the information that was selected during the export process.

  18. Click Finish to export the SharePointSSL.cer certificate. The Certificate Export Wizard success dialog box displays the following message: The export was successful.

  19. Click OK. The Certificate Export Wizard closes. You have exported the SharePointSSL.cer certificate to the location that you chose.

Share the SharePointSSL.cer certificate with the SAP administrator

This is the final of four SharePointSSL certificate management procedures. The SharePointSSL.cer certificate is now created, bound, and exported from the SharePoint system. It must now be given to the SAP administrator who will use SAP trust manager to trust the certificate in the SAP system.

  1. Either share the location where the SharePointSSL.cer certificate is on the host computer file system, or transfer the file to an SAP host computer according to the SAP administrator's instructions.

  2. When the SharePointSSL.cer is successfully transferred to the SAP administrator, you are ready to continue with the installation Duet Enterprise 2.0 on your host computer.

See also

Deployment overview of Duet Enterprise for SharePoint and SAP Server 2.0
Plan to deploy Duet Enterprise for SharePoint and SAP Server 2.0
Hardware and software requirements for Duet Enterprise for Microsoft SharePoint and SAP Server 2.0


Install Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn how to install and configure Duet Enterprise 2.0 on servers running SharePoint Server 2013.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

The articles in this section describe how to install and configure Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 on servers that are running SharePoint Server 2013. Additional configuration is required in the SAP environment to create a complete and functioning deployment of Duet Enterprise 2.0. For information about the steps that are required to configure Duet Enterprise 2.0 in the SAP environment, see Duet Enterprise SAP Deployment Guide on the SAP Support Portal website.

The process to install Duet Enterprise 2.0 has five stages. These five stages use a combination of the user interface in the SharePoint Central Administration website and the Windows command line. Each of the five stages of the Duet Enterprise 2.0 deployment has specific steps that must be performed.

In this section:

  • Stage 1: Install binary files in Duet Enterprise for SharePoint and SAP Server 2.0 The Duet Enterprise 2.0 binary files are copied from the installation source to the host computer by the SharePoint administrator.

  • Stage 2: Install, configure, and register Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 Duet Enterprise 2.0 is installed and configured by using the DuetConfig.exe -install command.

  • Stage 3: Create a master key for Duet Enterprise for SharePoint and SAP Server 2.0 A master key is created in the Secure Store Service application for use with Duet Enterprise 2.0.

  • Stage 4: Manage DuetRoot certificate in Duet Enterprise for SharePoint and SAP Server 2.0 The SharePoint administrator creates, configures, exports, and shares the DuetRoot certificate with the SAP administrator.

  • Stage 5: Configure a trust relationship between SharePoint and SAP The SharePoint administrator performs additional security configuration between the SharePoint and SAP systems.

Important:

These procedures must be completed in the order listed.

Before you begin

Make sure that you have all the needed information from your SAP administrator before you begin these procedures. This includes the following:

  • LsiUrl - Links the SAP system to the SharePoint system. A separate LsiUrl is required for importing each model.

  • MetadataURL - Links the SAP system to the SharePoint system. Required for importing models.

  • All user accounts created in Active Directory and ready to use in the SharePoint system.

  • All services and service accounts turned on and created.

  • All web applications created and extended for Duet Enterprise 2.0.

  • The SharePointSSL certificate created, bound, exported, and shared with the SAP administrator.

  • The SAPSSL certificate created, trusted (on the SAP system), exported, and shared with the SharePoint administrator.


Stage 1: Install binary files in Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn how to install binary files in Duet Enterprise 2.0, the first stage in an installation of Duet Enterprise 2.0 in a SharePoint Server 2013 environment.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

This article describes the procedure to install binary files in Duet Enterprise for Microsoft SharePoint and SAP Server 2.0. This is stage one in an installation of Duet Enterprise 2.0.

Get the Duet Enterprise 2.0 binary files

If you don't already have the binary files for Duet Enterprise 2.0, you can complete this procedure to download an .ISO file that contains the files.

To download the Duet Enterprise 2.0 binary files

  1. Browse to the MSDN Subscription (http://go.microsoft.com/fwlink/p/?LinkId=163136) site.

    Make sure that you are signed in to your MSDN subscriber account.

  2. Click Subscriber Downloads.

  3. In the search box, enter Duet Enterprise.

  4. In the DUET Enterprise 2.0 for Microsoft SharePoint and SAP Server (x64) - DVD (English) row, click Download.

    Note:

    If you are not signed in, the link will be named Sign in instead of Download. If this happens, sign in to your account and then click Download.

Install Duet Enterprise 2.0 binary files

Complete procedure on all web and application servers that will host Duet Enterprise 2.0.

To install Duet Enterprise 2.0 binary files

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013.

  2. As administrator, open a Windows Command Prompt window.

  3. At the command prompt, type cd:\directory\, where directory is the local or network location of the Duet Enterprise setup files.

  4. From the installation location of the Duet Enterprise 2.0 files, type the following command, and then press ENTER:

    setup.exe /install

    The following table describes optional parameters:

    Optional setup parameters

    Parameter Use

    /installpath=<drive:\path>

    Install Duet Enterprise to a different path. For example:

    Setup.exe /installpath=d:\

    Note:

    By default, Duet Enterprise files are installed to the <system>:\Program Files\Duet Enterprise\2.0 folder.

    /AcceptEULA

    Accept the terms of the license agreement.

    /quiet

    Suppresses error and success messages.

    /logdir=<log file path>

    Path to the Duet Enterprise related log files.

    /?

    Displays Help.

  5. If you did not use the /AcceptEULA parameter, the Duet Enterprise 2.0 for Microsoft SharePoint and SAP license agreement is displayed. If this page is displayed, on the Duet Enterprise 2.0 for Microsoft SharePoint and SAP license agreement page, select the I accept the terms in the license agreement check box, and then click Install. Otherwise, skip to step 6.

  6. When complete, you receive the following message: Duet Enterprise setup completed successfully.

  7. The Duet Enterprise 2.0 binary files are now copied to the host computer.

Verification

Verify that the following files and folders are created in the default directory path C:\Program Files\DuetEnterprise\2.0.

  • BDC Models (Folder)

  • Solutions (Folder)

  • DuetConfig.exe

  • DuetConfig.Intl.dll

  • OBA.Server.Logging.Resources.dll

See also

Install Duet Enterprise for SharePoint and SAP Server 2.0
Prepare the environment for Duet Enterprise for SharePoint and SAP Server 2.0


Stage 2: Install, configure, and register Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

Summary: Learn how to install, configure, and register Duet Enterprise 2.0, the second stage in an installation of Duet Enterprise 2.0 in a SharePoint Server 2013 environment.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

This article describes the installation and configuration of Duet Enterprise for Microsoft SharePoint and SAP Server 2.0. After this procedure is complete, additional configuration is necessary.

Install, configure, and register Duet Enterprise 2.0

Use this procedure to perform a basic deployment configuration of Duet Enterprise 2.0 and to create a target application in the default Secure Store Service service application. This procedure assumes that you are still logged on to the same host computer with the same administrative account that you chose to use for all processes and services. Before you perform the following procedure, verify that the account that you will use to run DuetConfig.exe is both a member of the Farm Administrators SharePoint group and is granted Full Control permissions on the User Profile service application.

To install, configure, and register Duet Enterprise 2.0

  1. Log on to the host server as a member of the Farm Administrators group.

  2. Click Start, click All Programs, and then click Accessories.

  3. Right-click the command prompt, and then click Run as administrator.

  4. At the command prompt, navigate to the folder that contains the DuetConfig.exe file. By default, this is the C:\Program files\Duet Enterprise\2.0\ folder.

  5. At the command prompt, type the following command, and then press ENTER:

    DuetConfig -install

  6. When DuetConfig.exe is complete, at the command prompt, you receive the following messages:

    • Successfully registered the diagnostic service

    • Successfully installed all features

    • Successfully registered health rules

    • Successfully installed help files

    • Successfully configured Duet Enterprise

  7. The Duet Enterprise 2.0 files are now configured and you are ready to create a master key.

See also

Install Duet Enterprise for SharePoint and SAP Server 2.0
Install and configure Duet Enterprise for SharePoint and SAP Server 2.0


Stage 3: Create a master key for Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn how to create a master key for the Secure Store Service application in Duet Enterprise 2.0, the third stage in an installation of Duet Enterprise 2.0 in a SharePoint Server 2013 environment.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

This article describes the procedure to create a master key for the Secure Store Service application in Duet Enterprise for Microsoft SharePoint and SAP Server 2.0.

A master key allows secure communications between SharePoint Server 2013 and SAP. Specifically, the communication is between the Secure Store Service application and the SAP NetWeaver server.

For more information about how to create a master key and configure the Secure Store, see Configure Secure Store in Configure the Secure Store Service in SharePoint 2013 Preview.

Create a master key

A master key is required to successfully configure the DuetRoot.pfx certificate. Use this procedure to generate a new master key.

To create a master key

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure. You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise 2.0.

  2. On the SharePoint Central Administration website, click Application Management.

  3. On the Application Management page, click Manage service applications.

  4. On the Manage Service Applications page, scroll down the list of service applications, and then select Secure Store service application.

  5. On the Secure Store Service Application page, click Generate New Key. The Generate New Key window opens.

  6. Type a pass phrase in the Pass Phrase and Confirm Pass Phrase boxes, and then click OK. Record this pass phrase.

  7. A new master key is created.

See also

Install Duet Enterprise for SharePoint and SAP Server 2.0
Install and configure Duet Enterprise for SharePoint and SAP Server 2.0


Stage 4: Manage DuetRoot certificate in Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn how to manage the DuetRoot certificates in Duet Enterprise 2.0, the fourth stage in an installation of Duet Enterprise 2.0 in a SharePoint Server 2013 environment.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

This article describes the procedure to manage the root authority certificates in Duet Enterprise for Microsoft SharePoint and SAP Server 2.0.

Note:

You can name these certificates whatever you like, but to help guide you through these procedures, we recommend that you name them DuetRoot.pfx and DuetRoot.cer.

In this article:

  • Create or obtain the DuetRoot.pfx certificate

  • Configure the DuetRoot.pfx certificate

  • Export the DuetRoot.pfx certificate as DuetRoot.cer

  • Share the DuetRoot.cer with the SAP administrator

Create or obtain the DuetRoot.pfx certificate

You can either create a self-signed DuetRoot.pfx certificate or obtain one from a Certificate Authority.

Do one of the following:

  • Create the DuetRoot.pfx self-signed certificate.

  • Obtain the DuetRoot.pfx certificate from a Certificate Authority.

Create the DuetRoot.pfx self-signed certificate

Create a self-signed root certificate by using the DuetConfig.exe -CreateSelfSignedCertificate command. Use this procedure if you want to create a self-signed certificate. This procedure creates a self-signed certificate that is issued by the Duet Root Certificate Authority.

To create the DuetRoot.pfx self-signed certificate

  1. As administrator, open a Windows Command Prompt window.

  2. At the command prompt, navigate to the folder that contains the DuetConfig.exe file. By default, this is the C:\Program files\Duet Enterprise\2.0\ folder.

  3. At the command prompt, type the following command, and then press ENTER:

    DuetConfig - CreateSelfSignedCertificate -Path c:\DuetRoot.pfx -Password

    (If no password is given here, you are prompted to enter one after you press ENTER. If that occurs, enter a password and press ENTER again.) Record this password.

  4. At the command prompt, you receive the following message: Certificate "c:\DuetRoot.pfx" has been generated successfully.

  5. The Duet Enterprise Root certificate is now created and is ready to be configured for use with the Secure Store Service service application.

  6. You are now ready configure the DuetRoot.pfx certificate and create a target application with it in the Secure Store Service service application.

  7. Skip to the Configure the DuetRoot.pfx certificate section below.

Obtain the DuetRoot.pfx certificate from a Certificate Authority

If you obtain a certificate from a Certificate Authority for use as the DuetRoot.pfx certificate, it must contain the following:

  • Basic Constraints Extension. This extension is used to indicate that the certificate is a certificate authority.

  • Usage Extensions. These extensions define the purpose of the public key that is contained in the certificate. The following table describes the key usage extensions.

    Key Usage Extension Name Description

    KeyCertSign

    The key can be used to sign certificates.

    DataEncipherment

    The key can be used for data encryption.

    KeyEncipherment

    The key can be used for key encryption.

    NonRepudiation

    The key can be used for authentication.

    DigitalSignature

    The key can be used as a digital signature.

Note:

The following procedures in this article assume that the file name of the certificate is DuetRoot.pfx.

Configure the DuetRoot.pfx certificate

Use this procedure to configure the DuetRoot.pfx certificate and create a target application in the Secure Store Service service application.

To configure the DuetRoot.pfx certificate

  1. As administrator, open a Windows Command Prompt window.

  2. At the command prompt, navigate to the folder that contains the DuetConfig.exe file. By default, this is the C:\Program files\Duet Enterprise\2.0\ folder.

  3. At the command prompt, type the following command, and then press ENTER:

    DuetConfig.exe -ConfigureRootCertificate -SecureStoreServiceApplicationName <Name of Secure Store Service Application> -Path <Root Certificate file path> [Password you used when you created the DuetRoot.pfx file]

  4. At the command prompt, you receive the following message: Duet Root certificate has been configured in SecureStore with target application name DuetApp.

  5. For verification, navigate to the Secure Store Service service application page and confirm that the target application DuetApp is shown.

Export the DuetRoot.pfx certificate as DuetRoot.cer

Use this procedure to export the client certificate that you created and configured. After exporting the DuetRoot.pfx certificate as DuetRoot.cer, you must give it to the SAP administrator.

To export the client certificate

  1. As administrator, open a Windows Command Prompt window.

  2. At the command prompt, navigate to the folder that contains the DuetConfig.exe file. By default, this is the C:\Program files\Duet Enterprise\2.0\ folder.

  3. At the command prompt, type the following command, and then press ENTER:

    DuetConfig -ExportRootCertificate -Path c:\DuetRoot.cer

  4. At the command prompt, you receive the following message: Root certificate for Duet is exported successfully to file c:\DuetRoot.cer.

Share the DuetRoot.cer with the SAP administrator

When the DuetRoot.cer certificate is successfully exported, you need to share it with the SAP administrator.

Note:

In the path C:\ there are two DuetRoot certificates. One is listed as type: Security Certificate and one is listed as type: Personal Information. The DuetRoot.pfx is listed as type: Personal Information and the DuetRoot.cer is listed as type: Security Certificate. You will give the DuetRoot.cer certificate that is listed as type: Security Certificate to the SAP administrator.

Give the DuetRoot.cer certificate (type: Security Certificate) file to the SAP administrator.

See also

Install Duet Enterprise for SharePoint and SAP Server 2.0
Install and configure Duet Enterprise for SharePoint and SAP Server 2.0


Stage 5: Configure a trust relationship between SharePoint and SAP

Summary: Learn how configure a trust relationship between SharePoint and SAP for Duet Enterprise 2.0, the fifth stage in an installation of Duet Enterprise 2.0 in a SharePoint Server 2013 environment.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

This article describes how to configure a trust relationship between SharePoint and SAP for Duet Enterprise for Microsoft SharePoint and SAP Server 2.0.

Configure a trust relationship between SharePoint and SAP environments

For the SSL-enabled web application to accept information from the SAP environment, you must establish a trust relationship with the SAPSSL certificate that is provided by the SAP administrator.

To configure a trust relationship between SharePoint and SAP environments

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure. You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise 2.0.

  2. On the SharePoint Central Administration website, click Security.

  3. In the General Security section, click Manage trust.

  4. On the ribbon, click New.

  5. In the Establish Trust Relationship window, in the Name box, type a name for this trust relationship.

  6. In the Root Authority Certificate box, use the Browse button to select the certificate (SAPSSL.cer) that was provided by the SAP administrator for establishing the SSL connection.

  7. Leave all other settings as the default, and then click OK. The Establish Trust Relationship window closes and the new trust relationship is displayed on the Trust Relationships page.

    You are now ready to import the Workflow, Reporting, and RoleSync models.

See also

Install Duet Enterprise for SharePoint and SAP Server 2.0


Import models in Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn how to import BDC models in a deployment of Duet Enterprise 2.0 in a SharePoint Server 2013 environment.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

Before importing any Business Data Connectivity (BDC) models, you will need the LsiUrl and MetadataUrl from the SAP administrator for each of the following BDC models to use when DuetConfig.exe is run and the models are imported. You must configure a Duet publishing URL and account. You must grant users permissions on the BDC models that you import before they can access the SAP data that those models represent.

In this article:

  • Import BDC models and set Metadata Store permissions

  • Import the Reporting model

  • Import the Workflow model

  • Import and configure the RoleSync model

  • Configure the publishing URL and account

  • Set Metadata Store permissions

Import BDC models and set Metadata Store permissions

The following models are provided with Duet Enterprise 2.0 and are installed in this default directory path: C:\Program Files\Duet Enterprise\2.0\BDC Models. This directory contains other models that are installed by default and are not used as part of this deployment.

  • Workflow

  • UserSubscription

  • Reporting

  • RoleSync

Each of these models must be imported individually because the procedures to import them are not the same. Use the following procedures to import each of the Reporting, Workflow, and RoleSync BDC models.

Import the Reporting model

The Reporting BDC model is imported into Duet Enterprise 2.0 by using the DuetConfig.exe -importbdc command. It requires both an LsiUrl and MetadataUrl to import successfully. Use the following procedure to import the Reporting BDC model.

To import the Reporting model

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure. You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise 2.0.

  2. As administrator, open the Windows command prompt.

  3. At the command prompt, type the default path of the DuetConfig.exe file: cd /d C:\Program Files\Duet Enterprise\2.0.

  4. At the command prompt, type the following command, and then press ENTER:

    Duetconfig.exe -importbdc -featurename Reporting -BdcServiceApplication <BDC Service Application> -lsiurl <LsiUrl> -metadataUrl <MetadataUrl>

    Where:

    • <BDC Service Application> equals the BDC Service application name.

    • <LsiUrl> is the LsiUrl URL that is provided to you by the SAP administrator that matches the BDC model that you want to import.

    • (optional) <MetadataUrl> is the metadata URL that is provided to you by the SAP administrator that matches the BDC model that you want to import.

  5. When complete, at the command prompt, you receive the following message: The specified BDC model was successfully imported.

Import the Workflow model

The Workflow BDC model is imported into Duet Enterprise 2.0 by using the DuetConfig.exe -importbdc command. It requires both an LsiUrl and MetadataUrl to import successfully. It also requires an additional parameter named UserSubLsiUrl. This UserSubLsiUrl is used for the UserSubscription model, an additional model only imported together with the workflow model. The UserSubscription model allows users to subscribe to workflow tasks on individual Duet Enterprise 2.0 workflow sites. Use the following procedure to import the Workflow and UserSubscription BDC models.

To import the Workflow model

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure. You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise 2.0.

  2. As administrator, open the Windows command prompt.

  3. At the command prompt, type the default path of the DuetConfig.exe file: cd /d C:\Program Files\Duet Enterprise\2.0.

  4. At the command prompt, type the following command, and then press ENTER:

    Duetconfig.exe -importbdc -featurename Workflow -BdcServiceApplication <BDC Service Application> -lsiurl <LsiUrl> -usersubLsiurl <UserSubLsiUrl> -metadataUrl <MetadataUrl>

    Where:

    • <BDC Service Application> equals the BDC Service application name.

    • <LsiUrl> is the LsiUrl URL that is provided to you by the SAP administrator that matches the BDC model that you want to import.

    • <UserSubLsiUrl> is the UserSubLsiUrl URL that is provided to you by the SAP administrator.

    • <MetadataUrl> is the metadata URL that is provided to you by the SAP administrator that matches the BDC model that you want to import. The URL is appended to the end of the MetadataUrl provided by the SAP administrator.

  5. When complete, at the command prompt, you receive the following message: The specified BDC model was successfully imported.

Import and configure the RoleSync model

The RoleSync BDC model is imported into Duet Enterprise 2.0 by using the DuetConfig.exe -importbdc command. It requires both an LsiUrl and MetadataUrl to import successfully. Use the following procedure to import the RoleSync BDC model. After the model is imported, it must be configured to start the required timer jobs.

To import the RoleSync model

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure. You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise 2.0.

  2. As administrator, open the Windows command prompt.

  3. At the command prompt, type the default path of the DuetConfig.exe file: cd /d C:\Program Files\Duet Enterprise\2.0.

  4. At the command prompt, type the following command, and then press ENTER:

    Duetconfig.exe -importbdc -featurename RoleSync -BdcServiceApplication <BDC Service Application> -lsiurl <LsiUrl> -metadataUrl <MetadataUrl>

    Where:

    • <BDC Service Application> equals the BDC Service application name.

    • <LsiUrl> is the LsiUrl URL that is provided to you by the SAP administrator that matches the BDC model that you want to import.

    • <MetadataUrl> is the metadata URL that is provided to you by the SAP administrator that matches the BDC model that you want to import. The URL is appended to the end of the MetadataUrl provided by the SAP administrator.

  5. When complete, at the command prompt, you receive the following message: The specified BDC model was successfully imported.

To configure RoleSync

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure. You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise 2.0.

  2. As administrator, open the Windows command prompt.

  3. At the command prompt, type the default path of the DuetConfig.exe file: cd /d C:\Program Files\Duet Enterprise\2.0.

  4. At the command prompt, type the following command, and then press ENTER:

    DuetConfig.exe -ConfigureRoleSync -UserProfileServiceApplicationName <"User Profile Service Application Name">

    Where <"User Profile Service Application Name"> equals the name of the User Profile service application.

  5. At the command prompt, you receive the following message: The specified Profile Synchronization Job was successfully configured.

  6. The timer job for RoleSync is now created.

Configure the publishing URL and account

Use this procedure to configure the properties required to enable the SAP system to publish reports and workflows to a specific web application that you want to enable for use with Duet Enterprise 2.0. To complete this procedure, you must know the following:

  • The URL of the web application that you are configuring.

  • The port number of the extended port on the web application that you are configuring.

  • The account that the SAP system will use to publish reports and workflows to the web application that you are configuring.

To configure the publishing URL and account

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure. You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are configuring Duet Enterprise 2.0.

  2. As administrator, open the Windows command prompt.

  3. At the command prompt, type the default path of the DuetConfig.exe file: cd /d C:\Program Files\Duet Enterprise\2.0.

  4. At the command prompt, type the following command, and then press ENTER:

    duetconfig.exe -configurewebapp <Web Application URL> -PublishingUrl <PublishingUrl> -PublisherAccount <domain\username>

    Where:

    • <Web Application URL> equals the http:// URL of the new web applications that you created.

    • <PublishingUrl> equals the https://servername:portnumber of the extended web application that the SharePointSSL.cer certificate is bound to.

      Tip:

      Because you extended this web application using a fully qualified domain (FQDN) name, you will need use the FQDN form of the URL here.

    • <domain\username> equals the domain and user name of the DuetPublisher account.

      Important:

      This account cannot be the same as the SharePoint Farm account or the Managed account assigned to the application pool of the web application using by Duet Enterprise.

  5. At the command prompt, you receive the following message: Successfully configured Duet functionality on the Web Application https://WebApplicaitonURL.

Give the DuetPublisher account to the SAP administrator

You must give the name of the account you are using as the DuetPublisher account to the SAP administrator. We recommend that you use an account in AD DS named DuetPublisher. The SAP administrator will map this user account to one or more SAP roles in SAP NetWeaver Gateway that have access to SAP reports.

Set Metadata Store permissions

Before you can verify the successful configuration and connection between the SharePoint and SAP systems, you must configure Metadata Store permissions.

To set Metadata Store permissions

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure. You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise 2.0.

  2. On the SharePoint Central Administration website, click Application Management.

  3. In the Service Applications section, click Manage service applications.

  4. On the Service applications page, click the link for the Business Data Connectivity Service Application that you are using for Duet Enterprise. By default, the name of the link is BDC Service but this name can be changed by an administrator.

  5. On the BDC models page, in the View section, in the External Content Types drop-down list, select BDC Models. The following four imported models are displayed:

    • OBA.Server.Reporting

    • OBA.Server.RoleSync

    • OBA.Server.UserSubscription

    • OBA.Server.Workflow

  6. On the BDC Models page, use Set Object Permissions and Set Metadata Store Permissions to set both object and Metadata Store permissions for all models. All users who access these models will need individual permissions to access content from these BDC models.

    • Set Object Permissions: Execute, Selectable in Client, Edit, and Set Permissions. (For the publisher account only all permissions are required. For all other accounts, you can choose one or more permissions.)

    • Set Metadata Store Permissions: Execute, Selectable in Client, Edit, and Set Permissions. Make sure to select the Propagate permissions to all BDC models, External Systems and External Content Types in the BDC Metadata Store. Doing so will overwrite existing permissions. (For the publisher account, only all permissions are required. For all other accounts, you can choose one or more permissions).

  7. You might have to run IIS reset to allow these permissions to take effect immediately.

  8. When both the object and Metadata Store permissions are set, you can run Duet Enterprise Configuration Check and validate that all required communication and security checks are working and functional.

See also

Install and configure Duet Enterprise for SharePoint and SAP Server 2.0


Configuration check for Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn how to perform a Duet Enterprise Configuration Check in a SharePoint Server 2013 environment.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

This article describes how to verify the Duet Enterprise Configuration Check in Duet Enterprise for Microsoft SharePoint and SAP Server 2.0.

Run the Duet Enterprise Configuration Check

Use this procedure to verify the configuration of Duet Enterprise 2.0 and to show the status of all imported models and features.

To run the Duet Enterprise Configuration Check

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure. You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise 2.0.

  2. As administrator, open a Windows Command Prompt window.

  3. At the command prompt, ensure that the directory is the default install location for Duet Enterprise 2.0: C:\Program Files\Duet Enterprise\2.0.

  4. At the command prompt, type the following command, and then press ENTER:

    duetconfig.exe -CheckConfiguration

  5. At the command prompt, you receive the following message: Please wait while the check configuration result is retrieved and written to the output file. This operation can take several minutes to complete….

    The CheckConfiguration result is written to C:\Users\<useraccount>\AppData\Local\Temp\1\CheckConfigurationResult.xml, where <useraccount> equals the name of the publisher account specified when you configured the publishing URL and account.

  6. To view this file, browse to the location shown at the command prompt, and then open the CheckConfigurationResult.xml file in your XML-compatible web browser. You will need to allow all scripts to run.

  7. On the Duet Enterprise Configuration Check page, the following information is displayed:

    • Overall Status This displays the overall status of all security connections, models, and features. If all of these are working correctly, the status column will display Success.

    • Farm-Scoped Features This displays the status of RoleSync, Validate Root Authority Certificate, and Security. If all of these are working correctly, the status column will show Success for each. Note that RoleSync will show as failed until it is run for the first time. This is expected and does not indicate a problem. Running RoleSync one time will change this fail to success.

    • Web Application-Scoped Features This displays the status of Publishing Settings, Reporting, and Workflow. If all of these are working correctly, the status column will show Success for each.

  8. If any of these features, models, or items show as Failed in the status column, you can get more information about the failure by clicking Diagnostic Checks in the failed component section.

  9. The Duet Enterprise 2.0 core installation and configuration is now completed. Additional configuration is required to enable the features of the four imported Business Data Connectivity (BDC) models: Reporting, Workflow, UserSubscription, and RoleSync. For more information, see Configure solutions in Duet Enterprise for SharePoint and SAP Server 2.0.

See also

Install and configure Duet Enterprise for SharePoint and SAP Server 2.0


Configure solutions in Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn how to configure and deploy solutions in Duet Enterprise 2.0 in a SharePoint Server 2013 environment.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

Solutions for Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 are configured at two levels: the site collection level and the subsite level. Before any solutions can be deployed, a new site collection must be created and then individual subsites must be created for each solution. Use the following procedure to create a new site collection, which will be later configured and new subsites created to host the individual Duet Enterprise 2.0 features of Reporting and Workflow.

Create a new site collection

This site collection will serve as the foundation for all subsites that will be created to host individual Duet Enterprise 2.0 features, such as Reporting and Workflow.

To create a new site collection

  1. Verify that you have the following administrative credentials: Farm Administrators SharePoint group and a member of the Windows Administrators group on the server that is running the SharePoint Central Administration website.

  2. In Central Administration, on the Application Management page, in the Site Collections section, click Create Site Collections.

  3. On the Create a Site Collection page, in the Title and description section, in the Title field, enter a name for this new site collection. Record this name.

  4. In the Template Selection section, select Team site.

  5. In the Primary Site Collection Administrator section, in the User Name field, enter an account. Record this account.

  6. Leave all other settings as the default.

  7. Click OK. The new site collection is created by using the blank template.

  8. Browse to the newly created site collection by entering the URL into your web browser address field. It should resemble the following: http://servername:portnumber.

  9. The new site collection is displayed as a team site.

Deploy a solution

Use the following procedures to deploy a Reporting, Workflow, or RoleSync solution for Duet Enterprise 2.0:

  • Configure the Reporting solution in Duet Enterprise for SharePoint and SAP Server 2.0

  • Configure the Workflow solution in Duet Enterprise for SharePoint and SAP Server 2.0

  • Configure the RoleSync solution in Duet Enterprise for SharePoint and SAP Server 2.0

See also

Install and configure Duet Enterprise for SharePoint and SAP Server 2.0


Configure the Reporting solution in Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn how to configure the Reporting solution in Duet Enterprise 2.0 in a SharePoint Server 2013 environment.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

The Reporting solution in Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 must be configured before it can be used by administrators or users. In earlier procedures, you have imported the Reporting Business Data Connectivity (BDC) model and have confirmed that it is functioning correctly. The following procedures enable site collection and site-level features so that the Reporting solution can be used.

In this article:

  • Enable the Reporting solution on the site collection

  • Create a new subsite and activate the Reporting solution

Enable the Reporting solution on the site collection

Duet Enterprise reporting requires the Duet Enterprise Reports Content Types feature to be enabled in the site collection. This feature is enabled for all subsites in the site collection.

To enable the Reporting solution on the site collection

  1. Verify that you have the following administrative credentials: Farm Administrators SharePoint group and a member of the Windows Administrators group on the server that is running the SharePoint Central Administration website.

  2. Browse to the newly created site collection by entering the URL into your web browser address field. It should resemble the following: http://servername:portnumber.

  3. The new site collection is displayed as a blank site.

  4. On the ribbon, select the Settings icon (the Settings icon resembles a gear), and then select Site Settings.

  5. On the Site Settings page, in the Site Collection Administration section, select Site Collection Features.

  6. On the Site Settings - Site Collection Features page, scroll down the list to find Duet Enterprise Reports Content Types.

  7. Click Activate next to Duet Enterprise Reports Content Types. The Duet Enterprise Reports Content Types feature is activated and is displayed as Active.

  8. The Duet Enterprise Reports Content Types feature is now enabled on the site collection you created.

Create a new subsite and activate the Reporting solution

After you have created a new site collection, you must create a new subsite to host Duet Enterprise Reporting and its features.

To create a new subsite and activate the Reporting solution

  1. Verify that you have the following administrative credentials: Farm Administrators SharePoint group and a member of the Windows Administrators group on the server that is running the SharePoint Central Administration website.

  2. Browse to the new site collection that you created.

  3. Select Site Contents.

  4. On the Site Contents - New SharePoint Site page, in the Title and Description section, in the Title field, type Reporting.

  5. In the Template Selection section, on the Collaboration tab, select Blank Site.

  6. In the Navigation Inheritance section, under Use the top link bar from the parent site?, select Yes.

  7. Click Create. The new blank subsite is created to host Duet Enterprise Reporting.

  8. The new reporting subsite is displayed.

  9. On the subsite page, on the ribbon, select the Settings icon (the Settings icon resembles a gear), and then select Site Settings.

  10. On the Site Settings page, in the Site Actions section, select Manage site features.

  11. Scroll down the list to find Duet Enterprise Reporting.

  12. Click Activate next to Duet Enterprise Reporting. The Duet Enterprise Reporting feature is activated and is displayed as Active.

  13. The Duet Enterprise Reporting feature is now active on the new subsite and its features are available for viewing and use.

  14. You can view these features by viewing the added items to the left navigation on the subsite. The newly added features are displayed as the following:

    • Report Settings Shows the available report types and templates. This can be used to run reports.

    • Reports Shows the current reports.

See also

Install and configure Duet Enterprise for SharePoint and SAP Server 2.0


Configure the Workflow solution in Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn how to configure the Workflow solution in Duet Enterprise 2.0 in a SharePoint Server 2013 environment.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

The Workflow solution in Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 allows SAP workflows to be transferred to the SharePoint system and trigger alerts and messaging inside SharePoint sites and sent via email messages to users. The Workflow solution is configured on a new subsite that you will create. This new workflow subsite will host all of the different SAP task types.

Note:

If there are multiple backend SAP systems, ask the SAP administrator to complete the steps shown in the Activate Workflow Service section of the SAP Configuration Guide. This guide is available on the SAP Support Portal (Enter your user name and password. In the left-hand pane, click SAP Business Suite Applications, click Duet Enterprise, and then select Duet Enterprise 2.0.)

In this article:

  • Create a subsite and activate the Workflow solution

  • Verify the Workflow solution

Create a subsite and activate the Workflow solution

Use the following procedure to create a subsite to host the Workflow feature in Duet Enterprise 2.0.

To create a subsite for Workflow

  1. Verify that you have the following administrative credentials: Farm Administrators SharePoint group and a member of the Windows Administrators group on the server that is running the SharePoint Central Administration website.

  2. Browse to the new site collection that you created.

  3. In the Quick Launch, click Site Contents.

  4. On the Site Contents page, in the Subsites section, click new subsite.

  5. On the Site Contents - New SharePoint Site page, in the Title and Description section, in the Title field, type Workflow.

  6. In the Web Site Address section, in the URL name field, type Workflow.

  7. In the Template Selection section, on the Collaboration tab, select Team site.

  8. Optionally, in the Navigation Inheritance section, under Use the top link bar from the parent site?, select Yes.

  9. Click Create. The new blank subsite is created to host the Duet Enterprise Workflow.

  10. The new workflow site is created and is displayed.

Activate the Duet Enterprise Workflow feature on the subsite

  1. On the new workflow site, in the ribbon, select the Settings icon (the Settings icon resembles a gear), and then select Site Settings.

  2. On the Site Settings page, in the Site Actions section, select Manage site features.

  3. Scroll down the list to find Duet Enterprise - SAP Workflow.

  4. Click Activate next Duet Enterprise - SAP Workflow. The Duet Enterprise - SAP Workflow feature is activated and is displayed as Active.

  5. On the new workflow site, in the ribbon, select the Settings icon (the Settings icon resembles a gear), and then select Site Settings.

  6. On the Site Settings page, a new section is displayed named SAP Workflow Configuration that has the following links.

    • Grant users access to SAP workflow tasks.

    • Configure new SAP workflow task type.

    • Import a preconfigured SAP Workflow template.

    • Diagnose configuration problems.

    Duet Enterprise 2.0 Workflow is now configured on the subsite and its features are available for viewing and use.

Verify the Workflow solution

To verify that workflows can be received from the SAP system, you must do the following:

  • Configure at least one SAP workflow task type.

  • Grant at least one user access to the task type.

  • Publish the workflow that is associated with the task type that you created.

Configure an SAP workflow task type

When you configure a new SAP workflow task type, you specify the SAP task type and the possible outcomes that the task can have. SharePoint Server creates a new workspace for the task type. The workspace hosts all the tasks for a workflow task type.

Tip:

You can configure multiple task types per workflow site, but you cannot use the same task types on other workflow sites.

Duet Enterprise 2.0 includes a site template that you can use to configure a new SAP workflow task type. Alternatively, a site designer can use SharePoint Designer 2013 to customize a workflow for individual business requirements. For example, a site designer might specify that each page on workflow site include a Related Reports Web Part.

Note:

Do not create a workflow task workspace for the same SAP workflow task type and same language on multiple root workflow sites. This is not supported in Duet Enterprise 2.0.

To configure a new SAP workflow task type

  1. From the root workflow site, select Settings, and then select Site Settings.

  2. On the Site Settings page, locate the SAP Workflow Configuration group, and then click Configure new SAP Workflow task type to open the properties page for the workflow site.

  3. On the New SAP Workflow Task Type page, enter a description for this new site.

  4. In the Template Selection group, in the Select a template panel, click the Duet Enterprise tab. Then, select SAP Workflow Site, or the name of the custom template that you want to use.

  5. In the Task Name group, in the Task name text box, enter the name of the SAP task type.

    Note:

    The task name must match the name as it appears in the SAP system. For more information about task type names, contact your SAP Workflow administrator.

  6. In the text box next to Task display name, enter the name that you want to appear on the site.

  7. In the Task Outcomes group, in the Possible task outcomes pane, do the following:

    1. In the Text box, enter the name of a possible outcome, such as Approve or Reject. The outcomes that you specify here will appear as buttons on the task form.

    2. In the Key box, enter the numeric key of this outcome, such as 001 or 002.

    3. Click Add Outcome.

    4. Repeat steps a through c until you have finished entering possible outcomes.

      Note:

      The site designer specifies a certain collection of valid outcomes (text and key values) during the initial setup process. The outcome name and key that you enter in this step must be one of these predefined outcomes. For more information about valid outcomes that you can use, contact your SAP workflow administrator.

  8. In the Extended business properties text box, enter the names of any extended properties.

    Note:

    A site designer or administrator can specify additional properties for an SAP workflow. To learn about any extended business properties that might be required for your site, contact your workflow administrator.

  9. In the External Content Type group, in the External content type text box, enter Workflow Task for this task type. To verify the name of the external content type, click the check button. To select Workflow Task from a list of valid external content types, click the browse button to open the External Content Type Picker dialog box. Then, select Workflow Task, and then click OK.

  10. In the Task Deletion group, in the days text box, specify how long to keep a completed task in the task list before deleting the task. The default is 500 days.

  11. Click Create to create the new workflow task workspace site.

  12. When the Site Created Successfully message box appears, click OK to go to the new site page.

    Once the workflow task workspace is created, you can use the SharePoint Server user interface or SharePoint Designer to customize the site to suit your business needs.

Grant users access

After you create an SAP workflow task type and its site, you are ready to add the users who will receive the tasks from the site. You can add users individually, or add a group of users by adding an appropriate SAP role.

When you grant users access to the SAP workflow task type, Duet Enterprise 2.0 confirms authorization for the requested user to access the SAP workflow elements.

To grant users access to the SAP workflow task type

  1. Navigate to the root workflow site.

  2. Select Settings, and then select Site Settings.

  3. On the Site Settings page, locate the SAP Workflow Configuration group, and then click Grant user access to SAP workflow tasks.

  4. On the User Subscription page, click new item.

  5. In the Workflow task type drop-down list, select the task that you want to grant access to.

  6. In the User/Role text box, enter the user account of the user for whom you want to grant access. If you want to grant access to all users who have a certain SAP role, enter the name of the role. You can verify the entry that you made by clicking the Check Names button. To browse for a name or role, click the browse button.

  7. Click OK to return to the User Subscription page.

Publish the workflow

Each unique task in an SAP workflow is implemented as a separate SharePoint Server declarative workflow. You must publish the workflow to make it available to users on the workflow task workspace.

To perform the steps in the following procedure, you must be a site administrator for the workflow task workspace. You must also have SharePoint Designer 2013 installed on the computer from which you are accessing the workflow site.

To publish the workflow

  1. From the workflow task workspace site, click Page.

  2. In the Edit group, click the Edit Page arrow to see more options, and then click Edit in SharePoint Designer. SharePoint Designer will connect to the workflow site automatically. In addition, it opens the workflow on a page that enables you to manage the settings for the workflow site.

  3. In the Navigation panel, click Workflows.

  4. In the Workflows pane, locate the List Workflow section and the name of the workflow that you want to publish.

  5. Double-click the name of the workflow to open a page where you can manage settings for the workflow.

  6. In the Save group on the ribbon, click Publish.

    Now that you have concluded these steps, ask the SAP administrator to run a workflow that contains the task type that you configured and verify that the workflow is sent to your workflow site.

See also

Configure solutions in Duet Enterprise for SharePoint and SAP Server 2.0


Configure the RoleSync solution in Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn how to configure role synchronization (RoleSync) for Duet Enterprise 2.0.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

The Role Synchronization (RoleSync) solution provided with Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 enables SharePoint administrators to synchronize the SAP roles property that is stored in the SAP profile store with SharePoint user profiles. After role synchronization is performed, users can use SharePoint People Picker to grant permissions on any securable object in SharePoint, such as sites, lists, and files. It also enhances the Reporting solution because shared reports can only be shared by using SAP roles and users can subscribe to shared reports.

This article assumes the following:

  • An SAP administrator has created the SAP-user-to-SAP-role mapping in the SAP system.

  • A SharePoint administrator has started the User Profile Service application and has created a Profile synchronization connection to the Active Directory Domain Services (AD DS) service that contains the user accounts that are used by the SharePoint Server farm. For information about how to complete these procedures, see Configure profile synchronization (SharePoint 2013 Preview).

  • The SharePoint administrator has synchronized the AD DS service with the SharePoint user profile store. For more information, see Manage profile synchronization (SharePoint 2013 Preview).

    Note:

    The SharePoint user profiles to which you want to synchronize SAP roles must already exist before you perform role synchronization. SAP roles will only be synchronized with SharePoint user profiles that already exist. You can create these user profiles in the SharePoint user profile store manually but the recommended way for them to be created is to perform profile synchronization with AD DS.

In this article:

  • Before you begin

  • Activate the Duet Enterprise Claim Provider feature

  • Identify the SharePoint Timer Service Account

  • Grant permissions to the Metadata Store

  • Ensure the Timer account has full control and verify name of User Profile service application

  • Provide the SharePoint Timer service account

  • Synchronize SAP roles with the SharePoint user profile store

  • Verification step

  • Grant an SAP role permissions to a site

Before you begin

Before you configure role synchronization, the SAP administrator must have completed the following:

  • Trusted the SSL certificate that you created earlier in Prepare the environment for Duet Enterprise for SharePoint and SAP Server 2.0.

The SharePoint administrator must have completed the following:

  • Import the RoleSync model. For more information, see Import models in Duet Enterprise for SharePoint and SAP Server 2.0.

Activate the Duet Enterprise Claim Provider feature

Note:

You must be a member of the Farm Administrators group to complete this procedure.

To enable the Duet Enterprise Claim Provider feature

  1. On the SharePoint Central Administration website, on the Quick Launch, click Central Administration.

  2. In the System Settings section, click Manage farm features.

  3. In the Duet Enterprise SAP Roles Claims Provider row, click Activate.

    The status column changes to Active. When active, the SAP roles are available in People Picker after the SharePoint Server 2013 user profile store is synchronized with the SAP profile store.

Identify the SharePoint Timer Service Account

To perform the next three procedures, you must first know what user account is assigned to the SharePoint Timer Service.

Note:

You must be a member of the Windows Administrator group to complete this procedure.

To identify the SharePoint Timer Service account

  1. Log on to a server in the SharePoint farm as a Windows Administrator.

  2. Click Start and then click Run.

  3. In the Run dialog box, in the Open box, enter services.msc and then click OK.

  4. In the Services window, in the Name column, double-click SharePoint Timer Service.

  5. Click the Log On tab.

  6. Record the account name shown in the This account box.

Grant permissions to the Metadata Store

Note:

You must be a member of the Farm Administrators group to complete this procedure.

To grant permissions to the Metadata Store

  1. In Central Administration, on the Quick Launch, click Application Management.

  2. In the Service Applications section, click Manage service applications.

  3. In the Name column, click the link for the Business Data Connectivity Service Application.

  4. In the Permissions group of the ribbon, click Set Metadata Store Permissions.

  5. In the Set Metadata Store Permissions dialog box, in the top box, enter the user account that the timer job is running on..

  6. Click Add.

  7. In the <user account> section (bottom section), ensure that the Execute check box is selected.

    Where <user account> us the name of the account you added in steps 1 through 6.

  8. Click OK.

    Note:

    If at least one user has not yet been granted the Set Permissions permission on the Metadata Store, you might receive the following error message: "At least one user/group in the Access Control List must have the Set Permissions right to avoid creating a non-manageable object." To resolve this issue, grant at least one user the Set Permissions permission on the Metadata Store.

Ensure the Timer account has full control and verify name of User Profile service application

Use this procedure to ensure that the account assigned to the SharePoint Timer account has full control permissions to the default User Profile service application and the Business Data Connectivity service application in the SharePoint farm. The farm administrator who will configure profile synchronization, later in this article, must be granted this permission.

Tip:

SharePoint Server 2013 supports multiple User Profile service applications. However, Duet Enterprise role synchronization works only with the default User Profile service application.

Note:

You must be a member of the Farm Administrators group or an administrator of the User Profile service application to complete this procedure.

To ensure that Timer account has full control

  1. In Central Administration, on the Quick Launch, click Central Administration.

  2. In the Application Management section, click Manage service applications.

  3. In the Type column, click the row that contains the default User Profile Service Application to select the row.

  4. The name of the User Profile service application is listed in the Name column. Note the name of this service application because you will need it for a later procedure.

  5. In the Sharing group of the ribbon, click Permissions.

  6. In the Connection Permissions dialog box, ensure that the account used for the SharePoint Timer service is granted Full Control permissions.

  7. Click OK.

Provide the SharePoint Timer service account

You must provide the SAP administrator with the user account that is assigned to the SharePoint Timer service, also known as the SPTimerV4 service. The SAP administrator must ensure that this account is mapped to an SAP user who is granted sufficient permissions on the SAP system to query the UserRoles assignments query.

Note:

You must be a member of the Windows Administrators group to complete this procedure.

To get the user account for the SharePoint Timer service

  1. Log on to a front-end web server in the SharePoint Server 2013 farm as a member of the Administrators group.

  2. Click Start, point to Administrative Tools, and then click Services.

  3. In the Name column, right-click SharePoint Timer, and then click Properties.

  4. In the SharePoint Timer Service Properties dialog box, on the Log On tab, note the account name that is listed in the This account text box.

  5. Give this account name to the SAP administrator.

  6. Click Cancel to close the SharePoint Timer Service Properties dialog box.

Synchronize SAP roles with the SharePoint user profile store

Note:

You must be a member of the Farm Administrators group to complete this procedure.

Before you start this procedure, do the following:

  • Ensure that the SAP administrator has configured an OData endpoint.

  • Ask the SAP administrator to ensure that the "Synchronize roles to consumers" job has finished running on the SAP system.

    The SAP administrator must run the "Synchronize roles to consumers" job periodically to synchronize the user roles on the SAP system with the SAP profile store on the server that is running SAP NetWeaver. We recommend that you do not synchronize the SAP user profile store with the SharePoint user profile store until the SAP administrator has completed the synchronization job. Otherwise, the synchronization job between the SAP profile store and the SharePoint user profile store can take much longer to complete. Note that the "Synchronize roles to consumers" job takes approximately 80 minutes to synchronize 100,000 users, while synchronizing the profile store in SAP NetWeaver to the SharePoint user profile store takes approximately 100 minutes to synchronize 100,000 users. If you plan to schedule these synchronization jobs, we recommend that you run them manually first to determine how much time each takes, on average, to run on your systems.

To synchronize profiles

  1. In Central Administration, on the Quick Launch, click Monitoring.

  2. On the Monitoring page, in the Timer Jobs section, click Review job definitions.

  3. On the Job Definitions page, in the Title column, click the Duet Enterprise Profile Synchronization for <User Profile service application name> link.

    Where <User Profile service application name> is the name of the User Profile service application that you are using for role synchronization.

    Tip:

    If you have only one User Profile service application, by default this name is Duet Enterprise Profile Synchronization for User Profile Service Application.

  4. On the Edit Timer Job page, click Run Now.

    Note:

    This timer job is scheduled to run one time per day but you can configure it to run less often if it causes a performance problem.

    For more information about SharePoint timer jobs, see View timer job status (SharePoint 2013 Preview).

Verification step

After role synchronization is complete, the SAP Roles property appears at the bottom of each SharePoint user profile page and displays the SAP roles that they are assigned to. These SAP roles will also be available in People Picker when granting permissions to securable objects, such as sites, list, and files. SAP roles will also be available when you run shared reports if you have configured the Reporting solution.

Grant an SAP role permissions to a site

After the SAP user profile store is synchronized with the SharePoint user profile store, you can perform this procedure to grant users permissions to a site based on their SAP roles. Note that only sites that are in a web application that uses claims-based authentication and that are associated with the User Profile service application that you used to configured role synchronization are supported.

Tip:

Before you can use SAP roles to set permissions on a site, the site collection must already exist and SAP roles must have already been synchronized to the SharePoint user profile store. After you have granted an SAP role permissions to a site, the site collection must not be renamed or deleted.

Note:

You must be a Site Owner to perform this procedure.

To grant an SAP role permissions to a site

  1. In a browser, go to the site for which you want to enable SAP roles.

  2. Click the Settings icon, and then click Site Settings.

    Tip:

    The Settings icon resembles a gear.

  3. Under Users and Permissions, click Site Permissions.

  4. In the Grant group of the ribbon, click Grant Permissions.

  5. In the Grant Permissions dialog box, do the following:

    1. Click SHOW OPTIONS.

    2. Under Select a group or permission level, select the group or permission level to which you want to assign the SAP role.

    3. In the top box, type part of the SAP role's name.

      Tip:

      A drop-down list appears with all available SAP roles.

  6. Either finish typing the name of the SAP role or select it from the drop-down list, and then click Share.

See also

Install and configure Duet Enterprise for SharePoint and SAP Server 2.0


End user considerations in Duet Enterprise for SharePoint and SAP Server 2.0

Understand the typical issues experienced by end users and how to avoid them.

This article describes things you should consider in order to support end-users of Duet Enterprise 2.0.

In this article:

  • Accessing workflow tasks using Microsoft Outlook

  • Accessing SSL enabled sites

  • Using the Duet Enterprise Client

Accessing workflow tasks using Microsoft Outlook

End-users might encounter an error message in Outlook 2013 when they open a workflow task if the URL in the email message (workflow task URL) is not trusted by Internet Explorer. Use this procedure on the computer of each end-user to add the URL of the host name of each Web application that contains a workflow site with which the end user will interact to the Intranet zone in Internet Explorer.

For example, if the URL to your workflow site is http://contoso/sites/Portal/Tasks/default.aspx, you would use the URL http://contoso in step 5 of this procedure.

To add a URL to the intranet zone in Internet Explorer

  1. Open Internet Explorer.

  2. On the Tools menu of the Command Bar, click Internet Options.

  3. In the Internet Options dialog box, on the Security tab, click Local intranet, and then click Sites.

  4. In the Local intranet dialog box, click Advanced.

  5. In the Add this Website to the zone box, enter the URL of the Web application that contains workflow sites with which the end-user will interact.

  6. Click Add.

  7. Repeat steps 5 and 6 for each additional Web application that contains a workflow site with which the end-user will interact.

  8. Click Close

  9. Click OK to close the Local intranet dialog box.

  10. Click OK to close the Internet Options dialog box.

Accessing SSL enabled sites

If the customer-facing zone of any Web applications that surface SAP content, such as sites on which Duet Enterprise features are enabled, are secured by using SSL, the computers that are used by end-users who have to access these SSL-enabled sites must have the SSL certificate installed. This is typically done by using a domain policy, but it can also be performed manually by each user.

Using the Duet Enterprise Client

You can choose to install the Duet Enterprise Client on end user workstations. Doing so enables the following benefits:

  • Users can take SAP data in external lists offline into Outlook. For more information about taking data offline, see Connect to an external list in Outlook (http://office.microsoft.com/en-us/sharepoint-help/connect-an-external-list-to-outlook-HA102843656.aspx).

  • Enable SAP administrators to troubleshoot issues all the way from the SAP system to the end user's workstation.

The Duet Enterprise Client 2.0 can be downloaded from the SAP Service Portal (http://service.sap.com/swdc). (Enter your user name and password. In the left-hand pane, expand Installations and Upgrades and then click Browse our Download Catalog. Under BROWSE OUR DOWNLOAD CATALOG, click SAP Application Components to expand the list. Under SAP Application Components, click Duet Enterprise. Under DUET ENTERPRISE, click DUET ENTERPRISE 2.0. Under DUET ENTERPRISE 2.0 click Installation to display the download files for the Duet Enterprise Client.)

Note:

After installing the Duet Enterprise Client, you must either reboot the workstation computer or restart the BCSSync.exe service on the workstation computer.


Uninstall Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn how to uninstall Duet Enterprise 2.0 in a SharePoint Server 2013 environment.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

This article describes how to remove an installation of Duet Enterprise for Microsoft SharePoint and SAP Server 2.0. This includes removing all Duet Enterprise 2.0 solutions and all traces of Duet Enterprise components from the SharePoint Server 2013 farm.

The procedures provided in this article do not remove files that contain SAP data from the SharePoint Server farm. For example, SAP reports that have been delivered to document libraries are not removed. If you want those files to be removed as well, we recommend that you delete the SAP reports manually. For example, you can delete the document libraries that contain the SAP reports or delete the individual reports.

Caution:

Do not use the Duet Enterprise Setup Wizard to uninstall Duet Enterprise 2.0. Doing so can leave the Duet claims provider registered which can cause login failures. Instead, follow the steps shown in the following procedures.

In this article:

  • Uninstall all solutions

  • Restart IIS and SharePoint services

Uninstall all solutions

If you want to remove all Duet Enterprise 2.0 solutions from all web applications and also unregister all Duet Enterprise 2.0 components, there are two commands that you must use:

  • DuetConfig.exe -uninstall This command removes all solutions from all web applications and unregisters all Duet Enterprise components, at the same time. This command needs to run on only one web server in the SharePoint Server farm.

  • setup /uninstall This command removes all traces of Duet Enterprise. This command must be run on all web and application servers in the SharePoint Server farm.

Uninstall all solutions

The following procedure explains how to uninstall all Duet Enterprise 2.0 solutions that you have deployed to a SharePoint Server farm and also how to remove all traces of Duet Enterprise 2.0 on each front-end web server and application server in the SharePoint Server farm.

Note:

You must be a member of the Farm Administrators group to uninstall Duet Enterprise 2.0 solutions from SharePoint Server 2013.

To uninstall all solutions

  1. Verify that you have the following administrative credentials:

    • You must be a member of the Farm Administrators group to uninstall Duet Enterprise 2.0 solutions from SharePoint Server 2013.

  2. As administrator, open a Windows Command Prompt window on a front-end web server in the SharePoint Server 2013 farm, and then go to <systemdrive>:\Program Files\Duet Enterprise\2.0.

    This folder contains the DuetConfig.exe file.

  3. At the command prompt, type the following command, and then press ENTER:

    DuetConfig.exe -uninstall

    If this command is successful, you receive the following message: Duet Enterprise unconfiguration succeeded.

    Note:

    This command removes all solutions from all web applications and unregisters all Duet Enterprise components at the same time.

  4. Next, at the command prompt, go to the folder that contains the Setup.exe file for Duet Enterprise 2.0. If this file is not in the file system of the server that is running SharePoint Server 2013, you can locate this file on the DVD or ISO image from which Duet Enterprise 2.0 was installed.

  5. Type the following command, and then press ENTER:

    setup /uninstall

    If this command is successful, you receive the following message: Duet Enterprise setup completed successfully. Press any key to continue….

    Note:

    You must repeat steps 4 and 5 on each front-end web server and application server in the SharePoint Server farm to completely remove all traces of Duet Enterprise 2.0.

    When you run these commands, the server that is running SharePoint Server 2013 creates a job request for each, puts each in the job queue, and then starts them. This might take several minutes to complete depending on how busy the server is at the time when you run these commands.

  6. To ensure that SharePoint Server 2013 will not use the old .dll files if the solution is reinstalled, you must restart Internet Information Services (IIS) and SharePoint services as shown in the next procedure.

Restart IIS and SharePoint services

To ensure that solutions that have been uninstalled can no longer be run in the SharePoint Server farm, you must restart IIS, the SharePoint Administration service, and the SharePoint Timer service.

Restarting or stopping IIS causes all sessions connected to your web server (including Internet, FTP, SMTP, and NNTP) to be dropped. When you restart the Internet service, all sessions connected to your web server are dropped. All Internet sites are unavailable until Internet services are restarted. For this reason, avoid restarting the Internet Information Services service during peak usage.

Note:

You must be a member of the Windows Administrators group on each front-end web server in the network load balancing rotation of the SharePoint Server farm to complete these procedures.

To restart IIS

  1. Log on to the front-end web server of the SharePoint Server farm as a member of the Windows Administrators group.

  2. As administrator, open a Windows Command Prompt window.

  3. At the command prompt, type the following command, and then press ENTER:

    iisreset /restart

  4. If this command is successful, you receive the following message: Internet services successfully restarted.

  5. If you have more than one front-end web server in the network load-balancing rotation for the SharePoint Server farm, repeat steps 1 through 4 for each remaining front-end web server.

To restart the SharePoint services

  1. Log on to the front-end web server of the SharePoint Server farm as a member of the Windows Administrators group.

  2. Click Start, point to Administrative Tools, and then click Services.

  3. In the Name column, right-click SharePoint Administration, and then click Restart.

  4. In the Name column, right-click SharePoint Timer Service, and then click Restart.

  5. If you have more than one front-end web server in the network load-balancing rotation for the SharePoint Server farm, repeat steps 1 through 4 for each remaining front-end web server.

See also

Install and configure Duet Enterprise for SharePoint and SAP Server 2.0


Upgrade Duet Enterprise

Published: November 20, 2012

Summary: Learn how to perform an upgrade from Duet Enterprise 1.0 on SharePoint Server 2010 to Duet Enterprise 1.0 or 2.0 on SharePoint Server 2013.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

These articles guide you through the process of how to upgrade from Duet Enterprise 1.0. There are two phases involved in this process.

Note:

You must complete phase 1 before you start phase 2. This is because upgrading Duet Enterprise 1.0 that is running on SharePoint Server 2010 to Duet Enterprise 2.0 directly is not supported.

 | Content | Description
Building blocks | Phase 1: Upgrade to Duet Enterprise 1.0 on SharePoint Server 2013 | Learn how to upgrade Duet Enterprise 1.0 on SharePoint Server 2010 to Duet Enterprise 1.0 on SharePoint Server 2013.
Building blocks | Phase 2: Upgrade to Duet Enterprise 2.0 on SharePoint Server 2013 | Learn how to upgrade from Duet Enterprise 1.0 on SharePoint Server 2013 to Duet Enterprise 2.0 on SharePoint Server 2013.

See also

Install and configure Duet Enterprise for SharePoint and SAP Server 2.0


Upgrade to Duet Enterprise 1.0 on SharePoint Server 2013

Published: November 20, 2012

Summary: Learn how to upgrade Duet Enterprise 1.0 on SharePoint Server 2010 to Duet Enterprise 1.0 on SharePoint Server 2013.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

This article describes the process of upgrading Duet Enterprise 1.0 from SharePoint Server 2010 to Duet Enterprise 1.0 running on SharePoint Server 2013.

In this article:

  • Before you begin

  • Optional PowerShell scripts

  • Prepare the SharePoint Server farms for upgrade

  • Install Duet Enterprise 1.0 on the SharePoint Server 2013 farm

  • Configuration Health check

  • Verify upgrade

  • Switch users over to the new farm

Before you begin

To upgrade Duet Enterprise 1.0 on SharePoint 2010 to Duet Enterprise 1.0 on SharePoint 2013 requires a combination of steps that would be done for any SharePoint 2010 to SharePoint 2013 upgrade in addition to steps that are specific to Duet Enterprise 1.0. Therefore, this article refers you to the Upgrade to SharePoint 2013 content for the latest information about how to upgrade SharePoint Server and provides the procedures in this article that are specific to Duet Enterprise 1.0.

Before you start the upgrade, we recommend that you review Upgrade to SharePoint 2013.

Optional PowerShell scripts

A set of PowerShell Scripts are available for download that you can use to complete some of the procedures in this article. Although these scripts are not supported, they have been tested by the Duet Enterprise test team. Procedures in which scripts are available indicate that an optional script is available and also provide the manual steps for those who do not want to use scripts.

If you want to use the scripts, we recommend that you download them now from MSDN Code Gallery.

Prepare the SharePoint Server farms for upgrade

This section provides information about how to prepare the SharePoint 2010 and SharePoint 2013 farms for upgrade.

In this section:

  • Set the earlier version databases to be read-only

  • Gather information and files from the SharePoint 2010 farm

  • Prepare the SharePoint 2013 farm for upgrade

Set the earlier version databases to be read-only

Setting the databases on the SharePoint 2010 farm to read-only enables users to continue to read data in the original SharePoint farm while making sure that you capture all the data in the backup. For more information, see Set the earlier version databases to be read-only (http://technet.microsoft.com/en-us/library/jj839720.aspx#readonly).

Gather information and files from the SharePoint 2010 farm

This section describes how to collect the information and files that you will need from the SharePoint Server 2010 farm for upgrade.

Get the Passphrase of the secure store service application

You'll have to know the passphrase that was used to encrypt the Secure Store Service application on the SharePoint Server 2010 farm. If the administrator who configured that Secure Store Service application does not know the passphrase, or if it's not recorded somewhere, you must refresh the Key in the Secure Store Service application before you back up the database. For information about how to refresh the key, see Work with encryption keys.

Note that this is specifically concerning the Secure Store Service application used by Duet Enterprise 1.0 that contains the target application named "WSDL". For more information, see Record the passphrase for the SecureStore_2nd service application (http://technet.microsoft.com/en-us/library/cc263026.aspx#passphrase).

Export the encryption key for the User Profile service application

The User Profile Service service application requires an encryption key that is stored separately from the database and is needed if you want to upgrade the User Profile Sync database. You must export the Microsoft Identity Integration Server Key (MIIS) encryption key from the SharePoint Server 2010 environment. You will import this exported key to the SharePoint Server 2013 environment after you upgrade the User Profile service application databases. By default, the key is located on the server that is running SharePoint Server 2010 and that is hosting the Microsoft Forefront Identity Manager services in the following directory: <root directory drive>\Program Files\Microsoft Office Servers\14.0\Synchronization Service\Bin.

To export the encryption key for the User Profile service application

  1. Verify that you have the following memberships:

    • Administrators group on the server on which you are running the command.

  2. Open the Command Prompt window, and then change to the following folder:

    %Program Files%\Microsoft Office Servers\14.0\Synchronization Service\Bin\

  3. To export the key, type the following at the command prompt, and then press ENTER:

    miiskmu.exe

  4. In the Microsoft Identity Integration Server Key Management Utility wizard, verify that Export key set is selected, and then click Next.

  5. In the Account Name box, type the account name for the farm administrator.

  6. In the Password box, type the password for the farm administrator.

  7. In the Domain box, type the domain that contains the farm administrator account, and then click Next.

  8. In the Specify export file name and location box, type or click browse to select the path and file name to use for the exported key, and then click Next.

    The key is exported as a file that has a .BIN file name extension.

  9. Verify the information, and then click Finish.

    A message appears indicating that the key was successfully exported.

  10. Click Close to close the Microsoft Identity Integration Server Key Management Utility.

    For more information, see Back up a User Profile Service application (SharePoint Server 2010).

Other information to collect

For more information about information that you might want to collect from the SharePoint Server 2010 farm that is not specific to Duet Enterprise, see Prepare for upgrade (http://technet.microsoft.com/en-us/library/ff607663.aspx#Prepare).

Back up the SharePoint 2010 Products databases by using SQL Server tools

You must back up all service application and content databases that are associated with Duet Enterprise on the SharePoint 2010 farm. Specifically, Duet Enterprise depends on the service application types shown in the following table.

Table: Service application types

Service application type What it contains

Business Data Connectivity service Application

BDC models and External Content Types for Duet Enterprise 1.0.

Important:

Make sure that you know the passphrase of the Secure Store Service application associated with this database before you back it up or you won't be able to upgrade it on the SharePoint Server 2013 farm. If you don't know the passphrase, refresh the key before you back up the database and make sure that you store the passphrase in a safe location.

User Profile Service Application

This service application uses three databases: a profile, social, and sync database. At a minimum you must back up the profile database, which contains the SharePoint user profiles. If role sync was run, this database also includes SAP roles.

We recommend that you backup all three databases for this service application. Otherwise, when you attach the profile database to a new User Profile Service Application, SharePoint creates an empty social and sync database for the new service application.

Secure Store Service Application

Target Application used by Duet Enterprise 1.0 named "WSDL".

Important:

Make sure that you know the passphrase of the Secure Store Service application associated with this database before you back it up or you won't be able to upgrade it on the SharePoint Server 2013 farm. If you don't know the passphrase, refresh the key before you back up the database and make sure that you store the passphrase in a safe location.

In addition to the databases described in the table above, you must also backup all content databases that contain site collections used for Duet Enterprise.

For information about backing up the SharePoint 2010 databases, see Back up the SharePointAll_2nd_14 databases by using SQLServer_2nd_NoVer tools (http://technet.microsoft.com/en-us/library/jj839720.aspx#backup).

Prepare the SharePoint 2013 farm for upgrade

In this section:

  • Install SharePoint 2013 in the new environment

  • Install SharePoint language packs

  • Restore the databases

  • Set the databases to read-write

  • Verify that the service instances are running

  • Database-attach upgrade

  • Verify that all of the new proxies are in the default proxy group

  • Create web applications

  • Create an alternate access mapping for the SSL-enabled web application

  • Next steps

Install SharePoint 2013 in the new environment

SharePoint Server 2013 does not support in-place upgrade so you must deploy a new SharePoint Sever 2013 Enterprise Edition farm.

Tip:

Duet Enterprise is supported only on the Enterprise Edition of SharePoint Server 2013.

For information about how to installing SharePoint Server 2013, see the following:

  • Install SharePointAll_2nd_CurrentVer in a new environment

  • Configure service applications (http://technet.microsoft.com/en-us/library/cc263026.aspx#configfarm).

  • Configure farm settings (http://technet.microsoft.com/en-us/library/cc263026.aspx#configfarmsettings)

Tip:

  • You do not have to enable service applications that you will be restoring from the backup databases of the SharePoint Server 2010 farm. You will create these service applications in a later procedure.

  • You do not have to create the web applications now. You will create them in a later procedure.

Install SharePoint language packs

If you created sites for multiple languages for Duet Enterprise on the SharePoint Server 2010 farm, you must install SharePoint language packs for each language that was supported on the SharePoint Server 2010 farm. Otherwise, skip to Restore the databases later in this article.

The SharePoint 2013 language packs that you want to use must be installed on each web server in the SharePoint Server 2013 farm before you attach the databases. Otherwise, database attach will fail. For information about how to install SharePoint 2013 language packs, see Install or uninstall language packs for SharePoint 2013.

Restore the databases

You have to restore the backup copies of the databases to SQL Server that you backed up from the SharePoint Server 2010 farm.

The following table describes the service application types that Duet Enterprise depends on and what they are used for. To upgrade Duet Enterprise, you must restore the databases that contain these service application types.

Table: Service application types

Service application type What it contains

Business Data Connectivity service Application

BDC models and External Content Types for Duet Enterprise 1.0.

Secure Store Service Application

Target Application used by Duet Enterprise 1.0 named "WSDL".

User Profile Service Application

SharePoint user profiles. If role sync was run, then this database also includes SAP roles.

Tip:

If you backed up the Social or Sync database, we recommend that you also restore those databases when you restore the Profile database for the user profile service application.

In addition to the databases described in the table above, you must also restore all content databases that contain web applications used for Duet Enterprise.

After you configure the new SharePoint 2013 server farm, you can restore the backup copies of the databases to SQL Server 2008 R2. Start with one database, and then verify that the restoration has worked before you restore the other databases.

Important:

Be sure to keep a copy of your original backups in reserve, just in case upgrade fails and you have to troubleshoot and try again.

To restore a backup copy of a database in SQL Server 2008 R2

  1. Open Microsoft SQL Server Management Studio and connect to the SQL Server to which you want to restore databases. Verify that the user account that is performing this procedure is a member of the db_owner fixed database role for the databases.

  2. After you connect to the appropriate instance of the SQL Server 2008 Database Engine, in Object Explorer, expand the server name.

  3. Right-click Databases, and then click Restore Database.

    The Restore Database dialog box appears.

  4. In the Restore Database dialog box, on the General page, in the To database list, type the name that you want to assign to this database.

    Tip:

    When you type the name for the restored database, you do not have to use the original name. If you want to change the database name from a name with a long GUID to a shorter, more friendly name, this is an opportunity to make that change. Be sure to also change the database and log file names in the file system (the MDF and LDF files) so that they match.

  5. In the To a point in time text box, keep the default (Most recent possible).

  6. To specify the source and location of the backup sets to restore, click From device, and then use the browse button to select the backup file.

  7. In the Specify Backup dialog box, in the Backup media box, be sure that File is selected.

  8. In the Backup location area, click Add.

  9. In the Locate Backup File dialog box, select the file that you want to restore, click OK, and then, in the Specify Backup dialog box, click OK.

  10. In the Restore Database dialog box, under Select the backup sets to restore grid, select the Restore check box next to the most recent full backup.

  11. In the Restore Database dialog box, on the Options page, under Restore options, select the Overwrite the existing database (WITH REPLACE) check box.

  12. Click OK to start the restore process.

  13. A message appears after the database is successfully restored. Click OK to close this dialog box.

  14. Repeat steps 3 thorough 13 if you have additional databases to restore. Otherwise, continue to the following procedure.

Set the databases to read-write

You must also set the databases back to read-write on the SharePoint 2013 farm before you restore them.

To set a database to read-write in SQL Server

  1. In SQL Server Management Studio, in Object Explorer, connect to an instance of the Database Engine, expand the server, and then expand Databases.

  2. Select the database that you want to configure to be read-write, right-click the database, and then click Properties.

  3. In the Database Properties dialog box, in the Select a page section, click Options.

  4. In the details pane, scroll down to the bottom of the list. In the State section, click the Database Read-Only row, click the arrow that appears, and then select False.

  5. Click OK.

  6. Repeat steps 2 through 5 for any other databases that you want to set to read-write. When finished, continue to the following procedure.

Verify that the service instances are running

Complete this procedure to make sure that the service instances that Duet Enterprise depends on are running in the SharePoint Server 2013 farm.

Note:

You must be a farm administrator to complete this procedure.

  1. In SharePoint 2013 Central Administration, on the Application Management page, in the Service Applications section, click Manage Services on server.

  2. In the Business Data Connectivity service row, verify that the Status column shows the status Started. If it does not, in the Action column, click Start.

  3. In the Secure Store Service row, verify that the Status column shows the status Started. If it does not, in the Action column, click Start.

  4. In the User Profile Service row, verify that the Status column shows the status Started. If it does not, in the Action column, click Start.

  5. In the User Profile Synchronizations Service row, verify that the Status column shows the status Started. If it does not, in the Action column, click Start.

Database-attach upgrade

You must upgrade the service application types that are listed in the following table.

Table: Service application types

Service application type | What it contains
Business Data Connectivity service Application | BDC models and External Content Types for Duet Enterprise 1.0.
Secure Store Service Application | Target Application used by Duet Enterprise 1.0 named "WSDL".
User Profile Service Application | SharePoint user profiles. If role sync was run, then this database also includes SAP roles.

To upgrade a service application, you create a service application and upgrade the database. You will also create a proxy for these service applications and add it to the default proxy group.

To upgrade the service applications, complete the steps in the following articles:

  • The "Upgrade the Business_Data_Connectivity_service application" section in Upgrade service applications to SharePoint 2013

  • The "Upgrade the SecureStore_2nd service application" section in Upgrade service applications to SharePoint 2013

  • The "Upgrade the User Profile service application" section in Upgrade service applications to SharePoint 2013

Note:

You might also want to upgrade other service applications used by SharePoint Server. For information about how to upgrade other service application types, see Upgrade service applications to SharePoint 2013 (http://technet.microsoft.com/en-us/library/jj839719.aspx).

Verify that all of the new proxies are in the default proxy group

After you upgrade the service applications, you must verify that all proxies are in the default proxy group.

Use the following procedure to verify that the steps to create the proxies and add them to the default proxy group worked.

To verify that all of the new proxies are in the default proxy group by using Windows PowerShell

  1. Verify that you have the following memberships:

    • securityadmin fixed server role on the SQL Server instance.

    • db_owner fixed database role on all databases that are to be updated.

    • Administrators group on the server on which you are running the Windows PowerShell cmdlets. An administrator can use the Add-SPShellAdmin cmdlet to grant permissions to use SharePoint 2013 cmdlets.

    Note:

    If you do not have permissions, contact your Setup administrator or SQL Server administrator to request permissions. For additional information about Windows PowerShell permissions, see Add-SPShellAdmin.

  2. On the Start menu, click All Programs.

  3. Click Microsoft SharePoint 2013 Products.

  4. Click SharePoint 2013 Management Shell.

  5. At the Windows PowerShell command prompt, type the following commands:

    $pg = Get-SPServiceApplicationProxyGroup -Identity " "

    $pg.Proxies

    Where:

    • $pg is a variable that you set to represent the default proxy group.

    • You use an empty identity parameter (" ") to specify the default proxy group. This returns a list of all proxies in the default proxy group, their display names, type names, and IDs.

For more information, see Get-SPServiceApplicationProxyGroup.

Now that the service applications are upgraded, you can start the process to upgrade the content databases. The first step in that process is to create the web applications that are needed for each content database.

Create web applications

You must create a web application on the SharePoint Server 2013 farm for each web application that exists in the SharePoint Server 2010 environment on which Duet Enterprise solutions are enabled.

  • Use the same URL, port number, and zone that you used on the SharePoint Server 2010 farm.

    If you use a different URL, Office applications might not be redirected correctly to the new URLs and all bookmarks to the old URLs will not work. This will require that you configure the new web application using a Host header that is the same URL that is used by the web application on the SharePoint Server 2010 farm.

    Tip:

    To do this, you must configure the web application to use a host header.

  • Use the same authentication method.

    For example, if you use Windows Claims-based authentication in your old environment, and you want to continue using it, then you must create a web application that uses Windows Claims-based authentication. For more information, see Create claims-based web applications in SharePoint 2013.

    Or, you can migrate to claims authentication. For more information, see Migrate from classic-mode to claims-based authentication in SharePoint 2013.

  • Re-create included paths.

  • Re-create quota templates.

  • Configure email settings for the web application.

    For more information, see Configure email integration for a SharePoint 2013 farm.

  • Enable self-service site creation for any web application that used it in the previous environment. Recreate any self-service site creation settings.

  • Recreate any web application policies or other web application settings that you had configured in the previous environment.

To create a web application that uses Windows claims-based authentication

  1. Verify that you have the following administrative credentials:

    • To create a web application, you must be a member of the Farm Administrators SharePoint group and a member of the Windows Administrators group on the server that is running Central Administration.

  2. On the Central Administration Home page, in the Application Management section, click Manage Web applications.

  3. On the ribbon, in the Contribute group, click New.

  4. In the IIS Web Site section, in the Name box, optionally enter a name.

  5. In the IIS Web Site section, in the Port box, type the port number that is used by the web application of the SharePoint 2010 farm.

    By default, this field is populated with a random port number.

  6. In the IIS Web Site section, in the Host Header box, type the host name (for example, www.contoso.com) that you want to use to access the web application.

    Note:

    This must be the same URL used to access the web application on the SharePoint 2010 farm. When you are ready to switch users over to the SharePoint 2013 farm, you will update the entry in DNS that refers user requests to this web application.

  7. In the IIS Web Site section, in the Path box, optionally type the path of the IIS website root directory on the server.

    This box is populated with a suggested path.

  8. In the Claims Authentication Types section, make sure that the Enable Windows Authentication check box is selected and in the drop-down menu select either Negotiate (Kerberos) or NTLM.

    Tip:

    This must match the configuration of your web application on the SharePoint 2010 farm.

    For more information, see Plan for Kerberos authentication in SharePoint 2013.

  9. In the Public URL section, change the URL to the fully qualified domain name. For example, https://corp.contoso.com:80. This must match the fully qualified domain name that is used by the web application of the SharePoint 2010 farm.

    Note:

    The Zone value is automatically set to Default for a new web application.

  10. In the Application Pool section, make sure that Create a new application pool is selected, and then type the name that you want to use for the new application pool or keep the default name.

  11. Under Select a security account for this application pool, make sure that Configurable is selected and select the managed account that you want to use for this application pool.

  12. In the Database Name and Authentication section, select the database server and database name for your new web application as described in the following table or accept the default values.

    Item Action

    Database Server

    Type the name of the database server and Microsoft SQL Server instance that you want to use in the format, SERVERNAME\instance. You can also use the default entry.

    Database Name

    Type the name of the database, or use the default entry.

  13. In the Database Name and Authentication section, make sure that Windows Authentication (recommended) is selected.

  14. If you use database mirroring, in the Failover Server section, in the Failover Database Server box, type the name of a specific failover database server that you want to associate with a content database.

  15. In the Service Application Connections section, select the service application connections that will be available to the web application. In the drop-down menu, click default or custom. You use the custom option to select the services application connections that you want to use for the web application.

    Tip:

    Duet Enterprise requires that the following service applications are associated with this web application: Business Data Connectivity service, Secure Store Service, and User Profile Service Application.

  16. In the Customer Experience Improvement Program section, click Yes or No.

  17. Click OK to create the new web application.

  18. Click OK in the dialog box that appears. The web application that you created appears on the Web Applications Management page in Central Administration. Do not close this page because you will need it for the next procedure.

To extend the web application

  1. Verify that you have the following administrative credentials:

    • To create a web application, you must be a member of the Farm Administrators SharePoint group and a member of the Windows Administrators group on the server that is running Central Administration.

  2. On the Central Administration Home page, in the Application Management section, click Manage Web applications.

  3. On the Web Applications Management page, select the web application that you created in the previous procedure.

  4. On the ribbon, in the Contribute group, click Extend.

  5. On the Extend Web Application to Another IIS Web Site page, in the IIS Web Site section, make sure that Create a new IIS web site is selected.

  6. Optionally, enter a name in the Name box, or accept the default name.

  7. In the IIS Web Site section, in the Port box, type the port number that you want to use to access the web application. By default, this field is populated with a random port number.

    Tip:

    This port number must match the port number that you used for the web application of the SharePoint 2010 farm.

  8. In the IIS Web Site section, in the Host Header box, type the host name (for example, www.contoso.com) that you want to use to access the web application.

    Tip:

    This must be the same URL you used for the extended web application of the SharePoint 2010 farm.

  9. Optionally, in the IIS Web Site section, in the Path box, type the path of the IIS website root directory on the server. By default, this field is populated with a suggested path.

  10. In the Security Configuration section, under Use Secure Sockets Layer (SSL), click Yes.

  11. In the Claims Authentication Types section, make sure that Enable Windows Authentication is selected and in the drop-down menu, select either Negotiate (Kerberos) or NTLM. For more information, see Plan for Kerberos authentication in SharePoint 2013.

    Tip:

    This must match the configuration of your web application on the SharePoint 2010 farm.

  12. Select the Basic authentication (credentials are sent in clear text) check box.

  13. In the Public URL section, change the URL to the fully qualified domain name. For example, https://corp.contoso.com:443.

  14. In the Zone list, select the zone that you want to use for this port.

    Important:

    You must select the same zone that is configured for the web application on the SharePoint Server 2010 farm.

  15. Click OK to extend the web application.

Create an alternate access mapping for the SSL-enabled web application

The web application that you created in the previous procedure must be available by using the URL that is specified in the SSL certificate that you will bind to that web application (in a later procedure). If it is not the same URL, for example if the web application was created by using the fully qualified domain name (FQDN) but the certificate uses the short URL, you must create an alternate access mapping to specify the URL that is listed in the certificate.

Note:

An example of a FQDN is http://contoso.corp.com. In this example, the short URL would be http://contoso.

If the URL listed in the SSL certificate and the URL used to create the web application are the same, then you do not have to perform this procedure.

To create an alternate access mapping

  1. In Central Administration, on the Quick Launch, click System Settings.

  2. In the Farm Management section, click Configure alternate access mappings.

  3. Click Add Internal URLs.

  4. In the Alternate Access Mapping Collection section, select the web application that you will use for your Duet Enterprise sites.

  5. In the Add Internal URL section, do the following:

    • In the URL protocol, host and port box, type the URL that is listed in the SSL certificate.

  6. In the Zone list, select the zone that you used when you extended the web application.

  7. Click Save.

    The alternate access mapping that you created appears on the Alternate Access Mappings page.

Next steps

If you created any other alternate access mappings on the SharePoint 2010 farm, you must re-create them on the SharePoint 2013 farm. For more information about alternate access mappings, see this video.

Reapply any customizations from the SharePoint 2010 farm to the SharePoint 2013 farm and test the customizations. For more information, see Reapply customizations and Verify custom components.

Install Duet Enterprise 1.0 on the SharePoint Server 2013 farm

Complete the procedures in this section to install Duet Enterprise 1.0 on the SharePoint Server 2013 farm.

Pre-installation steps

This section shows the pre-installation preparations that you must complete before you install Duet Enterprise 1.0 on the SharePoint 2013 farm.

Prepare the Duet Enterprise 1.0 installation files

You must have access to the Duet Enterprise 1.0 installation files in a location on which you have read and write permissions. This can be a local folder on the SharePoint Server 2013 farm or a network share.

Tip:

You need write access to the installation files because you will need to create a new file in that folder called setup.exe.config. Details about how to create that file are provided later in this article.

If you don't already have access to the Duet Enterprise 1.0 installation files, you can do the following:

  1. Log on to the SharePoint Server 2013 farm as a member of the Administrators group.

  2. Download the Duet Enterprise for Microsoft SharePoint and SAP (x64) - DVD file from MSDN Subscriber downloads. You have to use a Windows Live ID to log on to this site.

  3. Burn a CD of the ISO image that you downloaded in step 2.

  4. Copy the files from the CD to a local drive on the SharePoint Server 2013 farm or a network share. Ensure that the administrator who is installing Duet Enterprise has been granted read and write permissions on the folder or network share.

Create the setup.exe.config file

Installing Duet Enterprise 1.0 on SharePoint Server 2013 requires an additional file that is named setup.exe.config that was not required on the SharePoint Server 2010 farm. This file ensures that Duet Enterprise 1.0 uses version 4.0 of the .NET runtime.

Complete this procedure on the computer on which you copied the Duet Enterprise 1.0 files.

To create the setup.exe.config file

  1. Click Start, point to All Programs, click Accessories, and then click Notepad.

  2. In Notepad, enter the following text:

    <configuration>

    <startup>

    <supportedRuntime version="v4.0"/>

    </startup>

    </configuration>

  3. Click File, and then click Save As.

  4. Browse to the folder or network share location where you copied the Duet Enterprise 1.0 installation files. This is the location that contains the setup.exe and setup.exe.manifest files.

  5. In the File name box, enter setup.exe.config.

  6. In the Save as type box, select All files.

  7. Click Save.

Create a registry key

You have to create a registry key to specify that Duet Enterprise 1.0 should be installed to the 14 hive. You can do this manually or use the regkeyadd.ps1 PowerShell script. If you have not already done so, you can download the script from MSDN Code Gallery.

Do one of the following:

  • To create the registry key manually

  • To create the registry key using the regkeyadd.ps1 script

To create the registry key manually

  1. Click Start, and then click Run.

  2. In the Run dialog box, enter Regedit, and then click OK.

  3. In the Registry Editor, expand the HKEY_LOCAL_MACHINE node, expand the SOFTWARE node, expand the Microsoft node, right-click the Office Server node, point to New, and then click Key.

  4. Name the key 14.0.

  5. Right-click 14.0, point to New, and then click String Value.

  6. In the Name column, right-click the new string value that you created, click Rename, enter InstallPath, and then press ENTER.

  7. Right-click the string value that you just created, and then click Modify.

  8. In the Value data box, enter <systemDrive>:\Program Files\Microsoft\Office Servers\14.0\, and then click OK.

    Where <systemDrive> is the drive letter on which Windows is installed.

    The key that you created should resemble this:

    Register Editor screen shot

  9. Close the Registry Editor.

  10. Repeat steps 1 through 9 on each remaining web servers in the SharePoint farm.

  11. Proceed to Copy the stsadm.exe file to the 14 hive.

To create the registry key using the regkeyadd.ps1 script

  1. Log on to a web server in the SharePoint farm as a member of the Windows Administrators group.

  2. On the Start menu, click All Programs.

  3. Click Microsoft SharePoint 2013 Products.

  4. Click SharePoint 2013 Management Shell.

  5. At the Windows PowerShell command prompt, enter the following command:

    <path>\regkeyadd.ps1

    Where <path> is the location where you downloaded the scripts. For example, if you downloaded the scripts to c:\scripts, then you would enter c:\scripts\regkeyadd.ps1.

  6. After you press Enter, the location to which the key is written in the registry and other properties about the registry key is displayed in the command prompt as well as the message "Registry key created successfully".

  7. You can optionally verify the existence of the registry key, as follows:

    1. Click Start, and then click Run.

    2. In the Run dialog box, enter Regedit, and then click OK.

    3. In the Registry Editor, expand the HKEY_LOCAL_MACHINE node, expand the SOFTWARE node, expand the Microsoft node, expand the Office Server node, and then click the 14.0 node.

      The registry key should resemble this:

      This screenshot shows what the 14.0 node of the registry looks like.

  8. Repeat steps 1 through 7 on all other web servers in the SharePoint Server farm.

Copy the stsadm.exe file to the 14 hive

The Duet Enterprise installation files require that the stsadm.exe file is in the 14 hive. Complete the following procedure to copy the stsadm.exe file from the 15 hive to the 14 hive. You can do this manually or use the stsadmcopy.ps1 PowerShell script. If you have not already done so, you can download the script from MSDN Code Gallery.

Do one of the following:

  • To copy the stsadm.exe file to the 14 hive manually

  • To copy the stsadm.exe file using the script

To copy the stsadm.exe file to the 14 hive manually

  1. In Windows Explorer, go to the <systemDrive>:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\14\ folder.

  2. Create a folder named BIN at that location.

  3. Copy the stsadm.exe file from the <systemDrive>:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\15\BIN\ folder to the <systemDrive>:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\14\BIN\ folder.

  4. Repeat steps 1 through 3 on all other web servers in the SharePoint Server farm.

  5. Proceed to Verify service apps are running and record their names.

To copy the stsadm.exe file using the script

  1. Log on to a web server in the SharePoint farm as a member of the Windows Administrators group.

  2. On the Start menu, click All Programs.

  3. Click Microsoft SharePoint 2013 Products.

  4. Click SharePoint 2013 Management Shell.

  5. At the Windows PowerShell command prompt, type the following command:

    <path>\stsadmcopy.ps1

    Where <path> is the location where you downloaded the scripts. For example, if you downloaded the scripts to c:\scripts, then you would enter c:\scripts\stsadmcopy.ps1.

  6. After you press Enter, the file folder to which the stsadm.exe file was copied is displayed and the "Copied Stsadm.exe successfully" message is also displayed.

  7. You can optionally verify that the stsadm.exe file was copied by looking in the <systemDrive>:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\14\BIN\ folder.

  8. Repeat steps 1 through 7 on all the other web servers in the SharePoint farm.

Verify service apps are running and record their names

  1. Verify that you have the following administrative credentials:

    • You must be a member of the Farm Administrators SharePoint group.

  2. On the Central Administration Home page, in the Application Management section, click Manage service applications.

  3. Record the name of the Business Data Connectivity service Application and make sure that this application services is started. If it is not started, start it.

  4. Record the name of the Secure Store Service Application and make sure that this application services is started. If it is not started, start it.

  5. Record the name of the User Profile Service Application and make sure that this application services is started. If it is not started, start it.

Install Duet Enterprise 1.0

The procedures in this section describe how to install the Duet Enterprise files, verify full control access to the User Profile Services application, and perform a basic installation of Duet Enterprise into the SharePoint configuration database. You must perform all procedures in the listed order.

In this section:

  • Install the Duet Enterprise 1.0 files

  • Verify Full Control access to the User Profile Service application

  • Configure the DuetConfig.exe.config file

  • Install the SharePoint Cumulative Update

  • Run DuetConfig /install

  • Activate the Claim Provider feature

  • Configure the Duet Enterprise 1.0 solutions

Install the Duet Enterprise 1.0 files

This procedure copies files that are on the Duet Enterprise for Microsoft SharePoint and SAP DVD to the appropriate folders on the computer that is running Microsoft SharePoint Server 2013.

Tip:

This procedure must be performed on all front-end web servers and application servers in the SharePoint Server farm.

To run setup

  1. Verify that you have the following administrative credentials:

    • You must be a member of the Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure.

    • You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise.

  2. Log on to a front-end web server that is running SharePoint Server.

  3. Open a Command Prompt window as administrator and go to the folder or file share to which you copied the Duet Enterprise 1.0 installation files.

  4. Type setup.exe /install.

    The following tables describe optional parameters.

    Optional setup parameters

    Parameter Use

    /installpath=<drive:\path>

    Install Duet Enterprise to a different path. For example:

    Setup.exe /installpath=d:\

    Note:

    By default, Duet Enterprise files are installed to the <system>:\Program Files\Duet Enterprise\1.0 folder.

    /languages=<comma separated list of language codes in language-region format as defined in RFC 5646>

    Install language packs in the languages that you specify.

    For example, to install the German and French language packs with Duet Enterprise, type Setup.exe /install /languages=de-de,fr-fr.

    Important:

    You must install the Duet Enterprise language packs that were installed on the SharePoint Server 2010 farm.

    /quiet

    Suppresses error and success messages.

    /logdir=<log file path>

    Path to the Duet Enterprise related log files.

    /?

    Displays Help.

    Note:

    Duet Enterprise cannot access SharePoint Server sites and site collections that use a language pack that is not installed for Duet Enterprise. If the SharePoint Server sites and site collections use a language that is not available as a language pack for Duet Enterprise, install the English language pack for Duet Enterprise and create the SharePoint Server sites and site collections in English.

    Language codes

    Language code Language

    ar-sa

    Arabic (Saudi Arabia)

    de-de

    German

    en-us

    English (United States)

    es-es

    Spanish

    fr-fr

    French

    he-il

    Hebrew (Israel)

    it-it

    Italian

    ja-jp

    Japanese

    pt-br

    Portuguese (Brazil)

    ru-ru

    Russian

    tr-tr

    Turkish

    zh-cn

    Chinese (China)

    zh-tw

    Chinese (Taiwan)

  5. Press ENTER.

  6. On the Duet Enterprise for Microsoft SharePoint and SAP license agreement page, select the I accept the terms in the license agreement check box, and then click Install to continue.

  7. After the "Duet Enterprise setup completed successfully" message is displayed, close the Command Prompt window. If setup fails, review the Duet Enterprise logs, resolve the problem, and then repeat step 4. If you used the /logdir parameter, the logs can be found in the folder that you specified. Otherwise, logs are stored in the Temporary folder of the user who ran Setup.exe /install.

  8. If you have more than one server in a SharePoint Server 2013 server farm, repeat steps 1 through 7 on each additional front-end web and application server.

Verify Full Control access to the User Profile Service application

Before you perform the following procedure, verify that the account that you will use to run DuetConfig.exe is both a member of the Farm Administrators SharePoint group and has been granted Full Control permissions on the User Profile Service Application.

Note:

You must be a member of the Farm Administrators SharePoint group to complete this procedure.

To verify access to the User Profile Service Application

  1. On the Central Administration Home page, in the Application Management section, click Manage service applications.

  2. On the Manage Service Applications page, click the row that contains the User Profile Service Application that you upgraded earlier.

  3. On the ribbon, in the Sharing group, click Permissions.

  4. In the Connection Permissions dialog box, do one of the following:

    • If the user account that you'll use to run DuetConfig.exe appears in the middle pane, click the user account.

    • If the user account that you'll use to run DuetConfig.exe does not appear in the middle pane, type the user account in the top pane, and then click Add.

  5. In the bottom pane, verify that the Full Control check box is selected.

  6. Click OK.

Configure the DuetConfig.exe.config file

When you ran the setup /install command earlier, a file that is named DuetConfig.exe.config was created. This file is in the <drive>:\Program Files\Duet Enterprise\1.0 folder, by default.

Where <drive> is the drive on which the Duet Enterprise files are stored.

You must make sure that this file is configured with the same accounts configured for this file on the SharePoint Server 2010 farm. The easiest way to achieve this is to replace the DuetConfig.exe.config file with the file from the SharePoint Server 2010 farm. You must also set the report publishing URL.

To verify user account settings in the DuetConfig.exe.config file

  1. Open a Command Prompt window and go to the <drive>:\Program Files\Duet Enterprise\1.0 folder.

    Where <drive> is the drive on which the Duet Enterprise files are stored.

  2. At the prompt, type Notepad DuetConfig.exe.config, and then press ENTER.

  3. In the DuetConfig.exe.config file, in the Reporting node, make sure that the value is the same value that was configured for the SharePoint Server 2010 farm and that the ReportPublishingURL value is the URL of the web application that you created earlier.

    In a file that is not configured, the Reporting node has the value "NotSet" for both keys as shown in the following illustration.

  4. In the Reporting node, ensure that the value of the ReportPublishingURL is the value of the extended port of web application that you created and extended earlier.

    Important:

    Only one URL is supported for Report Publishing reports to the same web application. Do not specify multiple URLs for the same web application.

  5. In the Workflow node, the ServiceAccount value must be set with the same value that was configured for the SharePoint Server 2010 farm. In an un-configured file, this value is blank, by default as shown in the following illustration.

  6. Do not close the file yet. You will need it in the next procedure.

After verifying that all the settings are correct, you must add an additional node to the DuetConfig.exe.config file. This node ensures that Duet Enterprise 1.0 runs using ASP.NET 4.0.

Add the startup node to the DuetConfig.exe.config file

You must add the startup node to the DuetConfig.exe.config file so that Duet Enterprise knows which version of the .NET framework to use. You can do this manually or you can use the duetconfigmodify.ps1 PowerShell script. If you have not already done so, you can download the script from MSDN Code Gallery.

Do one of the following:

  • To add the startup node manuallyAdd the startup node manually

  • To add the startup node using the script

    Note:

    This script is supported only on computers on which Duet Enterprise 1.0 is installed to the default folder, which is %Program Files%\Duet Enterprise\1.0. If Duet Enterprise was installed to a different folder, you must add the startup node manually.

To add the startup node manually

  1. In Notepad, add the following node to the bottom of the DuetConfig.exe.config file, just above the </configuration> tag.

    <startup>

    <supportedRuntime version="v4.0"/>

    </startup>

    The bottom of your configuration file should resemble the following illustration.

    Profile synchonization node

  2. Click File, and then click Save.

  3. Close Notepad.

  4. Proceed to Install the SharePoint Cumulative Update.

To add the startup node using the script

  1. Log on to the computer on which the DuetConfig.exe.config file is installed, as a member of the Windows Administrators group.

  2. On the Start menu, click All Programs.

  3. Click Microsoft SharePoint 2013 Products.

  4. Click SharePoint 2013 Management Shell.

  5. At the Windows PowerShell command prompt, type the following command:

    <path>\duetconfigmodify.ps1

    Where <path> is the location where you downloaded the scripts. For example, if you downloaded the scripts to c:\scripts, then you would enter c:\scripts\duetconfigmodify.ps1.

  6. After you press Enter, a message is not displayed in the command prompt. You can optionally verify that the script was successful by opening the DuetConfig.exe.config file in Notepad and verifying that the <startup><supportedRuntime version="v4.0"/></startup> node has been added to the end of the file. This node will be just before the </configuration> tag.

    Note:

    The DuetConfig.exe.config file is in the <systemDrive>:\Program Files\Duet Enterprise\1.0 folder, by default, where <systemDrive> is the drive on which the Duet Enterprise files are stored.

Install the SharePoint Cumulative Update

This update provides updates for supporting Duet Enterprise 1.0 on SharePoint Server 2013.

To install SharePoint October Cumulative Update

  1. Download the SharePoint Cumulative Update to a folder or file share and install it. You can request this cumulative update from Description of the SharePoint Server 2010 Cumulative Update Server Hotfix Package (MOSS server-package): October 26, 2010 (http://support.microsoft.com/default.aspx?scid=kb;EN-US;2394320). Or if you don't want to install the cumulative update, you can instead download and install Description of the Duet Enterprise for SharePoint and SAP hotfix package (Duetserver-x-none.msp): November 15, 2012. Both the October Cumulate Update and the hotfix package enable the Duet Enterprise Workflow solution to work correctly on SharePoint Server 2013.

Run DuetConfig /install

To run DuetConfig /install

  1. Log on to a front-end web server as a member of the Farm Administrators group.

    Tip:

    You have to complete this procedure on only one front-end web server.

  2. Click Start, click All Programs, and then click Accessories.

  3. Right-click Command Prompt, and then click Run as administrator.

  4. In the Command Prompt window, go to the folder that contains the DuetConfig.exe file.

    By default, this is the C:\program files\Duet Enterprise\1.0\ folder.

  5. Type DuetConfig /install, and then press ENTER.

  6. After the "Duet configuration succeeded" message appears in the Command Prompt window, close the Command Prompt window.

Activate the Claim Provider feature

Complete this procedure to activate the claim provider feature.

  1. In Central Administration, in the Quick Launch, click System Settings.

  2. In the Farm Management section, click Manage farm features.

  3. In the Duet Enterprise SAP Roles Claims Provider row, click Activate.

Duet Enterprise 1.0 is now installed. The next step is to configure the solutions. Note that you do not have to install the BDC models because they are in the database that you restored and attached earlier for the Business Data Connectivity service Application.

Configure the Duet Enterprise 1.0 solutions

Complete the procedures in this section in the order shown to configure the Duet Enterprise 1.0 solutions.

In this section:

  • Verify the service application names in DuetConfig.exe.config

  • Configure Reporting

  • Configure Workflow

  • Configure the RoleSync solution

  • Configure Starter Services

Verify the service application names in DuetConfig.exe.config

The first step in configuring the solutions is to ensure that the service application names that you created during the database-attach upgrade are reflected in the DuetConfig.exe.config file.

Important:

If you changed the names of your service applications when you upgraded them, you must make sure that the DuetConfig.exe.config file contains the new names. Use the following procedure to verify these values and update them as necessary.

  1. Open a Command Prompt window and go to the <drive>:\Program Files\Duet Enterprise\1.0 folder.

    Where <drive> is the drive on which the Duet Enterprise files are stored.

  2. At the prompt, type Notepad DuetConfig.exe.config, and then press ENTER.

  3. In the SecurityConfiguration node, make sure that the value of BDCServiceApplicationProxyName matches the name of the Business Data Connectivity service Application Proxy you are using for Duet Enterprise. Note that you can verify this name on the Manage Service Applications page of Central Administration. In an un-configured file, this value is "Business Data Connectivity Services Proxy" as seen in the following illustration.

    Security Configuration node

  4. In the ProfileSynchronization node, make sure that the UserProfileServiceApplicationName value matches the name of the User Profile Service Application that you are using for Duet Enterprise. Note that you can verify this name on the Manage Service Applications page of Central Administration. In an un-configured file, this value is User Profile Service Application as seen in the following illustration.

    Profile Synchronization node

Configure Reporting

Complete the procedures in this section to configure the reporting solution that is provided with Duet Enterprise 1.0. The steps in this section assume that you have already created and extended the web application.

Tip:

To enable the reports solution, you must complete the steps in this section in the order shown.

Ensure that the Business Data Connectivity service is started and configured

To complete the procedures in this article the Business Data Connectivity service must be running. Complete this procedure to ensure that the Business Data Connectivity service that you are using for Duet Enterprise is running.

Note:

You must be a member of the Farm Administrators group or an administrator of the instance of the Business Data Connectivity service.

To ensure that the Business Data Connectivity service is started and configured

  1. On the Central Administration website, in the System Settings section, click Manage services on server.

  2. If the Business Data Connectivity service is stopped, start it.

Configure the Reporting solution

Use this procedure to enable a web application to receive reports. This procedure configures the reporting solution on the web application that you specify.

Note:

You must be a member of the Farm Administrators group to complete this procedure.

To configure Reporting

  1. Open a Command Prompt window and open <drive>:\Program Files\Duet Enterprise\1.0.

  2. At the prompt, type DuetConfig /configuresolution "Reporting" /webappurl "http://<WebAppName>:<Port>"

    Where:

    • WebAppName is the name of the web application that you want to configure to receive reports. If a host name was assigned to the web application and mapped in AD DS, use the host name. Otherwise, for a single server deployment on which a host name has not been assigned to the web application, use the NetBIOS name of the computer that is running SharePoint Server 2013.

    • Port is the port number of the customer-facing zone of that web application.

    Tip:

    The name of the BDC model "Reporting" is case-sensitive.

  3. Press ENTER.

  4. When successfully configured, the Command Prompt window displays the following message: "Solution successfully configured."

Configure Workflow

Complete the following procedures to configure the Workflow solution.

Note:

To complete this procedure, you must be a member of the Farm Administrators group.

To configure workflow

  1. Open a Command Prompt window and open <systemdrive>:\Program Files\Duet Enterprise\1.0.

  2. At the prompt, type DuetConfig /configuresolution "Workflow" /webappurl "http://<WebAppName>:<Port>"

    Where:

    • WebAppName is the name of the web application in which you will create a workflow site. If a host name was assigned to the web application and mapped in AD DS, use the host name. Otherwise, for a single server deployment on which a host name has not been assigned to the web application, use the NetBIOS name of the computer that is running SharePoint Server 2010.

    • Port is the port number of the customer-facing zone of that web application.

    Tip:

    You must use the web application URL that corresponds to the zone that end-users will use to access the workflow site. Using the URL of a different zone on the same web application can cause end-users to receive email messages that have incorrect URLs to workflow action items.

    Warning:

    The web application that you specify must be configured to use Basic authentication. For more information, see the "Prepare the Web application" section of Configure secure communications for a new Web application (Duet Enterprise).

  3. Press ENTER.

    When the workflow is successfully configured, the Command Prompt window displays the following message: "Solution successfully configured."

Restart IIS

Note:

You must be a member of the Windows Administrators group on the front-end web server to complete this procedure.

To restart IIS

  1. Open a Command Prompt window.

  2. Type iisreset /restart /noforce, and then press ENTER.

Configure the RoleSync solution

This article describes how to configure RoleSync. This article assumes that RoleSync was configured and run on the SharePoint Server 2010 farm. If it was not, then skip ahead to Attach content database to the web application and upgrade the database.

Ensure farm administrator has full control permissions and verify name of User Profile Service Application

Use this procedure to make sure that members of the Farm Administrators group have full control permissions to the default User Profile Service and the Business Data Connectivity service application in the SharePoint farm. The farm administrator who will configure profile synchronization, later in this article, must be granted this permission.

Tip:

SharePoint Server 2013 supports multiple User Profile Service applications. However, Duet Enterprise role synchronization works only with the default User Profile Service application.

Note:

You must be a member of the Farm Administrators group or an administrator of the User Profile Service application to complete this procedure.

To ensure that farm administrator has full control permissions

  1. In Central Administration, on the Quick Launch, click Central Administration.

  2. In the Application Management section, click Manage service applications.

  3. In the Type column, click the row that contains the default User Profile Service Application to select the row. This is the user profile service application that you created earlier.

  4. The name of the User Profile Service Application is listed in the Name column. Note the name of this service application because you will need it for a later procedure.

  5. On the ribbon, in the Sharing group, click Permissions.

  6. In the Connection Permissions dialog box, ensure that the farm administrator was granted Full Control permissions.

  7. Click OK.

  8. In the Type column, click the Business Data Connectivity Service Application for the service that you are using for role synchronization.

  9. On the ribbon, in the Sharing group, click Permissions.

  10. In the Connection Permissions dialog box, ensure that the farm administrator was granted the Full Control permission.

  11. Click OK.

Provide the SharePoint Timer service account

You must provide the SAP administrator with the user account that is assigned to the SharePoint Timer Service, also known as the SPTimerV4 service. The SAP administrator must make sure that this account is mapped to an SAP user who is granted sufficient permissions on the SAP system to query the UserRoles assignments query.

Note:

You must be a member of the Windows Administrators group to complete this procedure.

To get the user account for the SharePoint 2010 Timer service

  1. Log on to a front-end web server in the SharePoint Server 2013 farm as a member of the Administrators group.

  2. Click Start, point to Administrative Tools, and then click Services.

  3. In the Name column, right-click SharePoint Timer Service, and then click Properties.

  4. In the SharePoint Timer Service Properties dialog box, on the Log On tab, note the account name that is listed in the This account text box.

  5. Give this account name to the SAP administrator.

  6. Click Cancel to close the SharePoint Timer Service Properties dialog box.

Configure RoleSync

Use this procedure to create the Business Connectivity Services connection between the SharePoint and SAP systems and to update the settings for the Profile Synchronization job definition.

Note:

You must be a member of the SharePoint Farm Administrators group to complete this procedure.

To configure profile synchronization

  1. Open a Command Prompt window and go to the <drive>:\Program Files\Duet Enterprise\1.0 folder.

    Where <drive> is the drive on which the Duet Enterprise files are stored.

  2. At the prompt type DuetConfig.exe /configureprofileSync, and then press ENTER.

    When profile synchronization is configured, you receive the following message: "The specified Profile Sychronization Job was successfully configured."

Configure Starter Services

This section describes how to configure Starter Services. You must complete the procedures in this section in the listed order.

Note:

You must be logged on as a Farm Administrator and you must also be a member of the Windows Administrators group to complete this procedure.

The following table lists the solutions that you configure by using this procedure. Note that all solutions are deployed to a specific web application.

Solution | Deployment scope
ProductWorkspace | Web application
OrderToCash | Web application
CustomerWorkspace | Web application
Portal | Web application
Note:

The OrderToCash solution must be configured before the CustomerWorkspace solution is configured.

To configure Starter Services solutions

  1. Click Start, click All Programs, and then click Accessories.

  2. Right-click Command Prompt, and then click Run as administrator.

    This opens a Command Prompt window with administrator permissions.

  3. In the Command Prompt window, open the directory <SystemDrive>:\Program Files\Duet Enterprise\1.0\.

  4. At the prompt, type DuetConfig.exe /configuresolution "ProductWorkspace" /webappurl http://<HostName>

    Where HostName is the fully qualified domain name of the web application for which you are configuring Starter Services.

  5. Press ENTER.

    When you see "Solution successfully configured" in the Command Prompt window, go to the next step.

  6. At the prompt, type DuetConfig.exe /configuresolution "OrderToCash" /webappurl http://<HostName>

    Where HostName is the fully qualified domain name of the web application for which you are configuring Starter Services.

  7. Press ENTER.

    When you see "Solution successfully configured" in the Command Prompt window, go to the next step.

  8. At the prompt, type DuetConfig.exe /configuresolution "CustomerWorkspace" /webappurl http://<HostName>

    Where HostName is the fully qualified domain name of the web application for which you are configuring Starter Services.

  9. Press ENTER.

    When you see "Solution successfully configured" in the Command Prompt window, go to the next step.

  10. At the prompt, type DuetConfig.exe /configuresolution "Portal" /webappurl http://<HostName>

    Where HostName is the fully qualified domain name of the web application for which you are configuring Starter Services.

  11. Press ENTER.

    When you see "Solution successfully configured." in the Command Prompt window, go to the next procedure to verify the health of the Starter Services solutions configuration.

Optional: Configure Feature Pack 1 solutions

If you installed Feature Pack 1 for Duet Enterprise 1.0 on the SharePoint Server 2010 farm, then install Feature Pack 1 on the SharePoint 2013 farm. Otherwise, skip ahead to Attach content database to the web application and upgrade the database.

For information about how to install Feature Pack 1, see Feature Pack 1 for Duet Enterprise 1.0. Note that you do not have to import the TimeEntry BDC model because it is contained by the database that you restored and attached earlier for the Business Data Connectivity service Application.

Tip:

If you are going to be updating to Duet Enterprise 2.0 before you switch users over to the SharePoint Server 2013 farm, don't bother deploying the user profile-based list solution of Feature Pack 1 because it is not supported in Duet Enterprise 2.0.

Attach content database to the web application and upgrade the database

Next, you must attach your content database to the web application that you created for Duet Enterprise on the SharePoint 2013 farm. To achieve this, complete the procedure in the " Attach a content database to a web application and upgrade the database" section in Upgrade content databases to SharePoint 2013.

After you have successfully attached your database, we recommend that you follow the guidance in the articles shown in the following table.

Article | Comment
Verification: Verify upgrade for the first database | Shows you how to verify that the content database was successfully upgraded.
Attach the remaining databases | Only relevant if you are attaching more than one content database.
Verification: Verify upgrade for additional databases | Only relevant if you are attaching more than one content database.
Next steps | Recommendations for steps that you should do to get your farm ready for use.

Manage certificates

Three certificates are used to help secure Duet Enterprise 1.0:

  • An SSL certificate that is bound to the web application you created and trusted by the SAP system.

  • An SSL certificate that is bound to SAP NetWeaver and trusted by SharePoint Server.

  • A SharePoint Security Token Certificate which you export from SharePoint Server 2013 and give to the SAP administrator to establish a one-way trust relationship between the SAP system and the Security Token Service in SharePoint Server.

Export the SharePoint Security Token Service Certificate

This procedure assumes that the SharePoint Security Token Service is already running. You can verify this on the Manage Service Applications page in Central Administration.

Note:

You must be a member of the SharePoint Farm Administrators group to complete this procedure.

To export the SharePoint Security Token Service certificate

  1. Verify that you are a member of the Windows Administrators group on the SharePoint front-end web server.

  2. Log on to a front-end web server as a member of the Windows Administrators group.

  3. Click Start, click Run, type mmc in the Open box, and then click OK.

  4. If the Certificate snap-in is listed in the Name column, go to step 5. Otherwise, do the following:

    1. In the console, click File, and then click Add/Remove Snap-ins.

    2. In the Add or Remove Snap-ins dialog box, in the Snap-in column, click Certificates, and then click Add.

    3. In the Certificates snap-in dialog box, select Computer account, and then click Next.

    4. Click Finish, and then click OK.

      You will now see the Certificates snap-in listed in the Name column.

      Console screen shot

  5. In the Console Root (navigation pane), expand the Certificates tree, expand SharePoint, and then click Certificates.

  6. In the Issued To column, right-click SharePoint Security Token Service, point to All Tasks, and then click Open.

  7. In the Certificate dialog box, on the Details tab, click Copy to File.

  8. On the Welcome to the Certificate Export Wizard page, click Next.

  9. Because only the public certificate is needed and not the private key, on the Export Private Key page, make sure that No, do not export the private key is selected, and then click Next.

  10. On the Export File Format page, click Next.

  11. On the Export File Format page, in the File name box, type the path and file name to which you want export your certificate, and then click Next.

    For example, C:\share\STScert.

    Tip:

    You do not have to type the file name extension.

  12. On the Completing the Certificate Export Wizard page, click Finish.

  13. In The export was successful dialog box, click OK.

  14. Leave the Certificate dialog box open because you will need it in a later procedure.

Give the STS certificate to the SAP administrator

Provide a copy of the Security Token Service (STS) certificate that you exported to the SAP administrator. The SAP administrator will use the STS certificate to establish a one-way trust relationship with the Security Token Service.

Provide information about the STS certificate to the SAP administrator

You must provide the STS Issuer name to the SAP administrator. Use the procedure in this section to collect this information.

Note:

You must be a member of the Windows Administrators group on a SharePoint front-end web server to perform the procedures in this section

To collect the STS Issuer name

  1. In the Certificate dialog box, click the Details tab.

  2. In the Field column, click Issuer.

  3. In the bottom pane, note the value for CN, OU, O, and C.

  4. Click OK to close the Certificate dialog box.

Establish a trust relationship with the SSL certificate from the SAP environment

For the SSL-enabled web application to accept information from the SAP environment, you must establish a trust relationship with the SSL certificate that was provided by the SAP administrator.

Note:

You must be a member of the Farm Administrators SharePoint group to complete this procedure.

To trust the SSL certificate from the SAP environment

  1. In Central Administration, on the Quick Launch, click Security.

  2. In the General Security section, click Manage trust.

  3. On the ribbon, in the Manage group, click New.

  4. In the Establish Trust Relationship dialog box, in the Name box, type the name that you want to use for this trust relationship.

  5. Next to the Root Authority Certificate box, click Browse.

  6. In the Choose File to Upload dialog box, in the File name box, type the path and file name of the certificate for which you want to establish a trust relationship, and then click Open.

  7. Click OK to close the Establish Trust Relationship dialog box.

The name that you typed in step 4 appears in the Name column on the Trust Relationship page.

Create or obtain an SSL Certificate

Note:

To create an SSL certificate, you must be a member of the Administrators group on a front-end web server that runs Internet Information Services (IIS) 7.

To use Secure Sockets Layer (SSL) to help secure a web application, you must have an SSL certificate. For a production environment, we recommend that you obtain a signed certificate from either a third-party certification authority (CA) or a CA in your intranet domain. However, for test environments you can create a self-signed certificate for this purpose. For more information about the kind of certificate to use and how to create a self-signed certificate, see How to Setup SSL on IIS 7.0.

Create the SSL Binding for the SSL enabled zone

Complete this procedure to bind an SSL certificate to the SSL-enabled zone of your web application.

Note:

You must be a member of the Administrators group on the computer that is running SharePoint Server 2010 to complete this procedure.

To create the SSL Binding for the extended web application

  1. Log on to a front-end web server as a member of the Windows Administrators group.

  2. Click Start, point to Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.

  3. In the Connections pane, expand Sites, and then select the site that is associated with the SSL-enabled web application that you created in an earlier procedure.

    Tip:

    This site can be identified by the port number and name that you assigned to the site when you extended the web application.

  4. In the Actions pane, in the Edit Site section, click Bindings.

  5. In the Site Bindings dialog box, click Add.

  6. In the Add Site Binding dialog box, select https from the Type drop-down list.

  7. In the Port box, enter the port number of the site.

  8. From the SSL certificate list, select the SSL certificate that you created or obtained in Create or obtain an SSL Certificate, and then click OK.

  9. Click Close to close the Site Bindings dialog box.

  10. Repeat steps 1 through 8 for each additional front-end web server in the load balance rotation of the SharePoint Server 2010 server farm.

Export the SSL certificate

If you obtained an SSL certificate from a certification authority (CA), then you do not have to do this procedure because you already have the certificate in your file system. However, if you used IIS on a SharePoint front-end web server to create a self-signed certificate for testing, you must export the certificate so that you can share a copy of that certificate with the SAP administrator.

Note:

You must be a member of the Windows Administrators group on the SharePoint front-end web server to perform this procedure.

To export the SSL certificate

  1. Log on to a SharePoint front-end web server for which you have bound the certificate.

  2. If it is not already open, click Start, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.

  3. In the tree view, select the server node.

  4. In the middle pane, under IIS, double-click Server Certificates.

  5. In the middle pane, double-click the certificate that you bound to your extended web application.

  6. In the Certificate dialog box, on the Details tab, click Copy to File.

  7. On the Welcome to the Certificate Export Wizard page, click Next.

  8. On the Export Private Key page, make sure that No, do not export the private key is selected, and then click Next.

  9. On the Export File Format page, click Next.

  10. On the File to Export page, in the File name box, type the path and file name to which you want to export the certificate, and then click Next.

    Tip:

    You do not have to type a file name extension.

  11. Click Finish.

  12. Click OK to close The export was successful dialog box

  13. Click OK to close the Certificate dialog box.

Share the SSL certificate with the SAP administrator

You must give a copy of the SSL certificate to the SAP administrator. The SAP administrator will use the SSL certificate to establish communication between the SAP NetWeaver server in the SAP system and your web application.

Configuration Health check

After all the certificates are trusted on the appropriate systems, we recommend that you verify that SharePoint can communicate with the SAP system by running a configuration check. For more information, see Check configuration health (Duet Enterprise).

Verify upgrade

We recommend that you verify that there are no problems with your database-attach upgrade. For more information, see Verify database upgrades in SharePoint 2013. We also recommend that you verify any customizations that you might have made to the Duet Enterprise sites on the SharePoint Server 2010 farm work as expected on the SharePoint Server 2013 farm. We also recommend that you verify that the State Service application is started.

Disable the 2013 experience (Optional)

Duet Enterprise 1.0 is not supported on the 15 experience. If you plan to put Duet Enterprise 1.0 into production on SharePoint Server 2013 before upgrading to Duet Enterprise 2.0, you should consider disabling the 2013 experience on all site collections on which Duet Enterprise solutions are enabled.

For information about disabling the ability to upgrade a site collection to the 15 experience, see the "To change the upgrade notification and self-service upgrade settings for a web application by using Windows PowerShell" procedure of Manage site collection upgrades to SharePoint 2013.

For information about disabling the ability to create a site using a 2013 template in a particular web application, see the "To change compatibility range for site creation modes for a web application by using Windows PowerShell" procedure of Manage site collection upgrades to SharePoint 2013.

Switch users over to the new farm

You are now ready to switch users to the SharePoint Server 2013 farm. If you are using host names, this might be done by updating the IP address in DNS.


Upgrade to Duet Enterprise 2.0 on SharePoint Server 2013

Published: November 20, 2012

Summary: Learn how to upgrade from Duet Enterprise 1.0 on SharePoint Server 2013 to Duet Enterprise 2.0 on SharePoint Server 2013.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

This article guides you through the process of upgrading Duet Enterprise 1.0 running on a SharePoint Server 2013 farm to Duet Enterprise 2.0 running on SharePoint Server 2013.

In this article:

  • Before you begin

  • Optional PowerShell scripts

  • Block user access to SAP data

  • Prepare to install Duet Enterprise 2.0

  • Install Duet Enterprise 2.0

  • Install and deploy Duet Enterprise language packs

  • Import BDC models and set Metadata Store permissions

  • Install, configure, and register Duet Enterprise 2.0

  • Synchronize SAP roles with the SharePoint user profile store

  • Run the Duet Enterprise Configuration Check

  • Replace the Workflow Tasks Aggregation Web Part

  • Resolve workflow template referencing old DLL

  • Install and deploy Starter Services solutions

  • Post-upgrade cleanup

  • Enable the 2013 experience

  • Verify upgrade

  • Enable user access to SAP data

Before you begin

You must verify that the following prerequisites are in place before you do any of the procedures that are described in this article.

  • Duet Enterprise 1.0 is running on SharePoint Server 2013.

    Tip:

    Upgrading directly from Duet Enterprise 1.0 on SharePoint Server 2010 to Duet Enterprise 2.0 on SharePoint Server 2013 is not supported. You must first upgrade to Duet Enterprise 1.0 running on SharePoint Server 2013. For more information, see Upgrade to Duet Enterprise 1.0 on SharePoint Server 2013.

  • Verify that the SAP administrator has upgraded the SAP system to Duet Enterprise 2.0. During this upgrade process, the SAP administrator creates OData endpoints for the Duet Enterprise 2.0 Workflow, Reporting, and RoleSync solutions.

    Tip:

    Get the LsiUrls for the Reporting, Workflow, and RoleSync endpoints from the SAP administrator. You will need them later when you import BDC models.

Optional PowerShell scripts

A set of PowerShell Scripts are available for download that you can use to complete some of the procedures in this article. Although these scripts are not supported, they have been tested by the Duet Enterprise test team. Procedures in which scripts are available indicate that an optional script is available and also provide the manual steps for those who do not want to use scripts.

If you want to use the scripts, we recommend that you download them now from MSDN Code Gallery.

Block user access to SAP data

If users have access to SAP data on Duet Enterprise-enabled web sites on the SharePoint Server 2013 farm, we recommend that you block user access to this SAP data. Of course, you will want to warn users that they will not have access during the upgrade.

To block access to SAP data, ask the SAP administrator to remove the STS Certificate for Duet Enterprise from SAP NetWeaver. In a later procedure, you will provide the SAP administrator with a different certificate to trust. Do not continue with the upgrade until the SAP administrator has removed the certificate and you have verified that SAP data is no longer displayed in Duet Enterprise sites.

You can verify that the STS certificate was removed by going to a SharePoint site that displayed SAP data. You will see the following error message: "Message from External System: 'An unsecured or incorrectly secured fault was received from the other party. See the inner FaultException for the fault code and detail.'"

Note:

You might need to refresh the browser to verify that SAP data is no longer displayed a particular site.

Prepare to install Duet Enterprise 2.0

Complete the procedures in this section before you install Duet Enterprise 2.0.

In this section:

  • Deactivate unsupported features

  • Uninstall Duet Enterprise Solutions and Duet Enterprise language packs

  • Disable health analyzer rule definition

Deactivate unsupported features

The features that are listed in the following table are provided with Duet Enterprise 1.0 to enable users to offline synchronization of data to Microsoft Outlook. These features are not supported in Duet Enterprise 2.0. If they are enabled on any of your sites, you must deactivate them before you install Duet Enterprise 2.0.

Features not supported in Duet Enterprise 2.0

Feature name (in user interface) | Feature name (in PowerShell) | Level
BCS Solution Galleries | OBABuildingBlocks | Site collection
BCS Solution Design Feature | OBADesign | Site

Complete these steps to deactivate these features on all sites and site collections before you install Duet Enterprise 2.0.

Note:

You must be a site owner to deactivate features at the site-level and a site collection administrator to deactivate features at the site collection-level.

To deactivate the BCS Solution Design Feature

  1. In a browser, go to a site.

  2. Click Site Actions, and then click Site Settings.

  3. Under Site Actions, click Manage site features.

  4. In the BCS Solution Design Feature row, do the following:

    1. If the Status column displays Active, click Deactivate to deactivate the solution.

      Deactivate button screen shot

    2. If the Status column does not display Active, the feature is not active. No further action is needed.

      Note:

      If the BCS Solution Design Feature row is not listed on the Features page, it means that this feature is not available on the site.

To deactivate the BCS Solution Galleries feature

  1. In a browser, go to a top-level site in a site collection.

  2. Click Site Actions, and then click Site Settings.

  3. Under Site Collection Administration, click Site collection features.

  4. In the BCS Solution Galleries row, do the following:

    1. If the Status column, displays Active, click Deactivate to deactivate the solution.

      Deactivate button screen shot

    2. If the Status column, does not display Active, the feature is not active. No further action is needed.

      Note:

      If the BCS Solution Design Feature row is not listed on the Features page, it means that this feature is not available on the site-collection.

Uninstall Duet Enterprise Solutions and Duet Enterprise language packs

Complete the procedures in this section to uninstall all of the Duet Enterprise 1.0 solutions and language packs for Duet Enterprise 1.0. You can see the names of the solutions that you have installed on the Solution Management page in Central Administration. In Central Administration, in the Quick Launch, click System Settings. Under Farm Management, click Manage farm solutions.

The following solutions are provided with Duet Enterprise 1.0 and Feature Pack 1 for Duet Enterprise 1.0. You must uninstall each of the solutions that are installed on the SharePoint Server 2013 farm:

  • obacustomerworkspace.wsp

  • obaextensions.wsp

  • obaordertocash.wsp

  • obaportal.wsp

  • obaproductcenter.wsp

  • obareporting.wsp

  • obataskflow.wsp

  • sap.office.duetenterprise.reporting.wsp

  • sap.office.duetenterprise.workflow.wsp

Uninstalling solutions involves two phases. You must first retract the solutions and Duet Enterprise language packs that were deployed. Note that Central Administration refers to this action as retract and PowerShell refers to this action as uninstall. After the solutions are retracted (not deployed) you will then remove the solutions.

Retract solutions by using Central Administration

You must retract the Duet Enterprise language packs before retracting the solutions that they support. Duet Enterprise language packs are deployed as solutions. You can easily identify them on the Solution Management page in Central Administration because the names of the Duet Enterprise language packs have the same name as the solution that they support except that the names have a four digit number surrounded by round brackets appended to the solution name.

The following screen shot shows a solution with two Duet Enterprise language packs installed. One for the French language (Language ID 1036) and the other for the Japanese language (Language ID 1041). The solution without a language ID appended to the name is referred to as a core solution because it provides all the elements of the solution in the default language. For example, if you installed the English language version of Duet Enterprise 1.0 then the core solutions are English language only.

Solution Management screen shot

In this example, you must retract the obacustomerworkspace.wsp(1036) and obacustomerworkspace.wsp(1041) language packs before retracting the obacustomerworkspace.wsp core solution.

Tip:

Ensure that the Status column of the language packs display Not Deployed before you attempt to retract the core solution.

Complete the following procedure to retract the language packs and solutions.

Tip:

See the list earlier in this section for the list of solutions that are provided with Duet Enterprise 1.0.

To retract the installed solutions and language packs

  1. In Central Administration, on the Quick Launch, click System Settings.

  2. In the Farm Management section, click Manage Farm Solutions.

    The core solutions and associated language packs that are installed on the SharePoint farm appear on the Solution Management page.

  3. In the Name column, find the name of the solution that you want to retract. If a language pack is deployed for the solution, go to step 4. Otherwise, go to step 9.

    Tip:

    Duet EnterpriseDuet Enterprise language packs have a four-digit number surrounded by round brackets appended to the name. For example, obaportal.wsp(1036). If the language pack is deployed, the Status column for the language pack will display Deployed.

  4. In the Name column, click the link of the language pack.

  5. On the Solution Properties page, click Retract Solution.

  6. On the Retract Solution page, click OK.

    Note:

    You are returned to the Solution Management page and the Status column for the Duet Enterprise language pack you are retracting changes to Retracting.

  7. If additional language packs are installed for this solution, go to step 4. Otherwise, continue to step 8.

  8. After several moments, refresh the browser. When the Status column for the language packs that you retracted displays the status Not Deployed, continue to step 9. Otherwise, repeat step 8.

  9. In the Name column, click the link of the solution that you want to retract.

  10. On the Solution Properties page, click Retract Solution.

  11. On the Retract Solution page, click OK.

    Note:

    You are returned to the Solution Management page and the Status column for the solution you are retracting changes to Retracting.

  12. After the solution is retracted, the status column displays Not Deployed. This typically requires you to refresh the browser.

  13. If you have other solutions and Duet Enterprise language packs to retract, go to step 3. Otherwise, proceed to Remove solutions by using Central Administration.

Remove solutions by using Central Administration

After all solutions and Duet Enterprise language packs are retracted, the next step is to remove them from the farm. This removes all traces of the solutions including the files in the file system.

Tip:

You must remove the associated language packs before you can remove a core solution.

To remove solutions and Duet Enterprise language packs

  1. In Central Administration, on the Quick Launch, click System Settings.

  2. In the Farm Management section, click Manage Farm Solutions.

    The solutions and language packs that are installed on the SharePoint farm appear on the Solution Management page. Ensure that all Duet Enterprise 1.0 solutions and language packs were retracted before you continue. Retracted solutions and language packs have the status of Not Deployed.

  3. In the Name column, find the name of the solution that you want to remove. If a language pack is displayed in the Name column for the solution, go to step 4. Otherwise, go to step 8.

    Tip:

    Duet Enterprise language packs have a four-digit number surrounded by round brackets appended to the name. For example, obaportal.wsp(1036). If the language pack is deployed, the Status column for the language pack will display Deployed.

  4. In the Name column, click the link of the Duet Enterprise language pack.

  5. On the Solution Properties page, click Remove Solution.

  6. A dialog box is displayed that asks if you are sure that you want to remove the solution. Click OK to continue.

    Note:

    You are returned to the Solution Management page and the solution that you removed is no longer listed on the page.

  7. If additional language packs are installed for this solution, go to step 4. Otherwise, continue to step 8.

  8. In the Name column, click the link of the solution that you want to remove.

  9. On the Solution Properties page, click Remove Solution.

  10. A dialog box is displayed that asks if you are sure that you want to remove the solution. Click OK to continue.

    Note:

    You are returned to the Solution Management page and the solution that you removed is no longer listed on the page.

  11. If you have other solutions and Duet Enterprise language packs to remove, go to step 3. Otherwise, proceed to Uninstall BDC Models (Optional).

Complete uninstallation of Duet Enterprise language packs

If you installed any Duet Enterprise 1.0 language packs, you must complete this procedure before you install Duet Enterprise 2.0. Otherwise, setup will fail. If Duet Enterprise language packs were not deployed, skip to Uninstall BDC Models (Optional).

Tip:

To complete this procedure, you must know the four-digit language code for each language pack that is installed. Duet Enterprise 1.0 language packs will be listed on the Uninstall or change a program page in Control Panel. To view this page, from Control Panel, under Programs, click Uninstall a program.

The following illustration shows Duet Enterprise 1.0 language packs that are installed for Language IDs 1036 and 1041.

Uninstall or change a program screen shot

To complete the following procedure, you must know the Language Identifier in both Hex and decimal, as shown in the following table.

Table: Language codes and Language IDs

Language | Language code | Language ID (LCID Decimal) | Language ID (LCID Hex)
Arabic (Saudi Arabia) | ar-sa | 1025 | 0401
German | de-de | 1031 | 0407
English (United States) | en-us | 1033 | 0409
Spanish | es-es | 3082 | 0c0a
French | fr-fr | 1036 | 040c
Hebrew (Israel) | he-il | 1037 | 040d
Italian | it-it | 1040 | 0410
Japanese | ja-jp | 1041 | 0411
Portuguese (Brazil) | pt-br | 1046 | 0416
Russian | ru-ru | 1049 | 0419
Turkish | tr-tr | 1055 | 041f
Chinese (China) | zh-cn | 2052 | 0804
Chinese (Taiwan) | zh-tw | 1028 | 0404

You can remove the Duet Enterprise 1.0 language packs manually or using the uninstalllangpacks.ps1 PowerShell script. If you have not already done so, you can download the script from MSDN Code Gallery.

Do one of the following:

  • To complete uninstallation of Duet Enterprise language packs manually

  • To complete uninstallation of Duet Enterprise language packs using the script

To complete uninstallation of Duet Enterprise language packs manually

  1. Open a command prompt as an administrator.

  2. Type the following command, and then press ENTER:

    msiexec.exe /x {90140000-00BF-{<LanguageID>}-1000-0000000FF1CE} RUNNINGFROMSETUP=TRUE

    Where <LanguageID> is the four-digit hexadecimal-equivalent LCID of the language pack that is installed. Refer to the Language ID (LCID Hex) column of the previous table for a list of Language IDs supported by Duet Enterprise 1.0.

    For example, to uninstall a language pack with the language ID of 1036 you would enter the following:

    msiexec.exe /x {90140000-00BF-{040c}-1000-0000000FF1CE} RUNNINGFROMSETUP=TRUE

  3. Repeat step 2 to remove any additional language packs that you have installed.

  4. Proceed to Disable health analyzer rule definition.

To complete uninstallation of Duet Enterprise language packs using the script

  1. Log on to a web server in the SharePoint Server farm.

  2. On the Start menu, click All Programs.

  3. Click Microsoft SharePoint 2013 Products.

  4. Click SharePoint 2013 Management Shell.

  5. At the Windows PowerShell command prompt, type the following command:

    <path>\uninstalllangpacks.ps1

    Where <path> is the location where you downloaded the scripts. For example, if you downloaded the scripts to c:\scripts, then you would enter c:\scripts\uninstalllangpacks.ps1.

  6. After you press Enter, the following actions occur:

    • The command prompt displays the decimal value of the culture code, also known as the Locale Identifier (LCID), for each Duet Enterprise 1.0 language pack that is installed.

    • The "Successfully uninstalled culture: <cultureCode> for each language pack that was uninstalled is also displayed.

      Where, <cultureCode> is the decimal value of the culture code, also known as Locale Identifier (LCID) for the language pack that was uninstalled.

    • After all Duet Enterprise language packs are removed, Internet Information Services is stopped and restarted.

      The following illustration shows the output of the script that was used to uninstall the Duet Enterprise 1.0 Language pack for the Japanese language. If more than one language pack is installed, the first three lines of the script's output is repeated for each language.

      This screenshot shows the output of the uninstalllangpacks.ps1 PowerShell script. In this example, the script uninstalled the Duet Enterprise 1.0 Language pack for the Japanese language.

Disable health analyzer rule definition

After upgrading to Duet Enterprise 2.0, the health rule named "Duet Enterprise Solutions Health" must be deleted. You can do this manually or using the healthrule.ps1 PowerShell script. If you have not already done so, you can download the script from MSDN Code Gallery.

Do one of the following:

  • To delete the health analyzer rule definition manually

  • To delete the health analyzer rule definition using the script

To delete the health analyzer rule definition manually

  1. In Central Administration, in the Quick Launch, click Monitoring.

  2. In the Health Analyzer section, click Review rule definitions.

  3. In the Category : Configuration section, click the Duet Enterprise Solutions Health link. If this link does not exist, it means that this health rule has already been deleted.

  4. On the ribbon, click Edit Item.

  5. On the ribbon, click Delete Item.

  6. Click OK in the dialog box that is displayed to confirm that you want to delete the rule definition.

  7. Proceed to Install Duet Enterprise 2.0.

To delete the health analyzer rule definition using the script

  1. Log on to a web server in the SharePoint Server farm.

  2. On the Start menu, click All Programs.

  3. Click Microsoft SharePoint 2013 Products.

  4. Click SharePoint 2013 Management Shell.

  5. At the Windows PowerShell command prompt, type the following command:

    <path>\healthrule.ps1

  6. Where <path> is the location where you downloaded the scripts. For example, if you downloaded the scripts to c:\scripts, then you would enter c:\scripts\healthrule.ps1.

  7. After you press Enter, the command prompt displays the decimal value of the culture code, also known as Locale Identifier (LCID), for each language that is installed and displays the "Successfully unregistered health rules" message for the health analyzer rules for each language.

Install Duet Enterprise 2.0

In this section:

  • Install Duet Enterprise 2.0 binary files

  • Verify Full Control access to the User Profile Service application

  • Manage DuetRoot certificate

Install Duet Enterprise 2.0 binary files

Use this procedure to uninstall Duet Enterprise 1.0 components that might still be installed on the SharePoint Server 2013 farm and copy the Duet Enterprise 2.0 files to the file system.

To install Duet Enterprise 2.0 binary files

  1. Log on to a front-end web server in the SharePoint Server 2013 farm as a member of the Windows Administrators group.

  2. As administrator, open a Windows Command Prompt window.

  3. At the command prompt, type cd:\directory\, where directory is the local or network location of the Duet Enterprise setup files.

  4. From the installation location of the Duet Enterprise 2.0 files, type the following command, and then press ENTER:

    setup.exe /install

    The Duet Enterprise 2.0 for Microsoft SharePoint and SAP license agreement is displayed.

  5. On the Duet Enterprise 2.0 for Microsoft SharePoint and SAP license agreement page, select the I accept the terms in the license agreement check box, and then click Install.

  6. When complete, you receive the following message: "Duet Enterprise setup completed successfully."

    The Duet Enterprise 2.0 binary files are now copied to the host computer.

  7. Verify that the following files and folders are created in the default directory path <systemDrive>:\Program Files\Duet Enterprise\2.0:

    • BDC Models (Folder)

    • Solutions (Folder)

    • DuetConfig.exe

    • DuetConfig.Intl.dll

    • OBA.Server.Logging.Resources.dll

Verify Full Control access to the User Profile Service application

Before you perform the following procedure, verify that the account that you will use to run DuetConfig.exe is both a member of the Farm Administrators SharePoint group and has been granted Full Control permissions on the User Profile Service Application.

Note:

You must be a member of the Farm Administrators SharePoint group to complete this procedure.

To verify access to the User Profile Service Application

  1. In Central Administration, in the Application Management section, click Manage service applications.

  2. On the Manage Service Applications page, click the row that contains the User Profile Service Application that you upgraded earlier.

  3. On the ribbon, in the Sharing group, click Permissions.

  4. In the Connection Permissions dialog box, do one of the following:

    1. If the user account that you will use to run DuetConfig.exe appears in the middle pane, click the user account.

    2. If the user account that you will use to run DuetConfig.exe does not appear in the middle pane, type the user account in the top pane and then click Add.

  5. In the bottom pane, verify that the Full Control check box is selected.

  6. Click OK.

Manage DuetRoot certificate

This section describes the procedure to manage the DuetRoot.pfx and DuetRoot.cer certificates when you upgrade to Duet Enterprise for Microsoft SharePoint and SAP Server 2.0.

In this section:

  • Create the .pfx self-signed certificate and target application in the Secure Store service application

  • Configure the .pfx certificate

  • Export the .pfx certificate as a .cer certificate

  • Share the.cer certificate with the SAP administrator

Create the .pfx self-signed certificate and target application in the Secure Store service application

Complete this procedure to create a self-signed root certificate by using the DuetConfig.exe -CreateSelfSignedCertificate command. Use this procedure if you want to create a self-signed certificate. This procedure creates a self-signed certificate that is issued by the Duet Root Certificate Authority.

To create the .pfx self-signed certificate

  1. As administrator, open a Windows Command Prompt window on the computer from which you ran setup /install earlier.

  2. At the command prompt, navigate to the folder that contains the DuetConfig.exe file. By default, this is the C:\Program files\Duet Enterprise\2.0\ folder.

  3. At the command prompt, type the following command, and then press ENTER:

    DuetConfig - CreateSelfSignedCertificate -Path <Root Certificate file path\filename>.pfx -Password <password>

    Where:

    • <Root Certificate file path\filename> is the path where you want to save the certificate and the name of the certificate.

    • <password> is the password that you want to assign to the certificate.

    For example, if you want to create a certificate named DuetRoot to the C:\ drive and assign the password DuetPassword, then you would enter the following:

    DuetConfig - CreateSelfSignedCertificate -Path c:\DuetRoot.pfx -Password DuetPassword

    Note:

    If no password is given here, you are prompted to enter one after you press ENTER. If that occurs, enter a password and press ENTER again.

  4. Record this password. You will need it later to configure this certificate.

  5. At the command prompt, you receive the following message: "Certificate " <Root Certificate file path\filename>" has been generated successfully."

    Where <Root Certificate file path\filename> is the path to which you saved the certificate and the name of the certificate.

The Duet Enterprise Root certificate is now created and is ready to be configured for use with the Secure Store Service service application.

Configure the .pfx certificate

Use this procedure to configure the .pfx certificate that you created in the previous procedure and create a target application in the Secure Store Service service application named DuetApp. This procedure also stores the certificate in a target application named "DuetApp" in the Secure Store Service service application that you specify.

To configure the .pfx certificate and target application in the Secure Store service application

  1. As administrator, open a Windows Command Prompt window.

  2. At the command prompt, navigate to the folder that contains the DuetConfig.exe file. By default, this is the C:\Program files\Duet Enterprise\2.0\ folder.

  3. At the command prompt, type the following command, and then press ENTER:

    DuetConfig.exe -ConfigureRootCertificate -SecureStoreServiceApplicationName "<Name of Secure Store Service Application>" -Path "<Root Certificate file path\filename>.pfx" -Password <password>

    Where:

    • <Name of Secure Store Service Application> is the name of the Secure Store Service applications that you are using for Duet Enterprise.

    • <Root Certificate file path\filename> is the path to and file name of the certificate that you created in the previous procedure. Note that this must be saved as a .pfx file.

    • <password> is the password that you assigned to the certificate in the previous procedure.

    For example, if the name of your Secure Store Service application that you are using for Duet Enterprise is DuetSecureStore and the path to and name of the certificate that you created in the previous procedure is C:\DuetRoot.pfx, and you assigned the password DuetPassword, you would enter the following at the command prompt:

    DuetConfig.exe -ConfigureRootCertificate -SecureStoreServiceApplicationName "DuetSecureStore" -Path "c:\DuetRoot.pfx" -Password DuetPassword

  4. At the command prompt, you receive the following message: "Duet Root certificate has been configured in Secure Store with target application name DuetApp."

  5. For verification, navigate to the Secure Store Service service application page and confirm that the target application DuetApp is shown.

Export the .pfx certificate as a .cer certificate

Use this procedure to export the client certificate that you created and configured. After exporting the .pfx certificate as a.cer certificate, you will give it to the SAP administrator. The SAP administrator will use it to create a trust relationship on the SAP system.

To export the client certificate

  1. As administrator, open a Windows Command Prompt window.

  2. At the command prompt, navigate to the folder that contains the DuetConfig.exe file. By default, this is the C:\Program files\Duet Enterprise\2.0\ folder.

  3. At the command prompt, type the following command, and then press ENTER:

    DuetConfig -ExportRootCertificate -Path <Root Certificate file path\filename>.cer

    Where <Root Certificate file path\filename> is the path to and file name that you want to use for this. Note that this must be exported as a .cer file.

    For example, if you want to export the file that has the name DuetRoot to the C:\ folder, you would enter the following at the command prompt:

    DuetConfig -ExportRootCertificate -Path c:\DuetRoot.cer

  4. At the command prompt, assuming you named the certificate DuetRoot, you receive the following message: "Root certificate for Duet is exported successfully to file c:\DuetRoot.cer."

Share the.cer certificate with the SAP administrator

When the.cer certificate is successfully exported, you must share it with the SAP administrator.

Note:

In the path where you created and exported the certificates there are two certificates. One is listed as type: Security Certificate and one is listed as type: Personal Information. The .pfx certificate is listed as type: Personal Information and the.cer certificate is listed as type: Security Certificate. You will give the.cer certificate that is listed as type: Security Certificate to the SAP administrator.

Give the.cer certificate (type: Security Certificate) file to the SAP administrator.

Install and deploy Duet Enterprise language packs

If Duet Enterprise language packs were installed before the upgrade, you must reinstall and deploy them now.

In this section:

  • Verify SharePoint 2013 language packs are installed

  • Install Duet Enterprise language packs

  • Verify Duet Enterprise language pack installation

Verify SharePoint 2013 language packs are installed

You must make sure that the SharePoint 2013 language pack is installed for each language that you will use on your sites before you install the Duet Enterprise language packs.

The SharePoint 2013 language packs that you want to use must be installed on each web server in the SharePoint Server 2013 farm. For information about installing SharePoint 2013 language packs, see Install or uninstall language packs for SharePoint 2013.

Tip:

You can view the "Uninstall a program" page in Windows Control Panel to verify that SharePoint 2013 language packs are installed on a particular web server.

Install Duet Enterprise language packs

Duet Enterprise language packs are provided as separate ISO images, one for each supported language. Download the Duet Enterprise language packs that you want to install from the same web page that you downloaded the Duet Enterprise 2.0 ISO file. You must install them on each web server in the SharePoint Server 2013 farm.

Verify Duet Enterprise language pack installation

You can verify successful installation of a Duet Enterprise language pack by viewing the "Uninstall a program" page in Windows Control Panel.

To view language packs on the Uninstall a program page

  1. Log on to a web server in the SharePoint Server 2013 farm as administrator.

  2. Click Start, and then click Control Panel.

  3. Under Programs, click Uninstall a program.

  4. In the Name column, look for a language pack. For example, the name of the Duet Enterprise language pack for the French language is listed as "Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 Language Pack - French."

Additionally, the .WSP files that support the language of each of the starter services solutions are copied to the subfolders within C:\Program Files\Duet Enterprise\2.0\Solutions\Starter Services\ folder. For example, if you installed the Duet Enterprise language pack for the French language, you would find the OBACustomerWorkspace.fr-FR.wsp file inside the C:\Program Files\Duet Enterprise\2.0\Solutions\Starter Services\Account\ folder.

You will use these WSP files to deploy the language packs that you installed. For more information, see Add and deploy Duet Enterprise language packs for starter services later in this article.

Import BDC models and set Metadata Store permissions

Before importing any Business Data Connectivity (BDC) models, you will need the LsiUrl from the SAP administrator for each of the following BDC models to use when DuetConfig.exe is run and the models are imported. You must configure a Duet publishing URL and account. You must grant users permissions on the BDC models that you import before they can access the SAP data that those models represent.

The following models are provided with Duet Enterprise 2.0 and are installed in this default directory path: <systemDrive>:\Program Files\Duet Enterprise\2.0\BDC Models. This directory contains other models that are installed by default and are not used as part of this deployment.

  • Workflow

  • UserSubscription

  • Reporting

  • RoleSync

Each of these models must be imported individually because the procedures to import them are not the same. Use the following procedures to import the BDC Models for the Reporting, Workflow, and RoleSync solutions.

In this section:

  • Import the Reporting model

  • Import the Workflow model's core and user subscription

  • Import and configure the RoleSync model

  • Set Metadata Store permissions

Import the Reporting model

The Reporting BDC model is imported into Duet Enterprise 2.0 by using the DuetConfig.exe -importbdc command. It requires an LsiUrl to import successfully, which you must get from the SAP administrator before importing the model. Use the following procedure to import the Reporting BDC model.

To import the Reporting model

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure. You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise 2.0.

  2. As administrator, open the Windows command prompt.

  3. At the command prompt, type the default path of the DuetConfig.exe file:

    cd /d C:\Program Files\Duet Enterprise\2.0

  4. At the command prompt, type the following command, and then press ENTER:

    Duetconfig.exe -importbdc -featurename Reporting -BdcServiceApplication "<BDC Service Application>" -lsiurl <LsiUrl>

    Where:

    • <BDC Service Application> equals the BDC Service application name.

    • <LsiUrl> is the LsiUrl URL that is provided to you by the SAP administrator for the Reporting solution.

  5. When complete, at the command prompt, you receive the following message: "The specified BDC model was successfully imported."

Import the Workflow model's core and user subscription

The Workflow BDC model is imported into Duet Enterprise 2.0 by using the DuetConfig.exe -importbdc command. It requires an LsiUrl to import successfully. It also requires an additional parameter named UserSubLsiUrl. This UserSubLsiUrl is used for the UserSubscription model, an additional model only imported together with the workflow model. The UserSubscription model allows users to subscribe to workflow tasks on individual Duet Enterprise 2.0 workflow sites. Use the following procedure to import the Workflow and UserSubscription BDC models.

To import the Workflow model's core and user subscription

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure. You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise 2.0.

  2. As administrator, open the Windows command prompt.

  3. At the command prompt, type the default path of the DuetConfig.exe file:

    cd /d C:\Program Files\Duet Enterprise\2.0

  4. At the command prompt, type the following command, and then press ENTER:

    Duetconfig.exe -importbdc -featurename Workflow -BdcServiceApplication <BDC Service Application> -lsiurl <LsiUrl> -usersubLisurl <UserSubLsiUrl>

    Where:

    • <BDC Service Application> equals the BDC Service application name.

    • <LsiUrl> is the LsiUrl URL that is provided to you by the SAP administrator that matches the BDC model for the Workflow solution.

    • <UserSubLsiUrl> is the UserSubLsiUrl URL that is provided to you by the SAP administrator.

  5. When complete, at the command prompt, you receive the following message: "The specified BDC model was successfully imported."

Import and configure the RoleSync model

The RoleSync BDC model is imported into Duet Enterprise 2.0 by using the DuetConfig.exe -importbdc command. It requires both an LsiUrl to import successfully. Use the following procedure to import the RoleSync BDC model. After the model is imported, it must be configured to start the required timer jobs.

To import the RoleSync model

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure. You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise 2.0.

  2. As administrator, open the Windows command prompt.

  3. At the command prompt, type the default path of the DuetConfig.exe file:

    cd /d C:\Program Files\Duet Enterprise\2.0

  4. At the command prompt, type the following command, and then press ENTER:

    Duetconfig.exe -importbdc -featurename RoleSync -BdcServiceApplication <BDC Service Application> -lsiurl <LsiUrl>

    Where:

    • <BDC Service Application> equals the BDC Service application name.

    • <LsiUrl> is the LsiUrl URL that is provided to you by the SAP administrator that matches the BDC model that you want to import.

  5. When complete, at the command prompt, you receive the following message: "The specified BDC model was successfully imported."

To configure RoleSync

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure. You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise 2.0.

  2. As administrator, open the Windows command prompt.

  3. At the command prompt, type the default path of the DuetConfig.exe file:

    cd /d C:\Program Files\Duet Enterprise\2.0

  4. At the command prompt, type the following command, and then press ENTER:

    DuetConfig.exe -ConfigureRoleSync -UserProfileServiceApplicationName "<User Profile Service Application Name>"

    Where "<User Profile Service Application Name>" equals the name of the User Profile service application.

  5. At the command prompt, you receive the following message: "The specified Profile Synchronization Job was successfully configured."

    The timer job for RoleSync is now created.

Set Metadata Store permissions

Before you can verify the successful configuration and connection between the SharePoint and SAP systems, you must configure Metadata Store permissions.

To set Metadata Store permissions

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure. You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise 2.0.

  2. In Central Administration, in the Quick Launch, click Application Management.

  3. In the Service Applications section, click Manage service applications.

  4. On the Service applications page, click the link for the Business Data Connectivity service Application that you are using for Duet Enterprise 2.0. By default, the name of the link is BDC Service but this name can be changed by an administrator.

  5. In the View section, select BDC Models from the drop-down list. The following four imported models are displayed:

    • OBA.Server.Reporting

    • OBA.Server.RoleSync

    • OBA.Server.UserSubscription

    • OBA.Server.Workflow

  6. On the BDC Models page, use Set Object Permissions and Set Metadata Store Permissions to set both object and Metadata Store permissions for all four of these BDC models. All users who access these models will need individual permissions to access content from these BDC models.

    • Set Object Permissions: Execute, Selectable in Client, Edit, and Set Permissions. (For the publisher account only all permissions are required. For all other accounts, you can choose one or more permissions.)

    • Set Metadata Store Permissions: Execute, Selectable in Client, Edit, and Set Permissions. Make sure to select the Propagate permissions to all BDC models, External Systems and External Content Types in the BDC Metadata Store. Doing so will overwrite existing permissions. (For the publisher account, only all permissions are required. For all other user accounts, only the Execute and Selectable in Client permissions and necessary).

  7. You might have to run IIS reset to allow these permissions to take effect immediately.

Install, configure, and register Duet Enterprise 2.0

Use this procedure to perform a basic deployment configuration of Duet Enterprise 2.0. This procedure also installs the Aggregated Business Calendar solution that was originally provided with Feature Pack 1 for Duet Enterprise 1.0.

This procedure assumes that you are still logged on to the same host computer with the same administrative account that you chose to use for all processes and services. Before you perform the following procedure, verify that the account that you will use to run DuetConfig.exe is both a member of the Farm Administrators SharePoint group and is granted Full Control permissions on the User Profile service application that you are using for Duet Enterprise 2.0.

To install, configure, and register Duet Enterprise 2.0

  1. Log on to the host server as a member of the Farm Administrators group.

  2. Click Start, click All Programs, and then click Accessories.

  3. Right-click the command prompt, and then click Run as administrator.

  4. At the command prompt, navigate to the folder that contains the DuetConfig.exe file. By default, this is the C:\Program files\Duet Enterprise\2.0\ folder.

  5. At the command prompt, type the following command, and then press ENTER:

    DuetConfig -install

  6. When DuetConfig.exe is complete, at the command prompt, you receive the following messages:

    • "Successfully registered the diagnostic service."

    • "Successfully installed all features."

    • "Successfully registered health rules."

    • "Successfully installed help files."

    • "Successfully upgraded Duet Enterprise."

    • "Successfully configured Duet Enterprise."

  7. If the DuetConfig.exe.config file, that you configured when you installed Duet Enterprise 1.0 on the SharePoint Server 2013 farm had separate accounts configured for the ReportPublisherAccount value and the ServiceAccount value, you will see the following message in the command prompt:

    "Reporting and Workflow have been configured with different publisher accounts in the WebApplication <URL of your web application>

    Workflow publisher account : <Account you had configured for the ServiceAccount value> Reporting publisher account : <Account you had configured for the ReportPublisherAccount value>

    Please specify a publisher account from one of the above or a new one:"

    If this occurs, enter the publisher account that you want to use as the publisher account, and then press ENTER. Otherwise go to step 9.

    Tip:

    The account that you choose must be configured in the SAP system as the publisher account for Duet Enterprise 2.0.

  8. (Optional) To verify that the publishing URL was migrated, enter the following at the command prompt, and then press ENTER:

    DuetConfig.exe -getsettings

    This command writes the publishing account settings to a file that is named Settings.xml in the same folder from which you entered the command. You can then use Notepad to view the file.

  9. The Duet Enterprise 2.0 files are now installed, configured, and registered. Leave the command prompt open. You will need it for the next procedure.

Synchronize SAP roles with the SharePoint user profile store

Duet Enterprise 2.0 uses a timer job to bring the user role assignments from the SAP system into the SharePoint user profile store. You must run the "Duet Enterprise Profile Synchronization" timer job at least one time.

Note:

You must be a member of the Farm Administrators group to complete this procedure.

Before you start this procedure, ask the SAP administrator to to make sure that that the "Synchronize roles to consumers" job has finished running on the SAP system.

The SAP administrator must run the "Synchronize roles to consumers" job periodically to synchronize the user roles on the SAP system with the SAP profile store on the server that is running SAP NetWeaver. We recommend that you do not synchronize the SAP user profile store with the SharePoint user profile store until the SAP administrator has completed the synchronization job. Otherwise, the synchronization job between the SAP profile store and the SharePoint user profile store can take much longer to complete. Note that the "Synchronize roles to consumers" job takes approximately 80 minutes to synchronize 100,000 users, while synchronizing the profile store in SAP NetWeaver to the SharePoint user profile store takes approximately 100 minutes to synchronize 100,000 users. If you plan to schedule these synchronization jobs, we recommend that you run them manually first to determine how much time each takes, on average, to run on your systems.

To synchronize profiles

  1. In Central Administration, on the Quick Launch, click Monitoring.

  2. On the Monitoring page, in the Timer Jobs section, click Review job definitions.

  3. On the Job Definitions page, in the Title column, click the Duet Enterprise Profile Synchronization for <User Profile service application name> link.

    Where <User Profile service application name> is the name of the User Profile service application that you are using for role synchronization.

    Tip:

    If you have only one User Profile service application, by default this name is Duet Enterprise Profile Synchronization for User Profile Service Application.

  4. On the Edit Timer Job page, click Run Now.

    Note:

    This timer job is scheduled to run one time per day but you can configure it to run less often if it causes a performance problem.

For more information about SharePoint timer jobs, see View timer job status in SharePoint 2013.

Verification step

After role synchronization is complete, the SAP Roles field at the bottom of each SharePoint user profile page displays the SAP roles that the user is assigned to.

To view the SAP Roles property for a particular user profile

  1. Verify that the user account that is performing this procedure is a member of the Farm Administrators SharePoint group or is a Service Application Administrator for the User Profile service application.

  2. In Central Administration, in the Application Management section, click Manage service applications.

  3. On the Manage Service Applications page, in the Type column, click the User Profile service application to select the row.

  4. On the ribbon, in the Operations group, click Manage.

  5. On the Manage Profile Service page, in the People section, click Manage User Properties.

  6. On the Manage User Profile Properties page, in the Property Name column, select the user profile property that you want to view, and then click Edit.

  7. On the Edit User Profile Property page, locate SAP Roles field (typically at the bottom of the page), and verify that SAP roles are displayed.

  8. When you are finished, click Cancel and Go Back.

    Note:

    These SAP roles will also be available in People Picker when granting permissions to securable objects, such as sites, list, and files. SAP roles will also be available when you run shared reports if you have configured the Reporting solution.

Run the Duet Enterprise Configuration Check

Use this procedure to verify the configuration of Duet Enterprise 2.0 and to show the status of all imported models and features and verifies that the security configuration is working.

To run the Duet Enterprise Configuration Check

  1. Verify that you have the following administrative credentials: Windows Administrators group on the front-end web server that is running SharePoint Server 2013 to complete this procedure. You must also be a member of the Farm Administrators group on the SharePoint Server farm on which you are installing Duet Enterprise 2.0.

  2. As administrator, open a Windows Command Prompt window.

  3. At the command prompt, go to the directory to which you installed the Duet Enterprise 2.0 files. By default, this is the C:\Program Files\Duet Enterprise\2.0 folder.

  4. At the command prompt, type the following command, and then press ENTER:

    duetconfig.exe -CheckConfiguration

  5. At the command prompt, you receive the following message: "Please wait while the check configuration result is retrieved and written to the output file. This operation can take several minutes to complete…".

    The CheckConfiguration result is written to <systemDrive>:\Users\<useraccount>\AppData\Local\Temp\1\CheckConfigurationResult.xml, where <useraccount> equals the name of the publisher account specified when you configured the publishing URL and account.

  6. To view this file, browse to the location shown at the command prompt, and then open the CheckConfigurationResult.xml file in your XML-compatible web browser. You will have to allow all scripts to run.

  7. On the Duet Enterprise Configuration Check page, the following information is displayed:

    • Overall Status This displays the overall status of all security connections, models, and features. If all these are working correctly, the status column will display Success.

    • Farm-Scoped Features This displays the status of RoleSync, Validate Root Authority Certificate, and Security. If all these are working correctly, the status column will show Success for each. Note that RoleSync will show as failed until it is run for the first time. This is expected and does not indicate a problem. Running RoleSync one time will change this fail to success.

    • Web Application-Scoped Features This displays the status of Publishing Settings, Reporting, and Workflow. If all these are working correctly, the status column will show Success for each.

  8. If any of these features, models, or items show as Failed in the status column, you can get more information about the failure by clicking Diagnostic Checks in the failed component section.

Related reports workaround

Use this procedure to update the external content types that support related reports for Duet Enterprise 1.0.

To configure related reports

  1. In Central Administration, in the Quick Launch, click Application Management.

  2. In the Service Applications section, click Manage service applications.

  3. In the Name column, click the link for the Business Data Connectivity service Application that you are using for Duet Enterprise 1.0.

  4. In the View section, select External Content Types.

  5. In the Name column, click an external content type that supports a related report. For example, the Account or Product external content type.

  6. On the View External Content Type page, scroll down the page, and then select the check box next to the form that you want to edit.

  7. On the ribbon, in the Actions group, click Edit.

    Note:

    If the form that you selected does not contain a related report, the Edit option will be unavailable.

  8. On the Edit Action page, in the Navigate To This URL box, replace the text Scheme_Id=REPORT to Scheme_Id=IWSES~DE_REPORT, and then click OK.

    Navigate To This URL screen shot

  9. Repeat steps 6 through 8 to edit additional forms within the selected content type. When all forms for the selected external content type are configured, continue to step 10.

  10. Repeat steps 1 through 9 to edit additional external content types.

Replace the Workflow Tasks Aggregation Web Part

You must remove the Workflow Tasks Aggregation Web Part on all pages in each site that contains this Web Part. You will then insert the Duet Enterprise 2.0 version of the Web Part. Until you do this, users will see the following Web Part error on those affected sites.

"Web Part Error: A Web Part or Web Form Control on this page cannot be displayed or imported. The type SAP.Office.DuetEnterprise.Workflow.TasksAggregationWP, SAP.Office.DuetEnterprise.Workflow, Version=1.0.1.0, Culture=neutral, PublicKeyToken=8ede04ace7fbcb32 could not be found or it is not registered as safe."

You can replace this web part manually or you can use the WFAggregatorWP.ps1 PowerShell script. If you have not already done so, you can download the script from MSDN Code Gallery.

Do one of the following:

  • To replace the Workflow Tasks Aggregation Web Part manually

  • To replace the Workflow Tasks Aggregation Web Part using the script

    Note:

    The WFAggregatorWP.ps1 PowerShell script replaces the Workflow Tasks Aggregation Web Part only on sites that were created using a Duet Enterprise site template. The script will not remove this web part from sites that were created with other templates, such as the Team Sites or My Sites templates. In those cases, you must remove the web part manually.

To replace the Workflow Tasks Aggregation Web Part manually

  1. Browse to a site on that uses the Workflow Web Part. For example, this Web Part would have been used on every Workflow Tasks site, by default. For example, go to a Workflow Tasks site in a Duet Enterprise Sites site collection; click the Tasks Center tab; in the Quick Launch, click All Site Content; and in the Sites and Workspaces section, click the link to the workflow tasks site that you want to configure.

  2. On the site page that contains the Workflow Web Part, click the Page tab.

  3. On the ribbon, click Edit Page.

  4. Click the down-arrow for the old Web Part, and then click Delete.

    Workflow Web Part screen shot

  5. In the pane where you want to add the Workflow Web Part, click Add a Web Part.

  6. Under Categories, click Duet Enterprise.

  7. Under Web Parts, click My SAP Workflow Tasks, and then click Add.

  8. On the ribbon, click Stop Editing.

    The Workflow Tasks Web Part appears on the page.

  9. Proceed to Install and deploy Starter Services solutions.

To replace the Workflow Tasks Aggregation Web Part using the script

  1. Log on to a web server in the SharePoint Server farm. Ensure that you have the following permissions:

    • Member of the Windows Administrators group

    • Site collection administrator.

  2. On the Start menu, click All Programs.

  3. Click Microsoft SharePoint 2013 Products.

  4. Click SharePoint 2013 Management Shell.

  5. At the Windows PowerShell command prompt, enter the following command:

    <path>\WFAggregatorWP.ps1 <Workflow site URL>

    Where <path> is the location where you downloaded the scripts and <Workflow site URL> is the URL of the top-level site in a site collection that contains one or more Workflow Tasks sites. For example, if you downloaded the scripts to c:\scripts, and you are replacing web parts on the http://contoso/sites/Duet site collection, then you would enter c:\scripts\WFAggregatorWP.ps1 http://contoso/sites/Duet/.

  6. After you press Enter, the command prompt displays the URL of the sites being processed and the sites on which the web part was found. After at least one web part is found and replaced and the script is finished processing a particular site, the command prompt displays "Done". Otherwise the script processes the next site until all sites within the site collection are processed.

    The following screenshot is an example of the script's output. In this example, you can see that web parts were replaced on the TestTask and TestTask3 sites but a web part was not replaced on the TestTask2 site.

  7. When the script completes for the specified site collection, repeat steps 5 through 6 for each remaining site collection that contains a Workflow Tasks Aggregation Web Part.

Resolve workflow template referencing old DLL

In Duet Enterprise 1.0, the workflow web parts existed in a dynamic link library (DLL) file that does not exist in Duet Enterprise 2.0. These web parts have been moved to a different DLL file. After installed Duet Enterprise 2.0, you must remove the references to the old web parts and replace them with the Duet Enterprise 2.0 web parts.

Workflow Tasks sites that are affected by this issue will display the following error message on the site:

Web Part Error: A Web Part or Web Form Control on this Page cannot be displayed or imported. The type SAP.Office.DuetEnterprise.Workflow.TasksAggregationWP, SAP.Office.DuetEnterprise.Workflow, Version=1/0.1.0, Culture=neutral, PublicKeyToken=8ede04ace7fbcb32 could not be found or it is not registered as safe.

On the Workflow Tasks site, if you click Edit Page on the PAGE tab, and then click Add a Web Part, you will see the resource names from the old DLL file instead of the actual web part group and web part names for the affected web parts.

To delete the old Duet Enterprise Workflow Web Parts

  1. On the Workflow Tasks site, click the gear icon and then click Site settings.

  2. Under Site Collection Administration, click Go to top level site settings.

  3. Under Web Designer Galleries, click Web parts.

  4. Select the check-box next to the following web parts:

    • LinksViewerWebPart.webpart

    • TaskAttachmentsWP.webpart

    • TaskDetailsWP.webpart

    • TaskParticipantsWP.webpart

    • TasksAggregationWP.webpart

  5. In the Files tab of the Ribbon, click Delete Document.

To Deactivate and reactivate the Workflow feature

  1. On the Workflow Tasks site, click the gear icon and then click Site settings.

  2. Under Site Actions, click Manage site features.

  3. In the Duet Enterprise - SAP Workflow row, click Deactivate and then click Deactivate this feature. This removes the old web part from the Designer Gallery.

  4. After the feature is deactivated, click Activate to activate the Duet Enterprise - SAP Workflow feature. This puts the Duet Enterprise 2.0 version of the web part into the Web Designer Gallery.

To replace the old web part on the Workflow Tasks sites

  1. On the Workflow Tasks site, in the Ribbon, click the PAGE tab.

  2. In the Edit section, click Edit Page.

  3. Click the arrow in the old web part and then click Delete.

  4. Click Add a Web Part.

  5. Under Categories, click Duet Enterprise and then under Parts click My SAP Workflow Tasks and then click Add.

Install and deploy Starter Services solutions

Use the procedures in this section to install the Starter Services solutions to the SharePoint solution store and then deploy them to both the 14 and 15 hives. Deploying the solutions to both hives ensures that the solutions work on sites that use either the SharePoint 2010 or the SharePoint 2013 experience.

To install Starter Services solutions

  1. Log on to a front-end web server in the SharePoint Server 2013 farm as a member of the Windows Administrators group.

  2. As administrator, open a SharePoint 2013 Management Shell.

    Click Start, click All Programs, click Microsoft SharePoint 2013 Products, right-click SharePoint 2013 Management Shell, and then click Run as administrator.

  3. At the command prompt, type the following command, and then press ENTER:

    $solutionFolderPath = $env:PROGRAMFILES + 'duet enterprise\2.0\solutions\starter services'

  4. At the command prompt, type the following command, and then press ENTER:

    Add-SPSolution $solutionFolderPath\Account\OBACustomerWorkspace.wsp

  5. At the command prompt, type the following command, and then press ENTER:

    Add-SPSolution $solutionFolderPath\OrderToCash\OBAOrderToCash.wsp

  6. At the command prompt, type the following command, and then press ENTER:

    Add-SPSolution $solutionFolderPath\Portal\OBAPortal.wsp

  7. At the command prompt, type the following command, and then press ENTER:

    Add-SPSolution $solutionFolderPath\Product\OBAProductCenter.wsp

  8. Leave the SharePoint 2013 Management Shell open. You will use it in the next procedure.

    Note:

    After each solution is installed, the name and SolutionID of the solution are displayed in the command prompt with the Status "Not Deployed."

Use the following procedure to deploy these solutions to both hives.

To deploy the Starter Services solutions

  1. In the SharePoint 2013 Management Shell, type the following command, and then press ENTER:

    Install-SPSolution obacustomerWorkspace.wsp -gacdeployment -local -CompatibilityLevel all

  2. In the SharePoint 2013 Management Shell, type the following command, and then press ENTER:

    Install-SPSolution obaproductcenter.wsp -gacdeployment -local -CompatibilityLevel all

  3. In the SharePoint 2013 Management Shell, type the following command, and then press ENTER:

    Install-SPSolution obaordertocash.wsp -gacdeployment -local -CompatibilityLevel all

  4. In the SharePoint 2013 Management Shell, type the following command, and then press ENTER:

    Install-SPSolution obaportal.wsp -gacdeployment -local -AllWebApplication -CompatibilityLevel all

Verify that the starter solutions are deployed

Use this procedure to verify that the starter services that you deployed in the previous procedure are deployed.

To verify starter services solutions are deployed

  1. In Central Administration, on the Quick Launch, click System Settings.

  2. In the Farm Management section, click Manage farm solutions.

  3. Verify that the following solutions have the Status "Deployed."

    • Obacustomerworkspace.wsp

    • Obaordertocash.wsp

    • Obaportal.wsp

    • Obaproductcenter.wsp

    Note:

    You will not see solutions for Workflow, Reporting, or RoleSync on the Solution Management page in Central Administration because they are not deployed as .wsp packages in Duet Enterprise 2.0. Instead, they were installed and deployed earlier when you ran Setup.exe.

Add and deploy Duet Enterprise language packs for starter services

Use the procedures in this section to add the Duet Enterprise language packs to the SharePoint solution store and then deploy them to all web applications in your SharePoint farm.

You must know the language codes and language IDs for the languages that you are adding and deploying in the following procedures.

Table: Language codes and Language IDs

Language | Language code | Language ID
Arabic (Saudi Arabia) | ar-sa | 1025
German | de-de | 1031
English (United States) | en-us | 1033
Spanish | es-es | 3082
French | fr-fr | 1036
Hebrew (Israel) | he-il | 1037
Italian | it-it | 1040
Japanese | ja-jp | 1041
Portuguese (Brazil) | pt-br | 1046
Russian | ru-ru | 1049
Turkish | tr-tr | 1055
Chinese (China) | zh-cn | 2052
Chinese (Taiwan) | zh-tw | 1028

To add Duet Enterprise language packs for Starter Services Solutions

  1. Log on to a front-end web server in the SharePoint Server 2013 farm as a member of the Windows Administrators group.

  2. As administrator, open a SharePoint 2013 Management Shell.

    Click Start, click All Programs, click Microsoft SharePoint 2013 Products, right-click SharePoint 2013 Management Shell, and then click Run as administrator.

  3. At the command prompt, type the following command, and then press ENTER:

    $solutionFolderPath = $env:PROGRAMFILES + 'duet enterprise\2.0\solutions\starter services'

  4. At the command prompt, type the following command, and then press ENTER:

    Add-SPSolution $solutionFolderPath\Account\OBACustomerWorkspace.<LanguageCode>.wsp

    Where <LanguageCode> is the language code for the language that you are adding.

  5. At the command prompt, type the following command, and then press ENTER:

    Add-SPSolution $solutionFolderPath\OrderToCash\OBAOrderToCash.<LanguageCode>.wsp

    Where <LanguageCode> is the language code for the language that you are adding.

  6. At the command prompt, type the following command, and then press ENTER:

    Add-SPSolution $solutionFolderPath\Portal\OBAPortal.<LanguageCode>.wsp

    Where <LanguageCode> is the language code for the language that you are adding.

  7. At the command prompt, type the following command, and then press ENTER:

    Add-SPSolution $solutionFolderPath\Product\OBAProductCenter.<LanguageCode>.wsp

    Where <LanguageCode> is the language code for the language that you are adding.

  8. Repeat steps 4 through 7 for any additional languages that you want to add.

  9. Leave the SharePoint 2013 Management Shell open. You will use it in the next procedure.

To deploy the Duet Enterprise 2.0 language packs

  1. In the SharePoint 2013 Management Shell, type the following command, and then press ENTER:

    Install-SPSolution obacustomerWorkspace.wsp -gacdeployment -local -CompatibilityLevel all -language <languageID>

    Where <languageID> is the language identifier for the language that you are deploying.

  2. In the SharePoint 2013 Management Shell, type the following command, and then press ENTER:

    Install-SPSolution obaproductcenter.wsp -gacdeployment -local -CompatibilityLevel all -language <languageID>

    Where <languageID> is the language identifier for the language that you are deploying.

  3. In the SharePoint 2013 Management Shell, type the following command, and then press ENTER:

    Install-SPSolution obaordertocash.wsp -gacdeployment -local -CompatibilityLevel all -language <languageID>

    Where <languageID> is the language identifier for the language that you are deploying.

  4. In the SharePoint 2013 Management Shell, type the following command, and then press ENTER:

    Install-SPSolution obaportal.wsp -gacdeployment -local CompatibilityLevel all -language <languageID>

    Where <languageID> is the language identifier for the language that you are deploying.

  5. Repeat steps 1 through 4 for each language that you are deploying.

Post-upgrade cleanup

Use the procedures in this section to clean up traces of the Duet Enterprise 1.0 installation.

In this section:

  • Delete the User Access List

  • Uninstall BDC Models (Optional)

  • Install Report feature

Delete the User Access List

Use this procedure to remove the User Access List for each Workflow Tasks site. For example, a Tasks Center site.

Note:

You must be a site owner to complete this procedure.

To delete the User Access List

  1. In a browser, go to a Workflow Tasks site.

  2. Click Site Actions, and then click Site Settings.

  3. In the Site Administration section, click Site libraries and lists.

  4. On the Site Libraries and Lists page, click the Customize "User Access List" link.

    Note:

    If this link does not exist on the page, it means that this list does not exist and no further action is necessary.

  5. On the List Settings page, in the Permissions and Management section, click Delete this list.

  6. Click OK in the dialog box that is displayed to confirm that you want to delete this list.

  7. Repeat steps 1 through 7 on any additional Workflow Tasks sites.

Uninstall BDC Models (Optional)

We recommend that you uninstall the BDC models for the Workflow, Reporting, and RoleSync solutions that were provided by Duet Enterprise 1.0. You have replaced them with BDC models that use OData endpoints and use a different namespace than the BDC models provided with Duet Enterprise 1.0.

Complete this procedure to remove the BDC models listed in the following table. You do not have to remove any of the other BDC models that were provided with Duet Enterprise 1.0.

Model name | Solution
ReportTemplate | Reporting
Role | RoleSync
SAP.Office.DuetEnterprise.Workflow | Workflow
SAP.Office.DuetEnterprise.Workflow.UserSubscription | Workflow
UserRoles | RoleSync
Note:

You must be a farm administrator to complete this procedure.

To uninstall BDC models

  1. In Central Administration, on the Application Management page, in the Service Applications section, click Manage service applications.

  2. In the Business Data Connectivity Service Application Proxy row, click the link in the Name column.

  3. On the ribbon, in the View section, select BDC Models.

  4. In the BDC Model Name column, select the check box next to ReportTemplate.

  5. On the ribbon, click Delete, and then in the dialog box that appears, click OK to confirm that you want to delete this BDC model.

  6. In the BDC Model Name column, select the check box next to Role.

  7. On the ribbon, click Delete, and then in the dialog box that appears, click OK to confirm that you want to delete this BDC model.

  8. In the BDC Model Name column, select the check box next to SAP.Office.DuetEnterprise.Workflow.

  9. On the ribbon, click Delete, and then in the dialog box that appears, click OK to confirm that you want to delete this BDC model.

  10. In the BDC Model Name column, select the check box next to SAP.Office.DuetEnterprise.Workflow.UserSubscription.

  11. On the ribbon, click Delete, and then in the dialog box that appears, click OK to confirm that you want to delete this BDC model.

  12. In the BDC Model Name column, select the check box next to UserRoles.

  13. On the ribbon, click Delete and then in the dialog box that appears, click OK to confirm that you want to delete this BDC model.

    Important:

    Do not uninstall any of the other Duet Enterprise 1.0 BDC models that are not named in this procedure. The remaining Duet Enterprise 1.0 BDC models will be reused for Duet Enterprise 2.0.

Install Report feature

We recommend that you complete this procedure to avoid receiving the "Provisioning did not succeed. Details: Failed to completely create the top-level Web site. OriginalException: Object reference not set to an instance of an object" error when you create a new Reporting workspace. Note that this procedure installs the feature to both the 14 and 15 hives.

To install the Report feature

  1. Log on to a front-end web server in the SharePoint Server 2013 farm as a member of the Windows Administrators group.

  2. As administrator, open a SharePoint 2013 Management Shell.

    Click Start, click All Programs, click Microsoft SharePoint 2013 Products, right-click SharePoint 2013 Management Shell, and then click Run as administrator.

  3. At the command prompt, type the following command, and then press ENTER:

    Install-SPFeature OBAReportDataTypes -force -CompatibilityLevel 14

  4. At the command prompt, type the following command, and then press ENTER:

    Install-SPFeature OBAReportDataTypes -force -CompatibilityLevel 15

Enable the 2013 experience

When a site collection is available to upgrade, site collection administrators see a status bar on their sites indicating that they can upgrade them. They can choose to upgrade the site collection then or be reminded later. If the 2013 experience was disabled on site collections when upgrading to Duet Enterprise 1.0 on the SharePoint 2013 farm, you can re-enable the 2013 experience now.

For information about enabling the ability to upgrade a site collection to the 15 experience, see Manage site collection upgrades to SharePoint 2013.

Verify upgrade

We recommend that you verify that SharePoint is able to communicate with the SAP system and that solutions are healthy by running a configuration health check. For more information, see Configuration check for Duet Enterprise for SharePoint and SAP Server 2.0.

We also recommend that you verify any customizations that you might have made to the Duet Enterprise sites on the SharePoint Server 2010 farm work as expected on the SharePoint Server 2013 farm. Also verify that the Duet Enterprise solutions are working as expected at the site-level.

Verify enlisted tasks

Verify that all enlisted tasks that were created in Duet Enterprise 1.0 are working correctly. Site pages in an enlisted task site, that were created using the Duet Enterprise Workflow import feature, will be un-ghosted. On such sites, after upgrading to Duet Enterprise 2.0, the pages will continue to point to the old Duet Enterprise 1.0 dynamic link libraries (DLLs). In such cases, Duet Enterprise 2.0 can fail to load the Task details page. Complete this procedure to resolve this issue.

Note:

You must be a site owner to complete the following procedures.

To verify and fix enlisted Task Details page issue

  1. In a browser, go to a Task Site.

  2. Open a task in an enlisted (imported) task site.

  3. If the task does not open, continue to step 4. Otherwise if you have additional Task Sites to verify, go to step 1. If you have no more Task Sites to verify, no additional action is necessary.

  4. In a browser, go to the Site pages library of the affected Task Site.

  5. Delete the wrktaskip.aspx page.

  6. As administrator, open a SharePoint 2013 Management Shell.

    Click Start, click All Programs, click Microsoft SharePoint 2013 Products, right-click SharePoint 2013 Management Shell, and then click Run as administrator.

  7. Deactivate the SAPWorkflowSite feature.

  8. Activate the SAPWorkflowSite feature.

  9. In a browser, go to the Task Site and verify that the Task Details page opens.

Enable user access to SAP data

You are now ready to enable users to access SAP data on the SharePoint Server 2013 farm. If you are using host names, this might be done by updating the IP address in DNS for each web application.

See also

Upgrade to Duet Enterprise 1.0 on SharePoint Server 2013


Operate and maintain Duet Enterprise for SharePoint and SAP Server 2.0

Published: November 20, 2012

Summary: IT pros use these articles to help operate and maintain servers, server farms, and solutions in Duet Enterprise for Microsoft SharePoint and SAP Server 2.0.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

The articles in this section help you operate and maintain Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 in SharePoint Server 2013.

TechNet articles about operations and maintenance for Duet Enterprise 2.0

The following articles about operations and maintenance for Duet Enterprise 2.0 are available to view online. Writers update articles on a continuing basis as new information becomes available and as users provide feedback.

 | Content | Description
Building blocks | Prepare calendar data sources for the Aggregated Business Calendar Web Part in Duet Enterprise 2.0 | Learn how to prepare Exchange and SAP calendar data sources for the Duet Enterprise Aggregated Business Calendar Web Part.

Additional resources about operations and maintenance in Duet Enterprise 2.0

The following resources about operations and maintenance for Duet Enterprise 2.0 are available from other subject matter experts.

Content Description

House icon

  • TechCenter: Duet Enterprise for Microsoft SharePoint and SAP

Visit the Duet Enterprise TechCenter to access videos, community sites, documentation, and more.

See also

Plan for Duet Enterprise for SharePoint and SAP Server 2.0


Prepare calendar data sources for the Aggregated Business Calendar Web Part in Duet Enterprise 2.0

Published: November 20, 2012

Summary: Learn how to prepare Exchange and SAP calendar data sources for the Duet Enterprise Aggregated Business Calendar Web Part.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

The Aggregated Business Calendar Web Part enables you to work with multiple calendars at the same time. Site owners can aggregate up to four of any of the following types of calendars into the Aggregated Business Calendar Web Part: SAP calendars, SharePoint calendars, Exchange calendars, and custom calendars. For example, a site owner can add two SharePoint calendars, one Exchange calendar, and one SAP Business calendar, or four SAP Business calendars. Any combination of these calendar types is supported. To have these calendars aggregated into one place helps you avoid switching between different calendars, and you can easily compare schedules and avoid schedule conflicts.

A SharePoint farm administrator must create a trust relationship between the SharePoint Server farm and Exchange Server and import the BDC model that is used with the SAP time management data before a site owner can use the Exchange and SAP calendar data sources in the Aggregated Business Calendar Web Part.

SharePoint calendars do not have to be prepared by a SharePoint farm administrator before they can be used in the Aggregated Business Calendar Web Part. Instead, a site owner can create a SharePoint calendar and use it in the Aggregated Business Calendar Web Part immediately. For more information, see Add and use an Aggregated Business Calendar Web Part in Duet Enterprise 2.0 on Office.com.

Note:

This article does not provide guidance about how to prepare a custom calendar data source.

In this article:

  • Before you begin

  • Prepare an Exchange calendar data source

  • Prepare an SAP calendar data source

Before you begin

Note:

Because SharePoint 2013 runs as websites in Internet Information Services (IIS), administrators and users depend on the accessibility features that browsers provide. SharePoint 2013 supports the accessibility features of supported browsers. For more information, see the following resources:

  • Plan browser support

  • Accessibility for SharePoint Products

  • Accessibility features in SharePoint 2013 Products

  • Keyboard shortcuts

  • Touch

Before you begin this operation, review the following information about prerequisites:

  • You must know the name of the root certificate that the Exchange Server is using for secure email (SSL), client authentication, server authentication, and so on to prepare the Exchange calendar data source.

  • Verify with the SAP administrator that the services used for time management are running on the SAP system.

  • Verify that the SAP administer has saved the TimeEntry BDC model (TimeEntry.bdcm) to a location where a SharePoint farm administrator has a minimum of read access.

  • You must be a member of the Windows Administrators group and a member of the SharePoint Farm Administrator group to complete these procedures.

Prepare an Exchange calendar data source

To prepare an Exchange calendar data source, an Administrator or member of the Administrators group must create a trust relationship between the SharePoint Server farm and Exchange Server. This requires the root authority certificate for the server that is running Exchange Server.

Tip:

To complete this procedure, you must know the name of the root certificate that the Exchange Server is using for secure email (SSL), client authentication, server authentication and so on.

Note:

You must use an on-premise Exchange Server. Office 365 is not supported.

Note:

Using the aggregated business calendar web part with an Exchange calendar is supported on Web applications that are configured for NTLM only. Web applications that are configured for Kerberos authentication are not supported.

To get the root authority certificate for the server that is running Exchange Server

  1. Log on as administrator or member of the Administrators group to a computer on which Outlook 2013 has been installed and connected to the Exchange calendar that you want to use.

  2. Click Start, and then click Run.

  3. In the Open box, type certmgr.msc, and then click OK.

  4. In the left pane, expand Trusted Root Certification Authorities, and then click Certificates.

  5. In the right pane, in the Issued To column, right-click the certificate that is used by the Exchange server for secure Email, Client Authentication, and Server Authentication. For example, GTE CyberTrust Global Root. Point to All Tasks, and then click Export.

    Note:

    Typically, the Intended Purposes column for this certificate includes the words: secure email, client authentication, server authentication, and code signing.

  6. On the Welcome to the Certificate Export Wizard page, click Next.

  7. On the Export File Format page, ensure that DER encoded binary X.509 (CER) is selected, and then click Next.

  8. On the File to Export page, type a full path of where to save the file, and then click Next.

  9. On the Completing the Certificate Export Wizard page, click Finish.

  10. Click OK to close The export was successful dialog box.

To create a trust relationship with the server that is running Exchange Server

  1. In the SharePoint Central Administration website, on the Quick Launch, click Security.

  2. In the General Security section, click Manage trust.

  3. On the ribbon, tn the Manage group, click New.

  4. In the Establish Trust Relationship dialog box, in the Name box, type a name for the trust relationship.

  5. In the Root Certificate for the trust relationship section, click Browse. Click the root authority certificate that you exported in the previous procedure, and then click Open.

  6. In the Establish Trust Relationship dialog box, click OK.

    The trust relationship that you created appears on the Trust Relationships page.

Prepare an SAP calendar data source

Before a member of the site Owners group can add an SAP calendar as a data source to the Aggregated Business Calendar Web Part, a farm administrator must do the following:

  • Verify with the SAP administrator that the services used for time management are running on the SAP system.

  • Import the TimeEntry BDC model.

  • Set permissions on the Time external content type.

Note:

The TimeEntry BDC model is included with Duet Enterprise 2.0 and is designed to be used with SAP time data. However, the Aggregated Business Calendar Web Part can be used with other data sources such as leave requests and so on. To use the Aggregated Business Calendar Web Part with other data sources, a developer must first create a BDC model to be used for the SAP data source. Then, you can import the BDC model and set permissions on the external content type just as you would with the TimeEntry BDC model.

Import the TimeEntry BDC model

You must import the TimeEntry (TimeEntry.bdcm) BDC model that an SAP administrator provides before a member of the site Owners group can configure an SAP business calendar. An SAP administrator must create this BDC model and provide it in a location for which a SharePoint farm administrator has a minimum of read access.

To import the TimeEntry BDC model

  1. Verify that the user account that is performing this procedure is a member of the Farm Administrators group.

  2. In Central Administration, click Application Management.

  3. In the Service Applications section, click Manage service applications.

  4. Click the Business Data Connectivity Service application that is being used by Duet Enterprise.

  5. On the ribbon, in the BDC Models group, click Import.

  6. On the Import BDC Model page, in the BDC Model section, type the full path of the TimeEntry.xml file.

  7. In the File Type section, ensure that Model is selected.

  8. Click Import.

  9. When the BDC Model was successfully imported page appears, click OK.

  10. The model appears in the BDC Model Name column as Time.

Set permissions on the Time external content type

Use this procedure to set permissions on the external content type that is defined in the TimeEntry BDC model.

To set permissions on the Time external content type

  1. In Central Administration, click Application Management.

  2. In the Service Applications section, click Manage service applications.

  3. Click the Business Data Connectivity Service application that is being used by Duet Enterprise.

  4. On the ribbon, in the View group, click External Content Types.

  5. Select the check box on the Time row, and on the ribbon, in the Permissions group, click Set Object Permissions.

  6. On the Set Object Permissions page, in the top box, enter a user or group to which you want to grant permissions to this model, and then click Add.

  7. In the Permissions section, select the check boxes for the permissions to which you want to assign this user or group.

    Select the Execute check box, to enable a user or group to execute operations (create, read, update, delete, or query) that are supported by the external content type. Users need this permission to view the SAP calendar.

    Select the Selectable In Clients check box, to enable a user or group to create external lists of the external content type. Site owners need this permission to create a SAP calendar.

  8. To propagate permissions to all methods nested in the external content type, select Propagate permissions to all methods of this external content type. Doing so will overwrite existing permissions.

  9. Repeat steps 6 through 8 for each additional user or group to which you want to grant permissions to the Time external content type.

For information about how to add the business calendar to the Aggregated Business Calendar Web Part, see Add and use an Aggregated Business Calendar Web Part in Duet Enterprise 2.0 on Office.com.

See also

Operate and maintain Duet Enterprise for SharePoint and SAP Server 2.0


Install Duet Enterprise 2.0 language packs

Summary: Install Duet Enterprise 2.0 language packs and then verify that they have been installed successfully.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

In this article:

  • Install the language packs

  • Verify Duet Enterprise language pack installation

Install the language packs

Duet Enterprise 2.0 language packs are provided as separate disk image files, one for each supported language. These disk image files are provided in the Duet Enterprise 2.0 SharePoint Components zip file, which is available on the SAP Support Portal (http://go.microsoft.com/fwlink/p/?LinkId=205294). Complete the following procedures in the order shown to install the language packs.

To download the language packs

  1. Go to the SAP Support Portal (http://go.microsoft.com/fwlink/p/?LinkId=205294). (Enter your username and password.)

  2. On the SAP Support Portal, click Software Downloads, click Installations and Upgrades, and then click Search for Installations and Upgrades.

  3. In the Search Term box, enter Duet Enterprise 2.0 and then click Search.

  4. On the Search Results page, click DUET ENTERPRISE 2.0.

  5. On the SAP Software Download Center page, click Installation.

  6. Under the Downloads tab, download the Duet Enterprise 2.0 SharePoint Components zip file, which is also known as Download Object 51045067.

After you download the Duet Enterprise language packs, you must install the languages that you want to support on each web server in the SharePoint Server 2013 farm.

To install a Duet Enterprise 2.0 language pack

  1. Open or extract the 51045067.zip file.

  2. A disk image file is provided in the Server folder of the zip file for each supported language. Burn the image file to disk for each language pack that you want to install.

  3. Log on to a front-end web server in your SharePoint Server 2013 farm as a farm administrator.

  4. Open the language disk that you burned in step 2. On the language disk, go to the framework folder and then double-click Windows Installer Package (.msi) file to install the language pack and then select the default settings in the setup wizard that appears.

  5. Repeat steps 1 through 4 on each remaining front-end web server in the SharePoint Server 2013 farm.

After you install the Duet Enterprise 2.0 language packs that you want to support, complete the following procedure to copy the language-specific resources to the IIS folders.

To copy the language-specific resources to IIS folders

  1. Log on to a front-end web server in your SharePoint Server 2013 farm as a farm administrator.

  2. Open a Command Prompt (As Administrator).

  3. At the command prompt, go to the <systemDrive>:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\15\BIN\ folder.

  4. At the command prompt, enter the following and then press Enter.

    Stsadm -o copyappbincontent

  5. Repeat steps 1 through 4 on each remaining front-end web server in the SharePoint Server 2013 farm.

Verify Duet Enterprise language pack installation

You can verify successful installation of a Duet Enterprise language pack by viewing the "Uninstall a program" page in Windows Control Panel.

To view language packs on the Uninstall a program page

  1. Log on to a web server in the SharePoint Server 2013 farm as administrator.

  2. Click Start, and then click Control Panel.

  3. Under Programs, click Uninstall a program.

  4. In the Name column, look for a language pack. For example, the name of the Duet Enterprise language pack for the French language is listed as "Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 Language Pack - French."

Additionally, the .WSP files that support the language of each of the starter services solutions are copied to the subfolders within C:\Program Files\Duet Enterprise\2.0\Solutions\Starter Services\ folder. For example, if you installed the Duet Enterprise language pack for the French language, you would find the OBACustomerWorkspace.fr-FR.wsp file inside the C:\Program Files\Duet Enterprise\2.0\Solutions\Starter Services\Account\ folder.


Troubleshoot Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

Summary: Find quick access to information about how to resolve issues with deployments of Duet Enterprise for Microsoft SharePoint and SAP Server 2.0.

Applies to:

We encourage you to give us your feedback. Your comments, suggestions, and troubleshooting tips can be incorporated into future versions of this content. You can send your feedback to us at ITSPDOCS@microsoft.com.

TechNet articles about troubleshooting Duet Enterprise 2.0

The following articles about how to troubleshoot Duet Enterprise 2.0 are available to view online. Writers update articles on a continuing basis as new information becomes available and as users provide feedback.

Building blocks | Content | Description
 | Role Synchronization failed for a user account (Duet Enterprise 2.0) | This article describes how to resolve a Role Synchronization failure that occurs for a particular user account.


Role Synchronization failed for a user account (Duet Enterprise 2.0)

Summary: Learn how to resolve an issue where role synchronization fails for a particular user account.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

Summary

The Role Synchronization (RoleSync) solution included with Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 enables SharePoint administrators to synchronize the SAP roles property that is stored in the SAP profile store with SharePoint user profiles. After role synchronization is performed, users can use SharePoint People Picker to grant permissions on any securable object in SharePoint, such as sites, lists, and files.

After new user accounts are added to Active Directory Domain Services (AD DS), the SAP system must synchronize with AD DS to discover the new user accounts. Then an SAP administrator can create an SAP user account for those AD DS users and associate an SAP role with them. If a user profile is created in SharePoint for the new users before the next Role Synchronization job is run on the SharePoint farm, the SAP role assigned to the new user accounts will be synchronized with the SharePoint User Profile Store.

However, if this synchronization job occurs before the user account has been added to SharePoint, either using SharePoint User Profile Synchronization or adding the user profile manually, then the Role Synchronization job is unable to locate the user profile. If this occurs, SharePoint will log an event for the administrator and proceed with synchronizing SAP roles for other user profiles. Future incremental synchronization jobs will also fail to synchronize the roles for the newly added users even after a user profile has been created in SharePoint for the new user.

Resolution

To resolve this issue, run a profile synchronization job.

Note:

You must be a member of the Farm Administrators group to complete this procedure.

Before you start this procedure, ask the SAP administrator to ensure that the "Synchronize roles to consumers" job has finished running on the SAP system.

The SAP administrator must run the "Synchronize roles to consumers" job periodically to synchronize the user roles on the SAP system with the SAP profile store on the server that is running SAP NetWeaver. We recommend that you do not synchronize the SAP user profile store with the SharePoint user profile store until the SAP administrator has completed the synchronization job. Otherwise, the synchronization job between the SAP profile store and the SharePoint user profile store can take much longer to complete. Also, recently added users might not be synchronized. Note that the "Synchronize roles to consumers" job takes approximately 80 minutes to synchronize 100,000 users, while synchronizing the profile store in SAP NetWeaver to the SharePoint user profile store takes approximately 100 minutes to synchronize 100,000 users.

To run a full synchronization job

  1. In Central Administration, on the Quick Launch, click Monitoring.

  2. On the Monitoring page, in the Timer Jobs section, click Review job definitions.

  3. On the Job Definitions page, in the Title column, click the Duet Enterprise Profile Synchronization for <User profile service application name> link.

    Where <User Profile service application name> is the name of the User Profile service application that you are using for role synchronization.

    Tip:

    If you have only one User Profile service application, by default this name is Duet Enterprise Profile Synchronization for User Profile Service Application.

  4. On the Edit Timer Job page, click Run Now.

For more information about SharePoint timer jobs, see View timer job status in SharePoint 2013.


social icons 2013

Test Link that uses a parameterized legacyLink element:Downloadable content for SharePoint Server 2010

Test Link that uses a parameterized Link element: Downloadable content for SharePoint Server 2010

Test Link that uses a legacyLink element without the trailing version parameter: Downloadable content for SharePoint Server 2010

Email us to suggest content Subscribe to Office 2013 news and highlights Read the Office IT Pro Blog Read Office IT pro forums Visit Office on Facebook Follow Office Resource Kit on Twitter

Email us to suggest content Subscribe to SharePoint 2013 news and highlights Read the To the SharePoint blog Read SharePoint 2010 forums Visit SharePoint on Facebook Follow @MSOffice_ITPro on Twitter

Broken link


Deployment overview of Duet Enterprise for SharePoint and SAP Server 2.0

Summary: Learn about how to deploy Duet Enterprise 2.0 in a SharePoint Server 2013 environment.

Applies to: Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

This article describes the overall process to install and configure Duet Enterprise for Microsoft SharePoint and SAP Server 2.0 on a single computer that is running Windows Server 2008 R2 SP1, SharePoint Server 2013 Enterprise, and SQL Server 2008 R2 with Service Pack 1 (SP1). This process is for a SharePoint administrator to view Duet Enterprise 2.0 functionality and is intended to provide only a baseline proof of concept that demonstrates core Duet Enterprise 2.0 features and connectivity. It is not intended to provide multiple computer deployment instructions or multiple farm deployment instructions.


Duet Enterprise for Microsoft SharePoint and SAP

Duet Enterprise for Microsoft SharePoint and SAP Server is a jointly developed product from SAP and Microsoft that enables interoperability between SAP applications and SharePoint Server Enterprise edition.

Duet Enterprise for Microsoft SharePoint and SAP Server 2.0

Duet Enterprise Online for Microsoft SharePoint and SAP

Duet Enterprise for Microsoft SharePoint and SAP 1.0